/* RecursiveDelete.c generated by valac 0.56.17, the Vala compiler
 * generated from RecursiveDelete.vala, do not modify */

/* -*- Mode: Vala; indent-tabs-mode: nil; tab-width: 2 -*-
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 * SPDX-FileCopyrightText: Michael Terry
 */

#include "deja.h"
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include <glib-object.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	DEJA_DUP_RECURSIVE_DELETE_0_PROPERTY,
	DEJA_DUP_RECURSIVE_DELETE_SKIP_PROPERTY,
	DEJA_DUP_RECURSIVE_DELETE_ONLY_PROPERTY,
	DEJA_DUP_RECURSIVE_DELETE_NUM_PROPERTIES
};
static GParamSpec* deja_dup_recursive_delete_properties[DEJA_DUP_RECURSIVE_DELETE_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _DejaDupRecursiveDeletePrivate {
	gchar* _skip;
	GRegex* _only;
};

static gint DejaDupRecursiveDelete_private_offset;
static gpointer deja_dup_recursive_delete_parent_class = NULL;

static void deja_dup_recursive_delete_real_handle_file (DejaDupRecursiveOp* base);
static void deja_dup_recursive_delete_real_finish_dir (DejaDupRecursiveOp* base);
static DejaDupRecursiveOp* deja_dup_recursive_delete_real_clone_for_info (DejaDupRecursiveOp* base,
                                                                   GFileInfo* info);
static void deja_dup_recursive_delete_finalize (GObject * obj);
static GType deja_dup_recursive_delete_get_type_once (void);
static void _vala_deja_dup_recursive_delete_get_property (GObject * object,
                                                   guint property_id,
                                                   GValue * value,
                                                   GParamSpec * pspec);
static void _vala_deja_dup_recursive_delete_set_property (GObject * object,
                                                   guint property_id,
                                                   const GValue * value,
                                                   GParamSpec * pspec);

static inline gpointer
deja_dup_recursive_delete_get_instance_private (DejaDupRecursiveDelete* self)
{
	return G_STRUCT_MEMBER_P (self, DejaDupRecursiveDelete_private_offset);
}

DejaDupRecursiveDelete*
deja_dup_recursive_delete_construct (GType object_type,
                                     GFile* source,
                                     const gchar* skip,
                                     GRegex* only)
{
	DejaDupRecursiveDelete * self = NULL;
#line 20 "../libdeja/RecursiveDelete.vala"
	g_return_val_if_fail (source != NULL, NULL);
#line 22 "../libdeja/RecursiveDelete.vala"
	self = (DejaDupRecursiveDelete*) g_object_new (object_type, "src", source, "skip", skip, "only", only, NULL);
#line 20 "../libdeja/RecursiveDelete.vala"
	return self;
#line 81 "RecursiveDelete.c"
}

DejaDupRecursiveDelete*
deja_dup_recursive_delete_new (GFile* source,
                               const gchar* skip,
                               GRegex* only)
{
#line 20 "../libdeja/RecursiveDelete.vala"
	return deja_dup_recursive_delete_construct (DEJA_DUP_TYPE_RECURSIVE_DELETE, source, skip, only);
#line 91 "RecursiveDelete.c"
}

static void
deja_dup_recursive_delete_real_handle_file (DejaDupRecursiveOp* base)
{
	DejaDupRecursiveDelete * self;
	gboolean _tmp0_ = FALSE;
	GRegex* _tmp1_;
	GError* _inner_error0_ = NULL;
#line 25 "../libdeja/RecursiveDelete.vala"
	self = (DejaDupRecursiveDelete*) base;
#line 27 "../libdeja/RecursiveDelete.vala"
	_tmp1_ = self->priv->_only;
#line 27 "../libdeja/RecursiveDelete.vala"
	if (_tmp1_ != NULL) {
#line 107 "RecursiveDelete.c"
		GRegex* _tmp2_;
		GFile* _tmp3_;
		GFile* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
#line 27 "../libdeja/RecursiveDelete.vala"
		_tmp2_ = self->priv->_only;
#line 27 "../libdeja/RecursiveDelete.vala"
		_tmp3_ = deja_dup_recursive_op_get_src ((DejaDupRecursiveOp*) self);
#line 27 "../libdeja/RecursiveDelete.vala"
		_tmp4_ = _tmp3_;
#line 27 "../libdeja/RecursiveDelete.vala"
		_tmp5_ = g_file_get_basename (_tmp4_);
#line 27 "../libdeja/RecursiveDelete.vala"
		_tmp6_ = _tmp5_;
#line 27 "../libdeja/RecursiveDelete.vala"
		_tmp0_ = !g_regex_match (_tmp2_, _tmp6_, 0, NULL);
#line 27 "../libdeja/RecursiveDelete.vala"
		_g_free0 (_tmp6_);
#line 127 "RecursiveDelete.c"
	} else {
#line 27 "../libdeja/RecursiveDelete.vala"
		_tmp0_ = FALSE;
#line 131 "RecursiveDelete.c"
	}
#line 27 "../libdeja/RecursiveDelete.vala"
	if (_tmp0_) {
#line 28 "../libdeja/RecursiveDelete.vala"
		return;
#line 137 "RecursiveDelete.c"
	}
	{
		GFile* _tmp7_;
		GFile* _tmp8_;
#line 31 "../libdeja/RecursiveDelete.vala"
		_tmp7_ = deja_dup_recursive_op_get_src ((DejaDupRecursiveOp*) self);
#line 31 "../libdeja/RecursiveDelete.vala"
		_tmp8_ = _tmp7_;
#line 31 "../libdeja/RecursiveDelete.vala"
		g_file_delete (_tmp8_, NULL, &_inner_error0_);
#line 31 "../libdeja/RecursiveDelete.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 150 "RecursiveDelete.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GFile* _tmp9_;
		GFile* _tmp10_;
		GFile* _tmp11_;
		GFile* _tmp12_;
		GError* _tmp13_;
		const gchar* _tmp14_;
#line 30 "../libdeja/RecursiveDelete.vala"
		e = _inner_error0_;
#line 30 "../libdeja/RecursiveDelete.vala"
		_inner_error0_ = NULL;
#line 34 "../libdeja/RecursiveDelete.vala"
		_tmp9_ = deja_dup_recursive_op_get_src ((DejaDupRecursiveOp*) self);
#line 34 "../libdeja/RecursiveDelete.vala"
		_tmp10_ = _tmp9_;
#line 34 "../libdeja/RecursiveDelete.vala"
		_tmp11_ = deja_dup_recursive_op_get_dst ((DejaDupRecursiveOp*) self);
#line 34 "../libdeja/RecursiveDelete.vala"
		_tmp12_ = _tmp11_;
#line 34 "../libdeja/RecursiveDelete.vala"
		_tmp13_ = e;
#line 34 "../libdeja/RecursiveDelete.vala"
		_tmp14_ = _tmp13_->message;
#line 34 "../libdeja/RecursiveDelete.vala"
		g_signal_emit_by_name ((DejaDupRecursiveOp*) self, "raise-error", _tmp10_, _tmp12_, _tmp14_);
#line 30 "../libdeja/RecursiveDelete.vala"
		_g_error_free0 (e);
#line 184 "RecursiveDelete.c"
	}
	__finally0:
#line 30 "../libdeja/RecursiveDelete.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 30 "../libdeja/RecursiveDelete.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 30 "../libdeja/RecursiveDelete.vala"
		g_clear_error (&_inner_error0_);
#line 30 "../libdeja/RecursiveDelete.vala"
		return;
#line 195 "RecursiveDelete.c"
	}
}

static void
deja_dup_recursive_delete_real_finish_dir (DejaDupRecursiveOp* base)
{
	DejaDupRecursiveDelete * self;
	gboolean _tmp0_ = FALSE;
	GRegex* _tmp1_;
	GError* _inner_error0_ = NULL;
#line 38 "../libdeja/RecursiveDelete.vala"
	self = (DejaDupRecursiveDelete*) base;
#line 40 "../libdeja/RecursiveDelete.vala"
	_tmp1_ = self->priv->_only;
#line 40 "../libdeja/RecursiveDelete.vala"
	if (_tmp1_ != NULL) {
#line 212 "RecursiveDelete.c"
		GRegex* _tmp2_;
		GFile* _tmp3_;
		GFile* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
#line 40 "../libdeja/RecursiveDelete.vala"
		_tmp2_ = self->priv->_only;
#line 40 "../libdeja/RecursiveDelete.vala"
		_tmp3_ = deja_dup_recursive_op_get_src ((DejaDupRecursiveOp*) self);
#line 40 "../libdeja/RecursiveDelete.vala"
		_tmp4_ = _tmp3_;
#line 40 "../libdeja/RecursiveDelete.vala"
		_tmp5_ = g_file_get_basename (_tmp4_);
#line 40 "../libdeja/RecursiveDelete.vala"
		_tmp6_ = _tmp5_;
#line 40 "../libdeja/RecursiveDelete.vala"
		_tmp0_ = !g_regex_match (_tmp2_, _tmp6_, 0, NULL);
#line 40 "../libdeja/RecursiveDelete.vala"
		_g_free0 (_tmp6_);
#line 232 "RecursiveDelete.c"
	} else {
#line 40 "../libdeja/RecursiveDelete.vala"
		_tmp0_ = FALSE;
#line 236 "RecursiveDelete.c"
	}
#line 40 "../libdeja/RecursiveDelete.vala"
	if (_tmp0_) {
#line 41 "../libdeja/RecursiveDelete.vala"
		return;
#line 242 "RecursiveDelete.c"
	}
	{
		GFile* _tmp7_;
		GFile* _tmp8_;
#line 44 "../libdeja/RecursiveDelete.vala"
		_tmp7_ = deja_dup_recursive_op_get_src ((DejaDupRecursiveOp*) self);
#line 44 "../libdeja/RecursiveDelete.vala"
		_tmp8_ = _tmp7_;
#line 44 "../libdeja/RecursiveDelete.vala"
		g_file_delete (_tmp8_, NULL, &_inner_error0_);
#line 44 "../libdeja/RecursiveDelete.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 255 "RecursiveDelete.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
#line 43 "../libdeja/RecursiveDelete.vala"
		g_clear_error (&_inner_error0_);
#line 264 "RecursiveDelete.c"
	}
	__finally0:
#line 43 "../libdeja/RecursiveDelete.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 43 "../libdeja/RecursiveDelete.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 43 "../libdeja/RecursiveDelete.vala"
		g_clear_error (&_inner_error0_);
#line 43 "../libdeja/RecursiveDelete.vala"
		return;
#line 275 "RecursiveDelete.c"
	}
}

static DejaDupRecursiveOp*
deja_dup_recursive_delete_real_clone_for_info (DejaDupRecursiveOp* base,
                                               GFileInfo* info)
{
	DejaDupRecursiveDelete * self;
	gchar* child_name = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	GFile* src_child = NULL;
	GFile* _tmp4_;
	GFile* _tmp5_;
	const gchar* _tmp6_;
	GFile* _tmp7_;
	GFile* _tmp8_;
	GRegex* _tmp9_;
	DejaDupRecursiveDelete* _tmp10_;
	DejaDupRecursiveOp* result;
#line 54 "../libdeja/RecursiveDelete.vala"
	self = (DejaDupRecursiveDelete*) base;
#line 54 "../libdeja/RecursiveDelete.vala"
	g_return_val_if_fail (info != NULL, NULL);
#line 56 "../libdeja/RecursiveDelete.vala"
	_tmp0_ = g_file_info_get_name (info);
#line 56 "../libdeja/RecursiveDelete.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 56 "../libdeja/RecursiveDelete.vala"
	child_name = _tmp1_;
#line 57 "../libdeja/RecursiveDelete.vala"
	_tmp2_ = child_name;
#line 57 "../libdeja/RecursiveDelete.vala"
	_tmp3_ = self->priv->_skip;
#line 57 "../libdeja/RecursiveDelete.vala"
	if (g_strcmp0 (_tmp2_, _tmp3_) == 0) {
#line 58 "../libdeja/RecursiveDelete.vala"
		result = NULL;
#line 58 "../libdeja/RecursiveDelete.vala"
		_g_free0 (child_name);
#line 58 "../libdeja/RecursiveDelete.vala"
		return result;
#line 320 "RecursiveDelete.c"
	}
#line 60 "../libdeja/RecursiveDelete.vala"
	_tmp4_ = deja_dup_recursive_op_get_src ((DejaDupRecursiveOp*) self);
#line 60 "../libdeja/RecursiveDelete.vala"
	_tmp5_ = _tmp4_;
#line 60 "../libdeja/RecursiveDelete.vala"
	_tmp6_ = child_name;
#line 60 "../libdeja/RecursiveDelete.vala"
	_tmp7_ = g_file_get_child (_tmp5_, _tmp6_);
#line 60 "../libdeja/RecursiveDelete.vala"
	src_child = _tmp7_;
#line 61 "../libdeja/RecursiveDelete.vala"
	_tmp8_ = src_child;
#line 61 "../libdeja/RecursiveDelete.vala"
	_tmp9_ = self->priv->_only;
#line 61 "../libdeja/RecursiveDelete.vala"
	_tmp10_ = deja_dup_recursive_delete_new (_tmp8_, NULL, _tmp9_);
#line 61 "../libdeja/RecursiveDelete.vala"
	result = (DejaDupRecursiveOp*) _tmp10_;
#line 61 "../libdeja/RecursiveDelete.vala"
	_g_object_unref0 (src_child);
#line 61 "../libdeja/RecursiveDelete.vala"
	_g_free0 (child_name);
#line 61 "../libdeja/RecursiveDelete.vala"
	return result;
#line 346 "RecursiveDelete.c"
}

const gchar*
deja_dup_recursive_delete_get_skip (DejaDupRecursiveDelete* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 15 "../libdeja/RecursiveDelete.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 15 "../libdeja/RecursiveDelete.vala"
	_tmp0_ = self->priv->_skip;
#line 15 "../libdeja/RecursiveDelete.vala"
	result = _tmp0_;
#line 15 "../libdeja/RecursiveDelete.vala"
	return result;
#line 362 "RecursiveDelete.c"
}

static void
deja_dup_recursive_delete_set_skip (DejaDupRecursiveDelete* self,
                                    const gchar* value)
{
	gchar* old_value;
#line 15 "../libdeja/RecursiveDelete.vala"
	g_return_if_fail (self != NULL);
#line 15 "../libdeja/RecursiveDelete.vala"
	old_value = deja_dup_recursive_delete_get_skip (self);
#line 15 "../libdeja/RecursiveDelete.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 376 "RecursiveDelete.c"
		gchar* _tmp0_;
#line 15 "../libdeja/RecursiveDelete.vala"
		_tmp0_ = g_strdup (value);
#line 15 "../libdeja/RecursiveDelete.vala"
		_g_free0 (self->priv->_skip);
#line 15 "../libdeja/RecursiveDelete.vala"
		self->priv->_skip = _tmp0_;
#line 15 "../libdeja/RecursiveDelete.vala"
		g_object_notify_by_pspec ((GObject *) self, deja_dup_recursive_delete_properties[DEJA_DUP_RECURSIVE_DELETE_SKIP_PROPERTY]);
#line 386 "RecursiveDelete.c"
	}
}

GRegex*
deja_dup_recursive_delete_get_only (DejaDupRecursiveDelete* self)
{
	GRegex* result;
	GRegex* _tmp0_;
#line 18 "../libdeja/RecursiveDelete.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 18 "../libdeja/RecursiveDelete.vala"
	_tmp0_ = self->priv->_only;
#line 18 "../libdeja/RecursiveDelete.vala"
	result = _tmp0_;
#line 18 "../libdeja/RecursiveDelete.vala"
	return result;
#line 403 "RecursiveDelete.c"
}

static gpointer
_g_regex_ref0 (gpointer self)
{
#line 18 "../libdeja/RecursiveDelete.vala"
	return self ? g_regex_ref (self) : NULL;
#line 411 "RecursiveDelete.c"
}

static void
deja_dup_recursive_delete_set_only (DejaDupRecursiveDelete* self,
                                    GRegex* value)
{
	GRegex* old_value;
#line 18 "../libdeja/RecursiveDelete.vala"
	g_return_if_fail (self != NULL);
#line 18 "../libdeja/RecursiveDelete.vala"
	old_value = deja_dup_recursive_delete_get_only (self);
#line 18 "../libdeja/RecursiveDelete.vala"
	if (old_value != value) {
#line 425 "RecursiveDelete.c"
		GRegex* _tmp0_;
#line 18 "../libdeja/RecursiveDelete.vala"
		_tmp0_ = _g_regex_ref0 (value);
#line 18 "../libdeja/RecursiveDelete.vala"
		_g_regex_unref0 (self->priv->_only);
#line 18 "../libdeja/RecursiveDelete.vala"
		self->priv->_only = _tmp0_;
#line 18 "../libdeja/RecursiveDelete.vala"
		g_object_notify_by_pspec ((GObject *) self, deja_dup_recursive_delete_properties[DEJA_DUP_RECURSIVE_DELETE_ONLY_PROPERTY]);
#line 435 "RecursiveDelete.c"
	}
}

static void
deja_dup_recursive_delete_class_init (DejaDupRecursiveDeleteClass * klass,
                                      gpointer klass_data)
{
#line 11 "../libdeja/RecursiveDelete.vala"
	deja_dup_recursive_delete_parent_class = g_type_class_peek_parent (klass);
#line 11 "../libdeja/RecursiveDelete.vala"
	g_type_class_adjust_private_offset (klass, &DejaDupRecursiveDelete_private_offset);
#line 11 "../libdeja/RecursiveDelete.vala"
	((DejaDupRecursiveOpClass *) klass)->handle_file = (void (*) (DejaDupRecursiveOp*)) deja_dup_recursive_delete_real_handle_file;
#line 11 "../libdeja/RecursiveDelete.vala"
	((DejaDupRecursiveOpClass *) klass)->finish_dir = (void (*) (DejaDupRecursiveOp*)) deja_dup_recursive_delete_real_finish_dir;
#line 11 "../libdeja/RecursiveDelete.vala"
	((DejaDupRecursiveOpClass *) klass)->clone_for_info = (DejaDupRecursiveOp* (*) (DejaDupRecursiveOp*, GFileInfo*)) deja_dup_recursive_delete_real_clone_for_info;
#line 11 "../libdeja/RecursiveDelete.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_deja_dup_recursive_delete_get_property;
#line 11 "../libdeja/RecursiveDelete.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_deja_dup_recursive_delete_set_property;
#line 11 "../libdeja/RecursiveDelete.vala"
	G_OBJECT_CLASS (klass)->finalize = deja_dup_recursive_delete_finalize;
#line 11 "../libdeja/RecursiveDelete.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEJA_DUP_RECURSIVE_DELETE_SKIP_PROPERTY, deja_dup_recursive_delete_properties[DEJA_DUP_RECURSIVE_DELETE_SKIP_PROPERTY] = g_param_spec_string ("skip", "skip", "skip", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 11 "../libdeja/RecursiveDelete.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEJA_DUP_RECURSIVE_DELETE_ONLY_PROPERTY, deja_dup_recursive_delete_properties[DEJA_DUP_RECURSIVE_DELETE_ONLY_PROPERTY] = g_param_spec_boxed ("only", "only", "only", G_TYPE_REGEX, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 463 "RecursiveDelete.c"
}

static void
deja_dup_recursive_delete_instance_init (DejaDupRecursiveDelete * self,
                                         gpointer klass)
{
#line 11 "../libdeja/RecursiveDelete.vala"
	self->priv = deja_dup_recursive_delete_get_instance_private (self);
#line 472 "RecursiveDelete.c"
}

static void
deja_dup_recursive_delete_finalize (GObject * obj)
{
	DejaDupRecursiveDelete * self;
#line 11 "../libdeja/RecursiveDelete.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DEJA_DUP_TYPE_RECURSIVE_DELETE, DejaDupRecursiveDelete);
#line 15 "../libdeja/RecursiveDelete.vala"
	_g_free0 (self->priv->_skip);
#line 18 "../libdeja/RecursiveDelete.vala"
	_g_regex_unref0 (self->priv->_only);
#line 11 "../libdeja/RecursiveDelete.vala"
	G_OBJECT_CLASS (deja_dup_recursive_delete_parent_class)->finalize (obj);
#line 487 "RecursiveDelete.c"
}

 G_GNUC_NO_INLINE static GType
deja_dup_recursive_delete_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (DejaDupRecursiveDeleteClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) deja_dup_recursive_delete_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DejaDupRecursiveDelete), 0, (GInstanceInitFunc) deja_dup_recursive_delete_instance_init, NULL };
	GType deja_dup_recursive_delete_type_id;
	deja_dup_recursive_delete_type_id = g_type_register_static (DEJA_DUP_TYPE_RECURSIVE_OP, "DejaDupRecursiveDelete", &g_define_type_info, 0);
	DejaDupRecursiveDelete_private_offset = g_type_add_instance_private (deja_dup_recursive_delete_type_id, sizeof (DejaDupRecursiveDeletePrivate));
	return deja_dup_recursive_delete_type_id;
}

GType
deja_dup_recursive_delete_get_type (void)
{
	static gsize deja_dup_recursive_delete_type_id__once = 0;
	if (g_once_init_enter (&deja_dup_recursive_delete_type_id__once)) {
		GType deja_dup_recursive_delete_type_id;
		deja_dup_recursive_delete_type_id = deja_dup_recursive_delete_get_type_once ();
		g_once_init_leave (&deja_dup_recursive_delete_type_id__once, deja_dup_recursive_delete_type_id);
	}
	return deja_dup_recursive_delete_type_id__once;
}

static void
_vala_deja_dup_recursive_delete_get_property (GObject * object,
                                              guint property_id,
                                              GValue * value,
                                              GParamSpec * pspec)
{
	DejaDupRecursiveDelete * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DEJA_DUP_TYPE_RECURSIVE_DELETE, DejaDupRecursiveDelete);
#line 11 "../libdeja/RecursiveDelete.vala"
	switch (property_id) {
#line 11 "../libdeja/RecursiveDelete.vala"
		case DEJA_DUP_RECURSIVE_DELETE_SKIP_PROPERTY:
#line 11 "../libdeja/RecursiveDelete.vala"
		g_value_set_string (value, deja_dup_recursive_delete_get_skip (self));
#line 11 "../libdeja/RecursiveDelete.vala"
		break;
#line 11 "../libdeja/RecursiveDelete.vala"
		case DEJA_DUP_RECURSIVE_DELETE_ONLY_PROPERTY:
#line 11 "../libdeja/RecursiveDelete.vala"
		g_value_set_boxed (value, deja_dup_recursive_delete_get_only (self));
#line 11 "../libdeja/RecursiveDelete.vala"
		break;
#line 534 "RecursiveDelete.c"
		default:
#line 11 "../libdeja/RecursiveDelete.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 11 "../libdeja/RecursiveDelete.vala"
		break;
#line 540 "RecursiveDelete.c"
	}
}

static void
_vala_deja_dup_recursive_delete_set_property (GObject * object,
                                              guint property_id,
                                              const GValue * value,
                                              GParamSpec * pspec)
{
	DejaDupRecursiveDelete * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DEJA_DUP_TYPE_RECURSIVE_DELETE, DejaDupRecursiveDelete);
#line 11 "../libdeja/RecursiveDelete.vala"
	switch (property_id) {
#line 11 "../libdeja/RecursiveDelete.vala"
		case DEJA_DUP_RECURSIVE_DELETE_SKIP_PROPERTY:
#line 11 "../libdeja/RecursiveDelete.vala"
		deja_dup_recursive_delete_set_skip (self, g_value_get_string (value));
#line 11 "../libdeja/RecursiveDelete.vala"
		break;
#line 11 "../libdeja/RecursiveDelete.vala"
		case DEJA_DUP_RECURSIVE_DELETE_ONLY_PROPERTY:
#line 11 "../libdeja/RecursiveDelete.vala"
		deja_dup_recursive_delete_set_only (self, g_value_get_boxed (value));
#line 11 "../libdeja/RecursiveDelete.vala"
		break;
#line 566 "RecursiveDelete.c"
		default:
#line 11 "../libdeja/RecursiveDelete.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 11 "../libdeja/RecursiveDelete.vala"
		break;
#line 572 "RecursiveDelete.c"
	}
}

