/* DuplicityJob.c generated by valac 0.56.17, the Vala compiler
 * generated from DuplicityJob.vala, do not modify */

/* -*- Mode: Vala; indent-tabs-mode: nil; tab-width: 2 -*-
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 * SPDX-FileCopyrightText: Michael Terry
 */

#include "deja.h"
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include <glib/gi18n-lib.h>
#include <glib/gstdio.h>
#include <float.h>
#include <math.h>
#include <gpg-error.h>

#define DUPLICITY_JOB_MINIMUM_FULL 1
#define DUPLICITY_JOB_ERROR_GENERIC 1
#define DUPLICITY_JOB_ERROR_HOSTNAME_CHANGED 3
#define DUPLICITY_JOB_ERROR_RESTORE_DIR_NOT_FOUND 19
#define DUPLICITY_JOB_ERROR_EXCEPTION 30
#define DUPLICITY_JOB_ERROR_GPG 31
#define DUPLICITY_JOB_ERROR_BAD_VOLUME 44
#define DUPLICITY_JOB_ERROR_BACKEND 50
#define DUPLICITY_JOB_ERROR_BACKEND_PERMISSION_DENIED 51
#define DUPLICITY_JOB_ERROR_BACKEND_NOT_FOUND 52
#define DUPLICITY_JOB_ERROR_BACKEND_NO_SPACE 53
#define DUPLICITY_JOB_INFO_PROGRESS 2
#define DUPLICITY_JOB_INFO_COLLECTION_STATUS 3
#define DUPLICITY_JOB_INFO_DIFF_FILE_NEW 4
#define DUPLICITY_JOB_INFO_DIFF_FILE_CHANGED 5
#define DUPLICITY_JOB_INFO_DIFF_FILE_DELETED 6
#define DUPLICITY_JOB_INFO_PATCH_FILE_WRITING 7
#define DUPLICITY_JOB_INFO_PATCH_FILE_PATCHING 8
#define DUPLICITY_JOB_INFO_FILE_STAT 10
#define DUPLICITY_JOB_INFO_SYNCHRONOUS_UPLOAD_BEGIN 11
#define DUPLICITY_JOB_INFO_ASYNCHRONOUS_UPLOAD_BEGIN 12
#define DUPLICITY_JOB_INFO_SYNCHRONOUS_UPLOAD_DONE 13
#define DUPLICITY_JOB_INFO_ASYNCHRONOUS_UPLOAD_DONE 14
#define DUPLICITY_JOB_WARNING_ORPHANED_SIG 2
#define DUPLICITY_JOB_WARNING_UNNECESSARY_SIG 3
#define DUPLICITY_JOB_WARNING_UNMATCHED_SIG 4
#define DUPLICITY_JOB_WARNING_INCOMPLETE_BACKUP 5
#define DUPLICITY_JOB_WARNING_ORPHANED_BACKUP 6
#define DUPLICITY_JOB_WARNING_CANNOT_STAT 9
#define DUPLICITY_JOB_WARNING_CANNOT_READ 10
#define DUPLICITY_JOB_WARNING_CANNOT_PROCESS 12
#define DUPLICITY_JOB_DEBUG_GENERIC 1
#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

#define TYPE_DUPLICITY_JOB (duplicity_job_get_type ())
#define DUPLICITY_JOB(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DUPLICITY_JOB, DuplicityJob))
#define DUPLICITY_JOB_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DUPLICITY_JOB, DuplicityJobClass))
#define IS_DUPLICITY_JOB(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DUPLICITY_JOB))
#define IS_DUPLICITY_JOB_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DUPLICITY_JOB))
#define DUPLICITY_JOB_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DUPLICITY_JOB, DuplicityJobClass))

typedef struct _DuplicityJob DuplicityJob;
typedef struct _DuplicityJobClass DuplicityJobClass;
typedef struct _DuplicityJobPrivate DuplicityJobPrivate;
typedef enum  {
	DUPLICITY_JOB_STATE_NOT_STARTED,
	DUPLICITY_JOB_STATE_NORMAL,
	DUPLICITY_JOB_STATE_DRY_RUN,
	DUPLICITY_JOB_STATE_STATUS,
	DUPLICITY_JOB_STATE_CLEANUP,
	DUPLICITY_JOB_STATE_DELETE
} DuplicityJobState;

#define DUPLICITY_JOB_TYPE_STATE (duplicity_job_state_get_type ())

#define TYPE_DUPLICITY_INSTANCE (duplicity_instance_get_type ())
#define DUPLICITY_INSTANCE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DUPLICITY_INSTANCE, DuplicityInstance))
#define DUPLICITY_INSTANCE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DUPLICITY_INSTANCE, DuplicityInstanceClass))
#define IS_DUPLICITY_INSTANCE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DUPLICITY_INSTANCE))
#define IS_DUPLICITY_INSTANCE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DUPLICITY_INSTANCE))
#define DUPLICITY_INSTANCE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DUPLICITY_INSTANCE, DuplicityInstanceClass))

typedef struct _DuplicityInstance DuplicityInstance;
typedef struct _DuplicityInstanceClass DuplicityInstanceClass;

#define DUPLICITY_JOB_TYPE_DATE_INFO (duplicity_job_date_info_get_type ())
typedef struct _DuplicityJobDateInfo DuplicityJobDateInfo;
enum  {
	DUPLICITY_JOB_0_PROPERTY,
	DUPLICITY_JOB_VERSION1_CLI_PROPERTY,
	DUPLICITY_JOB_STATE_PROPERTY,
	DUPLICITY_JOB_NUM_PROPERTIES
};
static GParamSpec* duplicity_job_properties[DUPLICITY_JOB_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _DuplicityJobStartData DuplicityJobStartData;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_bytes_unref0(var) ((var == NULL) ? NULL : (var = (g_bytes_unref (var), NULL)))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
typedef struct _DuplicityJobReportFullBackupsData DuplicityJobReportFullBackupsData;
typedef struct _DuplicityJobCheckBackupSpaceData DuplicityJobCheckBackupSpaceData;
#define _g_time_zone_unref0(var) ((var == NULL) ? NULL : (var = (g_time_zone_unref (var), NULL)))
#define _g_tree_unref0(var) ((var == NULL) ? NULL : (var = (g_tree_unref (var), NULL)))

struct _DuplicityJob {
	DejaDupToolJob parent_instance;
	DuplicityJobPrivate * priv;
};

struct _DuplicityJobClass {
	DejaDupToolJobClass parent_class;
	void (*process_error) (DuplicityJob* self, gchar** firstline, gint firstline_length1, GList* data, const gchar* text_in);
	void (*process_info) (DuplicityJob* self, gchar** firstline, gint firstline_length1, GList* data, const gchar* text);
	void (*process_warning) (DuplicityJob* self, gchar** firstline, gint firstline_length1, GList* data, const gchar* text);
};

struct _DuplicityJobDateInfo {
	gboolean full;
	GDateTime* time;
};

struct _DuplicityJobPrivate {
	gboolean _version1_cli;
	DejaDupToolJobMode _original_mode;
	gboolean _error_issued;
	gboolean _was_stopped;
	DuplicityJobState _state;
	DuplicityInstance* inst;
	GList* includes_argv;
	GList* saved_argv;
	GList* saved_envp;
	gboolean is_full_backup;
	gboolean cleaned_up_once;
	gboolean detected_encryption;
	gboolean existing_encrypted;
	gchar* last_bad_volume;
	guint bad_volume_count;
	gboolean has_progress_total;
	guint64 progress_total;
	guint64 progress_count;
	gboolean checked_collection_info;
	gboolean got_collection_info;
	GList* collection_info;
	gboolean reported_full_backups;
	gboolean checked_backup_space;
	gboolean deleted_files;
	gint delete_age;
	GFile* last_touched_file;
	gchar* forced_cache_dir;
	gchar* credentials_dir;
	gchar* saved_status;
	GFile* saved_status_file;
	gboolean saved_status_file_action;
	gboolean restarted_without_cache;
};

struct _DuplicityJobStartData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	DuplicityJob* self;
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	DejaDupToolJobMode _tmp2_;
	DejaDupToolJobMode _tmp3_;
	DejaDupFilteredSettings* settings;
	DejaDupFilteredSettings* _tmp4_;
	DejaDupFilteredSettings* _tmp5_;
	DejaDupToolJobFlags _tmp6_;
	DejaDupToolJobFlags _tmp7_;
	gchar* template;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	const gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	DejaDupBackend* _tmp15_;
	DejaDupBackend* _tmp16_;
	GError* e;
	GError* _tmp17_;
	const gchar* _tmp18_;
	DejaDupToolJobMode _tmp19_;
	DejaDupToolJobMode _tmp20_;
	DejaDupToolJobMode _tmp21_;
	DejaDupToolJobMode _tmp22_;
	DejaDupBackend* _tmp23_;
	DejaDupBackend* _tmp24_;
	DejaDupBackend* _tmp25_;
	DejaDupBackend* _tmp26_;
	DejaDupNetwork* _tmp27_;
	DejaDupNetwork* _tmp28_;
	DejaDupNetwork* _tmp29_;
	DejaDupNetwork* _tmp30_;
	gboolean _tmp31_;
	gboolean _tmp32_;
	gboolean _tmp33_;
	GError* _inner_error0_;
};

struct _DuplicityJobReportFullBackupsData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	DuplicityJob* self;
	GDateTime* full_backup;
	GList* _tmp0_;
	GList* info_collection;
	GList* info_it;
	DuplicityJobDateInfo _tmp1_;
	DuplicityJobDateInfo _tmp2_;
	DuplicityJobDateInfo info;
	DuplicityJobDateInfo _tmp3_;
	DuplicityJobDateInfo _tmp4_;
	GDateTime* _tmp5_;
	GDateTime* _tmp6_;
	gboolean first_backup;
	GDateTime* _tmp7_;
	GDateTime* threshold;
	GDateTime* _tmp8_;
	gboolean _tmp9_;
	GDateTime* _tmp10_;
	GDateTime* _tmp11_;
	GDateTime* _tmp12_;
	gboolean _tmp13_;
	DejaDupToolJobMode _tmp14_;
	DejaDupToolJobMode _tmp15_;
};

struct _DuplicityJobCheckBackupSpaceData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	DuplicityJob* self;
	gint full_dates;
	GList* _tmp0_;
	GList* info_collection;
	GList* info_it;
	DuplicityJobDateInfo _tmp1_;
	DuplicityJobDateInfo _tmp2_;
	DuplicityJobDateInfo info;
	DuplicityJobDateInfo _tmp3_;
	gint _tmp4_;
	gboolean first_backup;
	guint64 initial_required_space;
	guint64 free;
	DejaDupBackend* _tmp5_;
	DejaDupBackend* _tmp6_;
	guint64 total;
	DejaDupBackend* _tmp7_;
	DejaDupBackend* _tmp8_;
	gboolean _tmp9_;
	gchar* msg;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	const gchar* _tmp16_;
	guint64 _tmp17_;
	guint64 required_free_space;
	gchar* _vala1_msg;
	gchar* _tmp18_;
	gchar* _tmp19_;
	const gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
	gchar* _tmp23_;
	gchar* _tmp24_;
};

static gint DuplicityJob_private_offset;
static gpointer duplicity_job_parent_class = NULL;
static GFile* duplicity_job_slash;
static GFile* duplicity_job_slash = NULL;

VALA_EXTERN GType duplicity_job_get_type (void) G_GNUC_CONST ;
VALA_EXTERN GType duplicity_job_state_get_type (void) G_GNUC_CONST ;
VALA_EXTERN GType duplicity_instance_get_type (void) G_GNUC_CONST ;
static GType duplicity_job_date_info_get_type (void) G_GNUC_CONST  G_GNUC_UNUSED ;
static DuplicityJobDateInfo* duplicity_job_date_info_dup (const DuplicityJobDateInfo* self);
static void duplicity_job_date_info_free (DuplicityJobDateInfo* self);
static void duplicity_job_date_info_copy (const DuplicityJobDateInfo* self,
                                   DuplicityJobDateInfo* dest);
static void duplicity_job_date_info_destroy (DuplicityJobDateInfo* self);
VALA_EXTERN void duplicity_job_process_error (DuplicityJob* self,
                                  gchar** firstline,
                                  gint firstline_length1,
                                  GList* data,
                                  const gchar* text_in);
VALA_EXTERN void duplicity_job_process_info (DuplicityJob* self,
                                 gchar** firstline,
                                 gint firstline_length1,
                                 GList* data,
                                 const gchar* text);
VALA_EXTERN void duplicity_job_process_warning (DuplicityJob* self,
                                    gchar** firstline,
                                    gint firstline_length1,
                                    GList* data,
                                    const gchar* text);
static void duplicity_job_network_changed (DuplicityJob* self);
static void _duplicity_job_network_changed_g_object_notify (GObject* _sender,
                                                     GParamSpec* pspec,
                                                     gpointer self);
static void duplicity_job_clean_credentials_dir (DuplicityJob* self);
static void _g_free0_ (gpointer var);
static inline void _g_list_free__g_free0_ (GList* self);
static void _duplicity_job_date_info_free0_ (gpointer var);
static inline void _g_list_free__duplicity_job_date_info_free0_ (GList* self);
VALA_EXTERN DuplicityJob* duplicity_job_new (gboolean version1_cli);
VALA_EXTERN DuplicityJob* duplicity_job_construct (GType object_type,
                                       gboolean version1_cli);
static void duplicity_job_real_start_data_free (gpointer _data);
static void duplicity_job_real_start (DejaDupToolJob* base,
                               GAsyncReadyCallback _callback_,
                               gpointer _user_data_);
static gboolean duplicity_job_real_start_co (DuplicityJobStartData* _data_);
static DejaDupToolJobMode duplicity_job_get_original_mode (DuplicityJob* self);
static void duplicity_job_set_original_mode (DuplicityJob* self,
                                      DejaDupToolJobMode value);
static void duplicity_job_start_ready (GObject* source_object,
                                GAsyncResult* _res_,
                                gpointer _user_data_);
static void duplicity_job_fill_envp_from_backend (DuplicityJob* self,
                                           GError** error);
static void duplicity_job_process_include_excludes (DuplicityJob* self);
static gboolean duplicity_job_restart (DuplicityJob* self);
static gint duplicity_job_cmp_prefix (DuplicityJob* self,
                               GFile* a,
                               GFile* b);
static void duplicity_job_fill_envp_from_google (DuplicityJob* self,
                                          DejaDupBackendGoogle* google_backend,
                                          GError** error);
static void duplicity_job_fill_envp_from_microsoft (DuplicityJob* self,
                                             DejaDupBackendMicrosoft* microsoft_backend);
static gchar* duplicity_job_get_remote (DuplicityJob* self);
VALA_EXTERN GFile* deja_dup_backend_file_get_file_from_settings (DejaDupBackendFile* self);
VALA_EXTERN gchar* deja_dup_backend_microsoft_get_folder (DejaDupBackendMicrosoft* self);
static gchar* duplicity_job_escape_duplicity_path (DuplicityJob* self,
                                            const gchar* path);
static gchar* duplicity_job_prefix_local (DuplicityJob* self,
                                   const gchar* path);
VALA_EXTERN void deja_dup_expand_links_in_list (GList** all,
                                    gboolean keep_internal);
static void duplicity_job_real_cancel (DejaDupToolJob* base);
VALA_EXTERN DuplicityJobState duplicity_job_get_state (DuplicityJob* self);
static gboolean duplicity_job_cleanup (DuplicityJob* self);
static void duplicity_job_cancel_inst (DuplicityJob* self);
static void duplicity_job_real_stop (DejaDupToolJob* base);
static void duplicity_job_set_was_stopped (DuplicityJob* self,
                                    gboolean value);
static void duplicity_job_real_pause (DejaDupToolJob* base,
                               const gchar* reason);
VALA_EXTERN void duplicity_instance_pause (DuplicityInstance* self);
static void duplicity_job_set_status (DuplicityJob* self,
                               const gchar* msg,
                               gboolean save);
static void duplicity_job_real_resume (DejaDupToolJob* base);
VALA_EXTERN void duplicity_instance_resume (DuplicityInstance* self);
static void duplicity_job_set_saved_status (DuplicityJob* self);
static void duplicity_job_disconnect_inst (DuplicityJob* self);
static void duplicity_job_handle_done (DuplicityJob* self,
                                DuplicityInstance* inst,
                                gboolean success,
                                gboolean cancelled);
VALA_EXTERN void duplicity_job_set_state (DuplicityJob* self,
                              DuplicityJobState value);
static void duplicity_job_report_full_backups (DuplicityJob* self,
                                        GAsyncReadyCallback _callback_,
                                        gpointer _user_data_);
static void duplicity_job_report_full_backups_finish (DuplicityJob* self,
                                               GAsyncResult* _res_);
static void duplicity_job_check_backup_space (DuplicityJob* self,
                                       GAsyncReadyCallback _callback_,
                                       gpointer _user_data_);
static void duplicity_job_check_backup_space_finish (DuplicityJob* self,
                                              GAsyncResult* _res_);
static void duplicity_job_delete_cache (DuplicityJob* self,
                                 GRegex* only);
static GFile* duplicity_job_make_local_rel_path (DuplicityJob* self,
                                          GFile* file);
static void duplicity_job_show_error (DuplicityJob* self,
                               const gchar* errorstr,
                               const gchar* detail);
VALA_EXTERN gboolean duplicity_job_get_version1_cli (DuplicityJob* self);
static void duplicity_job_connect_and_start (DuplicityJob* self,
                                      GList* argv_extra,
                                      GList* envp_extra,
                                      GList* argv_entire,
                                      GFile* custom_local);
static void duplicity_job_report_full_backups_data_free (gpointer _data);
static gboolean duplicity_job_report_full_backups_co (DuplicityJobReportFullBackupsData* _data_);
static void duplicity_job_check_backup_space_data_free (gpointer _data);
static gboolean duplicity_job_check_backup_space_co (DuplicityJobCheckBackupSpaceData* _data_);
static void duplicity_job_check_backup_space_ready (GObject* source_object,
                                             GAsyncResult* _res_,
                                             gpointer _user_data_);
static void duplicity_job_delete_excess (DuplicityJob* self,
                                  gint cutoff);
static gboolean duplicity_job_can_ignore_error (DuplicityJob* self);
static gboolean duplicity_job_delete_files_if_needed (DuplicityJob* self);
static gboolean duplicity_job_get_was_stopped (DuplicityJob* self);
static gboolean duplicity_job_get_error_issued (DuplicityJob* self);
static void duplicity_job_set_status_file (DuplicityJob* self,
                                    GFile* file,
                                    gboolean action,
                                    gboolean save);
static gboolean duplicity_job_restart_without_cache (DuplicityJob* self);
static void duplicity_job_handle_exit (DuplicityJob* self,
                                gint code);
static void duplicity_job_handle_message (DuplicityJob* self,
                                   DuplicityInstance* inst,
                                   gchar** control_line,
                                   gint control_line_length1,
                                   GList* data_lines,
                                   const gchar* user_text);
static gboolean duplicity_job_ask_question (DuplicityJob* self,
                                     const gchar* t,
                                     const gchar* m);
static gchar* duplicity_job_parse_duplicity_file (DuplicityJob* self,
                                           const gchar* file,
                                           gint skip_bits);
static void duplicity_job_report_encryption_error (DuplicityJob* self);
static gboolean duplicity_job_check_encryption_error (DuplicityJob* self,
                                               const gchar* text);
static void duplicity_job_real_process_error (DuplicityJob* self,
                                       gchar** firstline,
                                       gint firstline_length1,
                                       GList* data,
                                       const gchar* text_in);
static void duplicity_job_process_exception (DuplicityJob* self,
                                      const gchar* exception,
                                      const gchar* text);
static GFile* duplicity_job_make_file_obj (DuplicityJob* self,
                                    const gchar* file);
static void duplicity_job_real_process_info (DuplicityJob* self,
                                      gchar** firstline,
                                      gint firstline_length1,
                                      GList* data,
                                      const gchar* text);
static void duplicity_job_process_diff_file (DuplicityJob* self,
                                      const gchar* file);
static void duplicity_job_process_patch_file (DuplicityJob* self,
                                       const gchar* file);
static void duplicity_job_process_progress (DuplicityJob* self,
                                     gchar** firstline,
                                     gint firstline_length1);
static void duplicity_job_process_collection_status (DuplicityJob* self,
                                              GList* lines);
static void duplicity_job_process_file_stat (DuplicityJob* self,
                                      const gchar* date,
                                      const gchar* file,
                                      const gchar* dup_type,
                                      GList* data,
                                      const gchar* text);
static gint __lambda30_ (DuplicityJob* self,
                  GDateTime* a,
                  GDateTime* b);
static gint ___lambda30__gcompare_data_func (gconstpointer a,
                                      gconstpointer b,
                                      gpointer self);
static void _g_date_time_unref0_ (gpointer var);
static gboolean duplicity_job_is_file_in_list (DuplicityJob* self,
                                        GFile* file,
                                        GList* list);
static gboolean duplicity_job_is_file_in_or_under_list (DuplicityJob* self,
                                                 GFile* file,
                                                 GList* list);
static void duplicity_job_real_process_warning (DuplicityJob* self,
                                         gchar** firstline,
                                         gint firstline_length1,
                                         GList* data,
                                         const gchar* text);
static void duplicity_job_set_error_issued (DuplicityJob* self,
                                     gboolean value);
static gint duplicity_job_get_volsize (DuplicityJob* self);
static void _duplicity_job_handle_done_duplicity_instance_done (DuplicityInstance* _sender,
                                                         gboolean success,
                                                         gboolean cancelled,
                                                         gpointer self);
static void _duplicity_job_handle_message_duplicity_instance_message (DuplicityInstance* _sender,
                                                               gchar** control_line,
                                                               gint control_line_length1,
                                                               GList* data_lines,
                                                               const gchar* user_text,
                                                               gpointer self);
static void _duplicity_job_handle_exit_duplicity_instance_exited (DuplicityInstance* _sender,
                                                           gint code,
                                                           gpointer self);
VALA_EXTERN void duplicity_instance_cancel (DuplicityInstance* self);
VALA_EXTERN DuplicityInstance* duplicity_instance_new (void);
VALA_EXTERN DuplicityInstance* duplicity_instance_construct (GType object_type);
VALA_EXTERN void duplicity_instance_set_forced_cache_dir (DuplicityInstance* self,
                                              const gchar* value);
VALA_EXTERN void duplicity_instance_start (DuplicityInstance* self,
                               GList* argv_in,
                               GList* envp_in,
                               GAsyncReadyCallback _callback_,
                               gpointer _user_data_);
VALA_EXTERN void duplicity_instance_start_finish (DuplicityInstance* self,
                                      GAsyncResult* _res_);
static void duplicity_job_set_version1_cli (DuplicityJob* self,
                                     gboolean value);
static GObject * duplicity_job_constructor (GType type,
                                     guint n_construct_properties,
                                     GObjectConstructParam * construct_properties);
static void duplicity_job_finalize (GObject * obj);
static GType duplicity_job_get_type_once (void);
static void _vala_duplicity_job_get_property (GObject * object,
                                       guint property_id,
                                       GValue * value,
                                       GParamSpec * pspec);
static void _vala_duplicity_job_set_property (GObject * object,
                                       guint property_id,
                                       const GValue * value,
                                       GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);
static gssize _vala_array_length (gpointer array);

static inline gpointer
duplicity_job_get_instance_private (DuplicityJob* self)
{
	return G_STRUCT_MEMBER_P (self, DuplicityJob_private_offset);
}

static void
_duplicity_job_network_changed_g_object_notify (GObject* _sender,
                                                GParamSpec* pspec,
                                                gpointer self)
{
#line 85 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_network_changed ((DuplicityJob*) self);
#line 554 "DuplicityJob.c"
}

 G_GNUC_NO_INLINE static GType
duplicity_job_state_get_type_once (void)
{
	static const GEnumValue values[] = {{DUPLICITY_JOB_STATE_NOT_STARTED, "DUPLICITY_JOB_STATE_NOT_STARTED", "not-started"}, {DUPLICITY_JOB_STATE_NORMAL, "DUPLICITY_JOB_STATE_NORMAL", "normal"}, {DUPLICITY_JOB_STATE_DRY_RUN, "DUPLICITY_JOB_STATE_DRY_RUN", "dry-run"}, {DUPLICITY_JOB_STATE_STATUS, "DUPLICITY_JOB_STATE_STATUS", "status"}, {DUPLICITY_JOB_STATE_CLEANUP, "DUPLICITY_JOB_STATE_CLEANUP", "cleanup"}, {DUPLICITY_JOB_STATE_DELETE, "DUPLICITY_JOB_STATE_DELETE", "delete"}, {0, NULL, NULL}};
	GType duplicity_job_state_type_id;
	duplicity_job_state_type_id = g_enum_register_static ("DuplicityJobState", values);
	return duplicity_job_state_type_id;
}

GType
duplicity_job_state_get_type (void)
{
	static gsize duplicity_job_state_type_id__once = 0;
	if (g_once_init_enter (&duplicity_job_state_type_id__once)) {
		GType duplicity_job_state_type_id;
		duplicity_job_state_type_id = duplicity_job_state_get_type_once ();
		g_once_init_leave (&duplicity_job_state_type_id__once, duplicity_job_state_type_id);
	}
	return duplicity_job_state_type_id__once;
}

static void
_g_free0_ (gpointer var)
{
#line 29 "../libdeja/duplicity/DuplicityJob.vala"
	var = (g_free (var), NULL);
#line 583 "DuplicityJob.c"
}

static inline void
_g_list_free__g_free0_ (GList* self)
{
#line 29 "../libdeja/duplicity/DuplicityJob.vala"
	g_list_free_full (self, (GDestroyNotify) _g_free0_);
#line 591 "DuplicityJob.c"
}

static void
_duplicity_job_date_info_free0_ (gpointer var)
{
#line 52 "../libdeja/duplicity/DuplicityJob.vala"
	(var == NULL) ? NULL : (var = (duplicity_job_date_info_free (var), NULL));
#line 599 "DuplicityJob.c"
}

static inline void
_g_list_free__duplicity_job_date_info_free0_ (GList* self)
{
#line 52 "../libdeja/duplicity/DuplicityJob.vala"
	g_list_free_full (self, (GDestroyNotify) _duplicity_job_date_info_free0_);
#line 607 "DuplicityJob.c"
}

static void
duplicity_job_network_changed (DuplicityJob* self)
{
	DejaDupNetwork* _tmp0_;
	DejaDupNetwork* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
#line 66 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_network_get ();
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = deja_dup_network_get_connected (_tmp1_);
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = _tmp2_;
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = _tmp3_;
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_tmp1_);
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp4_) {
#line 69 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_tool_job_resume ((DejaDupToolJob*) self);
#line 636 "DuplicityJob.c"
	} else {
#line 71 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_tool_job_pause ((DejaDupToolJob*) self, _ ("Paused (no network)"));
#line 640 "DuplicityJob.c"
	}
}

DuplicityJob*
duplicity_job_construct (GType object_type,
                         gboolean version1_cli)
{
	DuplicityJob * self = NULL;
#line 75 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) g_object_new (object_type, "version1-cli", version1_cli, NULL);
#line 74 "../libdeja/duplicity/DuplicityJob.vala"
	return self;
#line 653 "DuplicityJob.c"
}

DuplicityJob*
duplicity_job_new (gboolean version1_cli)
{
#line 74 "../libdeja/duplicity/DuplicityJob.vala"
	return duplicity_job_construct (TYPE_DUPLICITY_JOB, version1_cli);
#line 661 "DuplicityJob.c"
}

static void
duplicity_job_clean_credentials_dir (DuplicityJob* self)
{
	const gchar* _tmp0_;
#line 89 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 90 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->credentials_dir;
#line 90 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ != NULL) {
#line 674 "DuplicityJob.c"
		const gchar* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
		const gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
#line 91 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->credentials_dir;
#line 91 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = g_strdup_printf ("%s/settings.yaml", _tmp1_);
#line 91 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = _tmp2_;
#line 91 "../libdeja/duplicity/DuplicityJob.vala"
		g_remove (_tmp3_);
#line 91 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp3_);
#line 92 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = self->priv->credentials_dir;
#line 92 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = g_strdup_printf ("%s/credentials.json", _tmp4_);
#line 92 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = _tmp5_;
#line 92 "../libdeja/duplicity/DuplicityJob.vala"
		g_remove (_tmp6_);
#line 92 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp6_);
#line 93 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = self->priv->credentials_dir;
#line 93 "../libdeja/duplicity/DuplicityJob.vala"
		g_remove (_tmp7_);
#line 94 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (self->priv->credentials_dir);
#line 94 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->credentials_dir = NULL;
#line 710 "DuplicityJob.c"
	}
}

static void
duplicity_job_real_start_data_free (gpointer _data)
{
	DuplicityJobStartData* _data_;
	_data_ = _data;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_data_->self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_slice_free (DuplicityJobStartData, _data_);
#line 723 "DuplicityJob.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	return self ? g_object_ref (self) : NULL;
#line 731 "DuplicityJob.c"
}

static void
duplicity_job_real_start (DejaDupToolJob* base,
                          GAsyncReadyCallback _callback_,
                          gpointer _user_data_)
{
	DuplicityJob * self;
	DuplicityJobStartData* _data_;
	DuplicityJob* _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_slice_new0 (DuplicityJobStartData);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_set_task_data (_data_->_async_result, _data_, duplicity_job_real_start_data_free);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self = _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_real_start_co (_data_);
#line 756 "DuplicityJob.c"
}

static void
duplicity_job_start_finish (DejaDupToolJob* base,
                            GAsyncResult* _res_)
{
	DuplicityJobStartData* _data_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 766 "DuplicityJob.c"
}

static void
duplicity_job_start_ready (GObject* source_object,
                           GAsyncResult* _res_,
                           gpointer _user_data_)
{
	DuplicityJobStartData* _data_;
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = _user_data_;
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_source_object_ = source_object;
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_res_ = _res_;
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_real_start_co (_data_);
#line 783 "DuplicityJob.c"
}

static gboolean
duplicity_job_real_start_co (DuplicityJobStartData* _data_)
{
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
	switch (_data_->_state_) {
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
		case 0:
#line 793 "DuplicityJob.c"
		goto _state_0;
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
		case 1:
#line 797 "DuplicityJob.c"
		goto _state_1;
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
		case 2:
#line 801 "DuplicityJob.c"
		goto _state_2;
		default:
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
		g_assert_not_reached ();
#line 806 "DuplicityJob.c"
	}
	_state_0:
#line 101 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp0_ = _data_->self->priv->_original_mode;
#line 101 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp0_ == DEJA_DUP_TOOL_JOB_MODE_INVALID) {
#line 102 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp1_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) _data_->self);
#line 102 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp2_ = _data_->_tmp1_;
#line 102 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_original_mode (_data_->self, _data_->_tmp2_);
#line 819 "DuplicityJob.c"
	}
#line 103 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp3_ = _data_->self->priv->_original_mode;
#line 103 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_tool_job_set_mode ((DejaDupToolJob*) _data_->self, _data_->_tmp3_);
#line 104 "../libdeja/duplicity/DuplicityJob.vala"
	(_data_->self->priv->includes_argv == NULL) ? NULL : (_data_->self->priv->includes_argv = (_g_list_free__g_free0_ (_data_->self->priv->includes_argv), NULL));
#line 104 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->includes_argv = NULL;
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
	(_data_->self->priv->saved_argv == NULL) ? NULL : (_data_->self->priv->saved_argv = (_g_list_free__g_free0_ (_data_->self->priv->saved_argv), NULL));
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->saved_argv = NULL;
#line 106 "../libdeja/duplicity/DuplicityJob.vala"
	(_data_->self->priv->saved_envp == NULL) ? NULL : (_data_->self->priv->saved_envp = (_g_list_free__g_free0_ (_data_->self->priv->saved_envp), NULL));
#line 106 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->saved_envp = NULL;
#line 108 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp4_ = deja_dup_get_settings (NULL);
#line 108 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->settings = _data_->_tmp4_;
#line 109 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp5_ = _data_->settings;
#line 109 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->delete_age = g_settings_get_int ((GSettings*) _data_->_tmp5_, DEJA_DUP_DELETE_AFTER_KEY);
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp6_ = deja_dup_tool_job_get_flags ((DejaDupToolJob*) _data_->self);
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp7_ = _data_->_tmp6_;
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
	if ((_data_->_tmp7_ & DEJA_DUP_TOOL_JOB_FLAGS_NO_CACHE) != 0) {
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_state_ = 1;
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_get_tempdir (duplicity_job_start_ready, _data_);
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 857 "DuplicityJob.c"
		_state_1:
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp8_ = deja_dup_get_tempdir_finish (_data_->_res_);
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = _data_->_tmp8_;
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp10_ = g_build_filename (_data_->_tmp9_, "duplicity-XXXXXX", NULL);
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp11_ = _data_->_tmp10_;
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp9_);
#line 114 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->template = _data_->_tmp11_;
#line 115 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp12_ = _data_->template;
#line 115 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp13_ = g_strdup (_data_->_tmp12_);
#line 115 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp14_ = mkdtemp (_data_->_tmp13_);
#line 115 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->self->priv->forced_cache_dir);
#line 115 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->self->priv->forced_cache_dir = _data_->_tmp14_;
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->template);
#line 883 "DuplicityJob.c"
	}
	{
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp15_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp16_ = _data_->_tmp15_;
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_state_ = 2;
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_backend_prepare (_data_->_tmp16_, duplicity_job_start_ready, _data_);
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 896 "DuplicityJob.c"
		_state_2:
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_backend_prepare_finish (_data_->_tmp16_, _data_->_res_, &_data_->_inner_error0_);
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 902 "DuplicityJob.c"
			goto __catch0_g_error;
		}
#line 121 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_fill_envp_from_backend (_data_->self, &_data_->_inner_error0_);
#line 121 "../libdeja/duplicity/DuplicityJob.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 909 "DuplicityJob.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->e = _data_->_inner_error0_;
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_inner_error0_ = NULL;
#line 124 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp17_ = _data_->e;
#line 124 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp18_ = _data_->_tmp17_->message;
#line 124 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "raise-error", _data_->_tmp18_, NULL);
#line 125 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 126 "../libdeja/duplicity/DuplicityJob.vala"
		_g_error_free0 (_data_->e);
#line 126 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->settings);
#line 126 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 126 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 126 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 126 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 940 "DuplicityJob.c"
			}
		}
#line 126 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 126 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 947 "DuplicityJob.c"
	}
	__finally0:
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->settings);
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
		g_clear_error (&_data_->_inner_error0_);
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 962 "DuplicityJob.c"
	}
#line 129 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp19_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) _data_->self);
#line 129 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp20_ = _data_->_tmp19_;
#line 129 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp20_ == DEJA_DUP_TOOL_JOB_MODE_INVALID) {
#line 130 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->settings);
#line 130 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 130 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 130 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 130 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 980 "DuplicityJob.c"
			}
		}
#line 130 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 130 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 987 "DuplicityJob.c"
	}
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp21_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) _data_->self);
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp22_ = _data_->_tmp21_;
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp22_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 135 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp23_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 135 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp24_ = _data_->_tmp23_;
#line 135 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_backend_add_excludes (_data_->_tmp24_, &((DejaDupToolJob*) _data_->self)->excludes);
#line 136 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_process_include_excludes (_data_->self);
#line 1003 "DuplicityJob.c"
	}
#line 139 "../libdeja/duplicity/DuplicityJob.vala"
	if (!duplicity_job_restart (_data_->self)) {
#line 140 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 1009 "DuplicityJob.c"
	}
#line 142 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp25_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 142 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp26_ = _data_->_tmp25_;
#line 142 "../libdeja/duplicity/DuplicityJob.vala"
	if (!deja_dup_backend_is_native (_data_->_tmp26_)) {
#line 143 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp27_ = deja_dup_network_get ();
#line 143 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp28_ = _data_->_tmp27_;
#line 143 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_connect_object ((GObject*) _data_->_tmp28_, "notify::connected", (GCallback) _duplicity_job_network_changed_g_object_notify, _data_->self, 0);
#line 143 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->_tmp28_);
#line 144 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp29_ = deja_dup_network_get ();
#line 144 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp30_ = _data_->_tmp29_;
#line 144 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp31_ = deja_dup_network_get_connected (_data_->_tmp30_);
#line 144 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp32_ = _data_->_tmp31_;
#line 144 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp33_ = !_data_->_tmp32_;
#line 144 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->_tmp30_);
#line 144 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_tmp33_) {
#line 145 "../libdeja/duplicity/DuplicityJob.vala"
			g_debug ("DuplicityJob.vala:145: No connection found. Postponing the backup.");
#line 146 "../libdeja/duplicity/DuplicityJob.vala"
			deja_dup_tool_job_pause ((DejaDupToolJob*) _data_->self, _ ("Paused (no network)"));
#line 1043 "DuplicityJob.c"
		}
	}
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_data_->settings);
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_state_ != 0) {
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1056 "DuplicityJob.c"
		}
	}
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
	g_object_unref (_data_->_async_result);
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 1063 "DuplicityJob.c"
}

static gint
duplicity_job_cmp_prefix (DuplicityJob* self,
                          GFile* a,
                          GFile* b)
{
	gboolean _tmp0_ = FALSE;
	gint result;
#line 152 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 154 "../libdeja/duplicity/DuplicityJob.vala"
	if (a == NULL) {
#line 154 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = b == NULL;
#line 1079 "DuplicityJob.c"
	} else {
#line 154 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = FALSE;
#line 1083 "DuplicityJob.c"
	}
#line 154 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_) {
#line 155 "../libdeja/duplicity/DuplicityJob.vala"
		result = 0;
#line 155 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 1091 "DuplicityJob.c"
	} else {
		gboolean _tmp1_ = FALSE;
#line 156 "../libdeja/duplicity/DuplicityJob.vala"
		if (b == NULL) {
#line 156 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp1_ = TRUE;
#line 1098 "DuplicityJob.c"
		} else {
#line 156 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp1_ = g_file_has_prefix (a, b);
#line 1102 "DuplicityJob.c"
		}
#line 156 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp1_) {
#line 157 "../libdeja/duplicity/DuplicityJob.vala"
			result = -1;
#line 157 "../libdeja/duplicity/DuplicityJob.vala"
			return result;
#line 1110 "DuplicityJob.c"
		} else {
			gboolean _tmp2_ = FALSE;
#line 158 "../libdeja/duplicity/DuplicityJob.vala"
			if (a == NULL) {
#line 158 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = TRUE;
#line 1117 "DuplicityJob.c"
			} else {
#line 158 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = g_file_has_prefix (b, a);
#line 1121 "DuplicityJob.c"
			}
#line 158 "../libdeja/duplicity/DuplicityJob.vala"
			if (_tmp2_) {
#line 159 "../libdeja/duplicity/DuplicityJob.vala"
				result = 1;
#line 159 "../libdeja/duplicity/DuplicityJob.vala"
				return result;
#line 1129 "DuplicityJob.c"
			} else {
#line 161 "../libdeja/duplicity/DuplicityJob.vala"
				result = 0;
#line 161 "../libdeja/duplicity/DuplicityJob.vala"
				return result;
#line 1135 "DuplicityJob.c"
			}
		}
	}
}

static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
	gchar* result;
#line 1588 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1588 "glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1588 "glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1589 "glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1589 "glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 1160 "DuplicityJob.c"
	} else {
#line 1589 "glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 1164 "DuplicityJob.c"
	}
#line 1589 "glib-2.0.vapi"
	if (_tmp1_) {
#line 1589 "glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 1170 "DuplicityJob.c"
	} else {
#line 1589 "glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 1174 "DuplicityJob.c"
	}
#line 1589 "glib-2.0.vapi"
	if (_tmp0_) {
#line 1178 "DuplicityJob.c"
		gchar* _tmp2_;
#line 1590 "glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1590 "glib-2.0.vapi"
		result = _tmp2_;
#line 1590 "glib-2.0.vapi"
		return result;
#line 1186 "DuplicityJob.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1593 "glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1593 "glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1593 "glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1593 "glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1593 "glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1593 "glib-2.0.vapi"
		regex = _tmp6_;
#line 1593 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1593 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 1214 "DuplicityJob.c"
				goto __catch0_g_regex_error;
			}
#line 1593 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1593 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1593 "glib-2.0.vapi"
			return NULL;
#line 1223 "DuplicityJob.c"
		}
#line 1594 "glib-2.0.vapi"
		_tmp8_ = regex;
#line 1594 "glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1594 "glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1594 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1594 "glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1594 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 1237 "DuplicityJob.c"
				goto __catch0_g_regex_error;
			}
#line 1594 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1594 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1594 "glib-2.0.vapi"
			return NULL;
#line 1246 "DuplicityJob.c"
		}
#line 1594 "glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1594 "glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1594 "glib-2.0.vapi"
		result = _tmp10_;
#line 1594 "glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1594 "glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1594 "glib-2.0.vapi"
		return result;
#line 1260 "DuplicityJob.c"
	}
	goto __finally0;
	__catch0_g_regex_error:
	{
#line 1592 "glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1596 "glib-2.0.vapi"
		g_assert_not_reached ();
#line 1269 "DuplicityJob.c"
	}
	__finally0:
#line 1592 "glib-2.0.vapi"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1592 "glib-2.0.vapi"
	g_clear_error (&_inner_error0_);
#line 1592 "glib-2.0.vapi"
	return NULL;
#line 1278 "DuplicityJob.c"
}

static void
duplicity_job_fill_envp_from_google (DuplicityJob* self,
                                     DejaDupBackendGoogle* google_backend,
                                     GError** error)
{
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* yaml_path = NULL;
	gchar* _tmp3_;
	GBytes* yaml_bytes = NULL;
	const gchar* _tmp4_;
	GBytes* _tmp5_;
	gchar* yaml = NULL;
	GBytes* _tmp6_;
	gsize _tmp7_ = 0;
	guint8* _tmp8_;
	gchar* _tmp9_;
	const gchar* _tmp10_;
	gchar* _tmp11_;
	const gchar* _tmp12_;
	const gchar* _tmp13_;
	gchar* _tmp14_;
	const gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp17_;
	const gchar* _tmp18_;
	gchar* json_path = NULL;
	gchar* _tmp19_;
	GBytes* json_bytes = NULL;
	const gchar* _tmp20_;
	GBytes* _tmp21_;
	gchar* json = NULL;
	GBytes* _tmp22_;
	gsize _tmp23_ = 0;
	guint8* _tmp24_;
	gchar* _tmp25_;
	const gchar* _tmp26_;
	gchar* _tmp27_;
	const gchar* _tmp28_;
	const gchar* _tmp29_;
	const gchar* _tmp30_;
	gchar* _tmp31_;
	const gchar* _tmp32_;
	const gchar* _tmp33_;
	const gchar* _tmp34_;
	gchar* _tmp35_;
	const gchar* _tmp36_;
	gchar* _tmp37_;
	gchar* _tmp38_;
	const gchar* _tmp39_;
	const gchar* _tmp40_;
	gchar* _tmp41_;
	GError* _inner_error0_ = NULL;
#line 164 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 164 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (google_backend != NULL);
#line 171 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_clean_credentials_dir (self);
#line 173 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_dir_make_tmp ("deja-dup-XXXXXX", &_inner_error0_);
#line 173 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = _tmp1_;
#line 173 "../libdeja/duplicity/DuplicityJob.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 173 "../libdeja/duplicity/DuplicityJob.vala"
		g_propagate_error (error, _inner_error0_);
#line 173 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 1351 "DuplicityJob.c"
	}
#line 173 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _tmp0_;
#line 173 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = NULL;
#line 173 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->credentials_dir);
#line 173 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->credentials_dir = _tmp2_;
#line 176 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = g_strdup ("/org/gnome/DejaDup/pydrive-settings.yaml");
#line 176 "../libdeja/duplicity/DuplicityJob.vala"
	yaml_path = _tmp3_;
#line 177 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = yaml_path;
#line 177 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = g_resources_lookup_data (_tmp4_, G_RESOURCE_LOOKUP_FLAGS_NONE, &_inner_error0_);
#line 177 "../libdeja/duplicity/DuplicityJob.vala"
	yaml_bytes = _tmp5_;
#line 177 "../libdeja/duplicity/DuplicityJob.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 177 "../libdeja/duplicity/DuplicityJob.vala"
		g_propagate_error (error, _inner_error0_);
#line 177 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (yaml_path);
#line 177 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp0_);
#line 177 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 1381 "DuplicityJob.c"
	}
#line 178 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp6_ = yaml_bytes;
#line 178 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp8_ = g_bytes_get_data (_tmp6_, &_tmp7_);
#line 178 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp9_ = g_strdup ((const gchar*) _tmp8_);
#line 178 "../libdeja/duplicity/DuplicityJob.vala"
	yaml = _tmp9_;
#line 179 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp10_ = yaml;
#line 179 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp11_ = string_replace (_tmp10_, "$CLIENT_ID", GOOGLE_CLIENT_ID);
#line 179 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (yaml);
#line 179 "../libdeja/duplicity/DuplicityJob.vala"
	yaml = _tmp11_;
#line 180 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp12_ = yaml;
#line 180 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp13_ = self->priv->credentials_dir;
#line 180 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp14_ = string_replace (_tmp12_, "$PATH", _tmp13_);
#line 180 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (yaml);
#line 180 "../libdeja/duplicity/DuplicityJob.vala"
	yaml = _tmp14_;
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp15_ = self->priv->credentials_dir;
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp16_ = g_strdup_printf ("%s/settings.yaml", _tmp15_);
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp17_ = _tmp16_;
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp18_ = yaml;
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	g_file_set_contents (_tmp17_, _tmp18_, (gssize) -1, &_inner_error0_);
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (_tmp17_);
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
		g_propagate_error (error, _inner_error0_);
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (yaml);
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
		_g_bytes_unref0 (yaml_bytes);
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (yaml_path);
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp0_);
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 1435 "DuplicityJob.c"
	}
#line 184 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp19_ = g_strdup ("/org/gnome/DejaDup/pydrive-credentials.json");
#line 184 "../libdeja/duplicity/DuplicityJob.vala"
	json_path = _tmp19_;
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp20_ = json_path;
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp21_ = g_resources_lookup_data (_tmp20_, G_RESOURCE_LOOKUP_FLAGS_NONE, &_inner_error0_);
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
	json_bytes = _tmp21_;
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
		g_propagate_error (error, _inner_error0_);
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (json_path);
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (yaml);
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
		_g_bytes_unref0 (yaml_bytes);
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (yaml_path);
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp0_);
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 1463 "DuplicityJob.c"
	}
#line 186 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp22_ = json_bytes;
#line 186 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp24_ = g_bytes_get_data (_tmp22_, &_tmp23_);
#line 186 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp25_ = g_strdup ((const gchar*) _tmp24_);
#line 186 "../libdeja/duplicity/DuplicityJob.vala"
	json = _tmp25_;
#line 187 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp26_ = json;
#line 187 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp27_ = string_replace (_tmp26_, "$CLIENT_ID", GOOGLE_CLIENT_ID);
#line 187 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (json);
#line 187 "../libdeja/duplicity/DuplicityJob.vala"
	json = _tmp27_;
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp28_ = json;
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp29_ = deja_dup_backend_oauth_get_access_token ((DejaDupBackendOAuth*) google_backend);
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp30_ = _tmp29_;
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp31_ = string_replace (_tmp28_, "$ACCESS_TOKEN", _tmp30_);
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (json);
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
	json = _tmp31_;
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp32_ = json;
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp33_ = deja_dup_backend_oauth_get_refresh_token ((DejaDupBackendOAuth*) google_backend);
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp34_ = _tmp33_;
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp35_ = string_replace (_tmp32_, "$REFRESH_TOKEN", _tmp34_);
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (json);
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	json = _tmp35_;
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp36_ = self->priv->credentials_dir;
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp37_ = g_strdup_printf ("%s/credentials.json", _tmp36_);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp38_ = _tmp37_;
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp39_ = json;
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
	g_file_set_contents (_tmp38_, _tmp39_, (gssize) -1, &_inner_error0_);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (_tmp38_);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
		g_propagate_error (error, _inner_error0_);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (json);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
		_g_bytes_unref0 (json_bytes);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (json_path);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (yaml);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
		_g_bytes_unref0 (yaml_bytes);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (yaml_path);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp0_);
#line 190 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 1537 "DuplicityJob.c"
	}
#line 192 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp40_ = self->priv->credentials_dir;
#line 192 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp41_ = g_strdup_printf ("GOOGLE_DRIVE_SETTINGS=%s/settings.yaml", _tmp40_);
#line 192 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->saved_envp = g_list_append (self->priv->saved_envp, _tmp41_);
#line 164 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (json);
#line 164 "../libdeja/duplicity/DuplicityJob.vala"
	_g_bytes_unref0 (json_bytes);
#line 164 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (json_path);
#line 164 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (yaml);
#line 164 "../libdeja/duplicity/DuplicityJob.vala"
	_g_bytes_unref0 (yaml_bytes);
#line 164 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (yaml_path);
#line 164 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (_tmp0_);
#line 1559 "DuplicityJob.c"
}

static void
duplicity_job_fill_envp_from_microsoft (DuplicityJob* self,
                                        DejaDupBackendMicrosoft* microsoft_backend)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
#line 195 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 195 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (microsoft_backend != NULL);
#line 197 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = g_strdup_printf ("DUPLICITY_ONEDRIVE_CLIENT_ID=%s", MICROSOFT_CLIENT_ID);
#line 197 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->saved_envp = g_list_append (self->priv->saved_envp, _tmp0_);
#line 198 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup_printf ("OAUTH2_CLIENT_ID=%s", MICROSOFT_CLIENT_ID);
#line 198 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->saved_envp = g_list_append (self->priv->saved_envp, _tmp1_);
#line 199 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = deja_dup_backend_oauth_get_refresh_token ((DejaDupBackendOAuth*) microsoft_backend);
#line 199 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = _tmp2_;
#line 199 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = g_strdup_printf ("OAUTH2_REFRESH_TOKEN=%s", _tmp3_);
#line 199 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->saved_envp = g_list_append (self->priv->saved_envp, _tmp4_);
#line 1591 "DuplicityJob.c"
}

static void
duplicity_job_fill_envp_from_backend (DuplicityJob* self,
                                      GError** error)
{
	DejaDupBackendGoogle* google_backend = NULL;
	DejaDupBackend* _tmp0_;
	DejaDupBackend* _tmp1_;
	DejaDupBackendGoogle* _tmp2_;
	DejaDupBackendGoogle* _tmp3_;
	DejaDupBackendMicrosoft* microsoft_backend = NULL;
	DejaDupBackend* _tmp5_;
	DejaDupBackend* _tmp6_;
	DejaDupBackendMicrosoft* _tmp7_;
	DejaDupBackendMicrosoft* _tmp8_;
	GError* _inner_error0_ = NULL;
#line 202 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 204 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 204 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 204 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _g_object_ref0 (DEJA_DUP_IS_BACKEND_GOOGLE (_tmp1_) ? ((DejaDupBackendGoogle*) _tmp1_) : NULL);
#line 204 "../libdeja/duplicity/DuplicityJob.vala"
	google_backend = _tmp2_;
#line 205 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = google_backend;
#line 205 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp3_ != NULL) {
#line 1623 "DuplicityJob.c"
		DejaDupBackendGoogle* _tmp4_;
#line 206 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = google_backend;
#line 206 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_fill_envp_from_google (self, _tmp4_, &_inner_error0_);
#line 206 "../libdeja/duplicity/DuplicityJob.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 206 "../libdeja/duplicity/DuplicityJob.vala"
			g_propagate_error (error, _inner_error0_);
#line 206 "../libdeja/duplicity/DuplicityJob.vala"
			_g_object_unref0 (google_backend);
#line 206 "../libdeja/duplicity/DuplicityJob.vala"
			return;
#line 1637 "DuplicityJob.c"
		}
	}
#line 208 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 208 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp6_ = _tmp5_;
#line 208 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp7_ = _g_object_ref0 (DEJA_DUP_IS_BACKEND_MICROSOFT (_tmp6_) ? ((DejaDupBackendMicrosoft*) _tmp6_) : NULL);
#line 208 "../libdeja/duplicity/DuplicityJob.vala"
	microsoft_backend = _tmp7_;
#line 209 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp8_ = microsoft_backend;
#line 209 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp8_ != NULL) {
#line 1652 "DuplicityJob.c"
		DejaDupBackendMicrosoft* _tmp9_;
#line 210 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp9_ = microsoft_backend;
#line 210 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_fill_envp_from_microsoft (self, _tmp9_);
#line 1658 "DuplicityJob.c"
	}
#line 202 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (microsoft_backend);
#line 202 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (google_backend);
#line 1664 "DuplicityJob.c"
}

static gchar*
duplicity_job_get_remote (DuplicityJob* self)
{
	DejaDupBackendFile* file_backend = NULL;
	DejaDupBackend* _tmp0_;
	DejaDupBackend* _tmp1_;
	DejaDupBackendFile* _tmp2_;
	DejaDupBackendFile* _tmp3_;
	DejaDupBackendGoogle* google_backend = NULL;
	DejaDupBackend* _tmp12_;
	DejaDupBackend* _tmp13_;
	DejaDupBackendGoogle* _tmp14_;
	DejaDupBackendGoogle* _tmp15_;
	DejaDupBackendMicrosoft* microsoft_backend = NULL;
	DejaDupBackend* _tmp21_;
	DejaDupBackend* _tmp22_;
	DejaDupBackendMicrosoft* _tmp23_;
	DejaDupBackendMicrosoft* _tmp24_;
	gchar* _tmp30_;
	gchar* result;
#line 213 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _g_object_ref0 (DEJA_DUP_IS_BACKEND_FILE (_tmp1_) ? ((DejaDupBackendFile*) _tmp1_) : NULL);
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
	file_backend = _tmp2_;
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = file_backend;
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp3_ != NULL) {
#line 1701 "DuplicityJob.c"
		GFile* file = NULL;
		DejaDupBackendFile* _tmp4_;
		GFile* _tmp5_;
		GFile* _tmp6_;
#line 217 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = file_backend;
#line 217 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = deja_dup_backend_file_get_file_from_settings (_tmp4_);
#line 217 "../libdeja/duplicity/DuplicityJob.vala"
		file = _tmp5_;
#line 218 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = file;
#line 218 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp6_ != NULL) {
#line 1716 "DuplicityJob.c"
			GFile* _tmp7_;
			gchar* _tmp8_;
			gchar* _tmp9_;
			gchar* _tmp10_;
			gchar* _tmp11_;
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp7_ = file;
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp8_ = g_file_get_uri (_tmp7_);
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp9_ = _tmp8_;
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp10_ = g_strconcat ("gio+", _tmp9_, NULL);
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp11_ = _tmp10_;
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			_g_free0 (_tmp9_);
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			result = _tmp11_;
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			_g_object_unref0 (file);
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			_g_object_unref0 (file_backend);
#line 219 "../libdeja/duplicity/DuplicityJob.vala"
			return result;
#line 1742 "DuplicityJob.c"
		}
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (file);
#line 1746 "DuplicityJob.c"
	}
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp12_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp13_ = _tmp12_;
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp14_ = _g_object_ref0 (DEJA_DUP_IS_BACKEND_GOOGLE (_tmp13_) ? ((DejaDupBackendGoogle*) _tmp13_) : NULL);
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
	google_backend = _tmp14_;
#line 224 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp15_ = google_backend;
#line 224 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp15_ != NULL) {
#line 1760 "DuplicityJob.c"
		DejaDupBackendGoogle* _tmp16_;
		gchar* _tmp17_;
		gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp16_ = google_backend;
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp17_ = deja_dup_backend_google_get_folder (_tmp16_);
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp18_ = _tmp17_;
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp19_ = g_strdup_printf ("pydrive://google/%s", _tmp18_);
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp20_ = _tmp19_;
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp18_);
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp20_;
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (google_backend);
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (file_backend);
#line 226 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 1786 "DuplicityJob.c"
	}
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp21_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp22_ = _tmp21_;
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp23_ = _g_object_ref0 (DEJA_DUP_IS_BACKEND_MICROSOFT (_tmp22_) ? ((DejaDupBackendMicrosoft*) _tmp22_) : NULL);
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
	microsoft_backend = _tmp23_;
#line 230 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp24_ = microsoft_backend;
#line 230 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp24_ != NULL) {
#line 1800 "DuplicityJob.c"
		DejaDupBackendMicrosoft* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_;
		gchar* _tmp28_;
		gchar* _tmp29_;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp25_ = microsoft_backend;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp26_ = deja_dup_backend_microsoft_get_folder (_tmp25_);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp27_ = _tmp26_;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp28_ = g_strdup_printf ("onedrive://%s", _tmp27_);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp29_ = _tmp28_;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp27_);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp29_;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (microsoft_backend);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (google_backend);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (file_backend);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 1828 "DuplicityJob.c"
	}
#line 234 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp30_ = g_strdup ("invalid://");
#line 234 "../libdeja/duplicity/DuplicityJob.vala"
	result = _tmp30_;
#line 234 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (microsoft_backend);
#line 234 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (google_backend);
#line 234 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (file_backend);
#line 234 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 1842 "DuplicityJob.c"
}

static gchar*
duplicity_job_escape_duplicity_path (DuplicityJob* self,
                                     const gchar* path)
{
	gchar* rv = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* result;
#line 237 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 237 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 244 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = string_replace (path, "[", "[[]");
#line 244 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (rv);
#line 244 "../libdeja/duplicity/DuplicityJob.vala"
	rv = _tmp0_;
#line 245 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = rv;
#line 245 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = string_replace (_tmp1_, "?", "[?]");
#line 245 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (rv);
#line 245 "../libdeja/duplicity/DuplicityJob.vala"
	rv = _tmp2_;
#line 246 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = rv;
#line 246 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = string_replace (_tmp3_, "*", "[*]");
#line 246 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (rv);
#line 246 "../libdeja/duplicity/DuplicityJob.vala"
	rv = _tmp4_;
#line 247 "../libdeja/duplicity/DuplicityJob.vala"
	result = rv;
#line 247 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 1886 "DuplicityJob.c"
}

static gchar*
duplicity_job_prefix_local (DuplicityJob* self,
                            const gchar* path)
{
	GFile* _tmp3_;
	GFile* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* result;
#line 250 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 250 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 252 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_strcmp0 (path, "/") == 0) {
#line 1906 "DuplicityJob.c"
		GFile* _tmp0_;
		GFile* _tmp1_;
		gchar* _tmp2_;
#line 253 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 253 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = _tmp0_;
#line 253 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = g_file_get_path (_tmp1_);
#line 253 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp2_;
#line 253 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 1920 "DuplicityJob.c"
	}
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = _tmp3_;
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = g_file_get_path (_tmp4_);
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp6_ = _tmp5_;
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp7_ = g_build_filename (_tmp6_, path, NULL);
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp8_ = _tmp7_;
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (_tmp6_);
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	result = _tmp8_;
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 1940 "DuplicityJob.c"
}

static void
duplicity_job_process_include_excludes (DuplicityJob* self)
{
	GList* _tmp0_;
	GList* _tmp10_;
	GList* excludes2 = NULL;
	GList* _tmp16_;
	GList* _tmp17_;
	GList* _tmp18_;
	GList* _tmp42_;
	gchar* _tmp52_;
	gchar* _tmp53_;
	gchar* _tmp54_;
	GList* _tmp55_;
	GList* _tmp56_;
#line 257 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 266 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_expand_links_in_list (&((DejaDupToolJob*) self)->includes, TRUE);
#line 267 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_expand_links_in_list (&((DejaDupToolJob*) self)->includes_priority, TRUE);
#line 268 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_expand_links_in_list (&((DejaDupToolJob*) self)->excludes, FALSE);
#line 273 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJob*) self)->includes = g_list_sort (((DejaDupToolJob*) self)->includes, (GCompareFunc) duplicity_job_cmp_prefix);
#line 274 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJob*) self)->excludes = g_list_sort (((DejaDupToolJob*) self)->excludes, (GCompareFunc) duplicity_job_cmp_prefix);
#line 280 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = ((DejaDupToolJob*) self)->includes_priority;
#line 1972 "DuplicityJob.c"
	{
		GList* i_collection = NULL;
		GList* i_it = NULL;
#line 280 "../libdeja/duplicity/DuplicityJob.vala"
		i_collection = _tmp0_;
#line 280 "../libdeja/duplicity/DuplicityJob.vala"
		for (i_it = i_collection; i_it != NULL; i_it = i_it->next) {
#line 1980 "DuplicityJob.c"
			GFile* _tmp1_;
			GFile* i = NULL;
#line 280 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp1_ = _g_object_ref0 ((GFile*) i_it->data);
#line 280 "../libdeja/duplicity/DuplicityJob.vala"
			i = _tmp1_;
#line 1987 "DuplicityJob.c"
			{
				GFile* _tmp2_;
				gchar* _tmp3_;
				gchar* _tmp4_;
				gchar* _tmp5_;
				gchar* _tmp6_;
				gchar* _tmp7_;
				gchar* _tmp8_;
				gchar* _tmp9_;
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = i;
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = g_file_get_path (_tmp2_);
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp4_ = _tmp3_;
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp5_ = duplicity_job_prefix_local (self, _tmp4_);
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp6_ = _tmp5_;
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp7_ = duplicity_job_escape_duplicity_path (self, _tmp6_);
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp8_ = _tmp7_;
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp9_ = g_strconcat ("--include=", _tmp8_, NULL);
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp9_);
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp8_);
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp6_);
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp4_);
#line 280 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (i);
#line 2023 "DuplicityJob.c"
			}
		}
	}
#line 288 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp10_ = ((DejaDupToolJob*) self)->exclude_regexps;
#line 2029 "DuplicityJob.c"
	{
		GList* r_collection = NULL;
		GList* r_it = NULL;
#line 288 "../libdeja/duplicity/DuplicityJob.vala"
		r_collection = _tmp10_;
#line 288 "../libdeja/duplicity/DuplicityJob.vala"
		for (r_it = r_collection; r_it != NULL; r_it = r_it->next) {
#line 2037 "DuplicityJob.c"
			gchar* _tmp11_;
			gchar* r = NULL;
#line 288 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp11_ = g_strdup ((const gchar*) r_it->data);
#line 288 "../libdeja/duplicity/DuplicityJob.vala"
			r = _tmp11_;
#line 2044 "DuplicityJob.c"
			{
				const gchar* _tmp12_;
				gchar* _tmp13_;
				gchar* _tmp14_;
				gchar* _tmp15_;
#line 289 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp12_ = r;
#line 289 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp13_ = duplicity_job_prefix_local (self, _tmp12_);
#line 289 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp14_ = _tmp13_;
#line 289 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp15_ = g_strconcat ("--exclude=", _tmp14_, NULL);
#line 289 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp15_);
#line 289 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp14_);
#line 288 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (r);
#line 2064 "DuplicityJob.c"
			}
		}
	}
#line 292 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp16_ = ((DejaDupToolJob*) self)->excludes;
#line 292 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp17_ = g_list_copy (_tmp16_);
#line 292 "../libdeja/duplicity/DuplicityJob.vala"
	excludes2 = _tmp17_;
#line 293 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp18_ = ((DejaDupToolJob*) self)->includes;
#line 2076 "DuplicityJob.c"
	{
		GList* i_collection = NULL;
		GList* i_it = NULL;
#line 293 "../libdeja/duplicity/DuplicityJob.vala"
		i_collection = _tmp18_;
#line 293 "../libdeja/duplicity/DuplicityJob.vala"
		for (i_it = i_collection; i_it != NULL; i_it = i_it->next) {
#line 2084 "DuplicityJob.c"
			GFile* _tmp19_;
			GFile* i = NULL;
#line 293 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp19_ = _g_object_ref0 ((GFile*) i_it->data);
#line 293 "../libdeja/duplicity/DuplicityJob.vala"
			i = _tmp19_;
#line 2091 "DuplicityJob.c"
			{
				GList* _tmp20_;
				GList* _tmp21_;
				GFile* _tmp34_;
				gchar* _tmp35_;
				gchar* _tmp36_;
				gchar* _tmp37_;
				gchar* _tmp38_;
				gchar* _tmp39_;
				gchar* _tmp40_;
				gchar* _tmp41_;
#line 294 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp20_ = excludes2;
#line 294 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp21_ = g_list_copy (_tmp20_);
#line 2107 "DuplicityJob.c"
				{
					GList* e_collection = NULL;
					GList* e_it = NULL;
#line 294 "../libdeja/duplicity/DuplicityJob.vala"
					e_collection = _tmp21_;
#line 294 "../libdeja/duplicity/DuplicityJob.vala"
					for (e_it = e_collection; e_it != NULL; e_it = e_it->next) {
#line 2115 "DuplicityJob.c"
						GFile* _tmp22_;
						GFile* e = NULL;
#line 294 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp22_ = _g_object_ref0 ((GFile*) e_it->data);
#line 294 "../libdeja/duplicity/DuplicityJob.vala"
						e = _tmp22_;
#line 2122 "DuplicityJob.c"
						{
							GFile* _tmp23_;
							GFile* _tmp24_;
#line 295 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp23_ = e;
#line 295 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp24_ = i;
#line 295 "../libdeja/duplicity/DuplicityJob.vala"
							if (g_file_has_prefix (_tmp23_, _tmp24_)) {
#line 2132 "DuplicityJob.c"
								GFile* _tmp25_;
								gchar* _tmp26_;
								gchar* _tmp27_;
								gchar* _tmp28_;
								gchar* _tmp29_;
								gchar* _tmp30_;
								gchar* _tmp31_;
								gchar* _tmp32_;
								GFile* _tmp33_;
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp25_ = e;
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp26_ = g_file_get_path (_tmp25_);
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp27_ = _tmp26_;
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp28_ = duplicity_job_prefix_local (self, _tmp27_);
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp29_ = _tmp28_;
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp30_ = duplicity_job_escape_duplicity_path (self, _tmp29_);
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp31_ = _tmp30_;
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp32_ = g_strconcat ("--exclude=", _tmp31_, NULL);
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp32_);
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (_tmp31_);
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (_tmp29_);
#line 296 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (_tmp27_);
#line 297 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp33_ = e;
#line 297 "../libdeja/duplicity/DuplicityJob.vala"
								excludes2 = g_list_remove (excludes2, _tmp33_);
#line 2170 "DuplicityJob.c"
							}
#line 294 "../libdeja/duplicity/DuplicityJob.vala"
							_g_object_unref0 (e);
#line 2174 "DuplicityJob.c"
						}
					}
#line 294 "../libdeja/duplicity/DuplicityJob.vala"
					(e_collection == NULL) ? NULL : (e_collection = (g_list_free (e_collection), NULL));
#line 2179 "DuplicityJob.c"
				}
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp34_ = i;
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp35_ = g_file_get_path (_tmp34_);
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp36_ = _tmp35_;
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp37_ = duplicity_job_prefix_local (self, _tmp36_);
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp38_ = _tmp37_;
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp39_ = duplicity_job_escape_duplicity_path (self, _tmp38_);
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp40_ = _tmp39_;
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp41_ = g_strconcat ("--include=", _tmp40_, NULL);
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp41_);
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp40_);
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp38_);
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp36_);
#line 293 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (i);
#line 2207 "DuplicityJob.c"
			}
		}
	}
#line 302 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp42_ = excludes2;
#line 2213 "DuplicityJob.c"
	{
		GList* e_collection = NULL;
		GList* e_it = NULL;
#line 302 "../libdeja/duplicity/DuplicityJob.vala"
		e_collection = _tmp42_;
#line 302 "../libdeja/duplicity/DuplicityJob.vala"
		for (e_it = e_collection; e_it != NULL; e_it = e_it->next) {
#line 2221 "DuplicityJob.c"
			GFile* _tmp43_;
			GFile* e = NULL;
#line 302 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp43_ = _g_object_ref0 ((GFile*) e_it->data);
#line 302 "../libdeja/duplicity/DuplicityJob.vala"
			e = _tmp43_;
#line 2228 "DuplicityJob.c"
			{
				GFile* _tmp44_;
				gchar* _tmp45_;
				gchar* _tmp46_;
				gchar* _tmp47_;
				gchar* _tmp48_;
				gchar* _tmp49_;
				gchar* _tmp50_;
				gchar* _tmp51_;
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp44_ = e;
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp45_ = g_file_get_path (_tmp44_);
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp46_ = _tmp45_;
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp47_ = duplicity_job_prefix_local (self, _tmp46_);
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp48_ = _tmp47_;
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp49_ = duplicity_job_escape_duplicity_path (self, _tmp48_);
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp50_ = _tmp49_;
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp51_ = g_strconcat ("--exclude=", _tmp50_, NULL);
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp51_);
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp50_);
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp48_);
#line 303 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp46_);
#line 302 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (e);
#line 2264 "DuplicityJob.c"
			}
		}
	}
#line 306 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp52_ = g_strdup ("--exclude=**");
#line 306 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp52_);
#line 307 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp53_ = g_strdup ("--exclude-if-present=CACHEDIR.TAG");
#line 307 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp53_);
#line 308 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp54_ = g_strdup ("--exclude-if-present=.deja-dup-ignore");
#line 308 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp54_);
#line 312 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp55_ = ((DejaDupToolJob*) self)->includes_priority;
#line 312 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp56_ = g_list_copy_deep (_tmp55_, (GCopyFunc) g_object_ref, NULL);
#line 312 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJob*) self)->includes = g_list_concat (((DejaDupToolJob*) self)->includes, _tmp56_);
#line 257 "../libdeja/duplicity/DuplicityJob.vala"
	(excludes2 == NULL) ? NULL : (excludes2 = (g_list_free (excludes2), NULL));
#line 2288 "DuplicityJob.c"
}

static void
duplicity_job_real_cancel (DejaDupToolJob* base)
{
	DuplicityJob * self;
	DejaDupToolJobMode prev_mode = 0;
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 315 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 316 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 316 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 316 "../libdeja/duplicity/DuplicityJob.vala"
	prev_mode = _tmp1_;
#line 317 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_INVALID);
#line 319 "../libdeja/duplicity/DuplicityJob.vala"
	if (prev_mode == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 2311 "DuplicityJob.c"
		DuplicityJobState _tmp3_;
#line 319 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = self->priv->_state;
#line 319 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = _tmp3_ == DUPLICITY_JOB_STATE_NORMAL;
#line 2317 "DuplicityJob.c"
	} else {
#line 319 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = FALSE;
#line 2321 "DuplicityJob.c"
	}
#line 319 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_) {
#line 320 "../libdeja/duplicity/DuplicityJob.vala"
		if (duplicity_job_cleanup (self)) {
#line 321 "../libdeja/duplicity/DuplicityJob.vala"
			return;
#line 2329 "DuplicityJob.c"
		}
	}
#line 324 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_cancel_inst (self);
#line 2334 "DuplicityJob.c"
}

static void
duplicity_job_real_stop (DejaDupToolJob* base)
{
	DuplicityJob * self;
#line 327 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 329 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_was_stopped (self, TRUE);
#line 330 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_INVALID);
#line 331 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_cancel_inst (self);
#line 2349 "DuplicityJob.c"
}

static void
duplicity_job_real_pause (DejaDupToolJob* base,
                          const gchar* reason)
{
	DuplicityJob * self;
	DuplicityInstance* _tmp0_;
#line 334 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 336 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->inst;
#line 336 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ != NULL) {
#line 2364 "DuplicityJob.c"
		DuplicityInstance* _tmp1_;
#line 337 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->inst;
#line 337 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_instance_pause (_tmp1_);
#line 338 "../libdeja/duplicity/DuplicityJob.vala"
		if (reason != NULL) {
#line 339 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_set_status (self, reason, FALSE);
#line 2374 "DuplicityJob.c"
		}
	}
}

static void
duplicity_job_real_resume (DejaDupToolJob* base)
{
	DuplicityJob * self;
	DuplicityInstance* _tmp0_;
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 345 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->inst;
#line 345 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ != NULL) {
#line 2390 "DuplicityJob.c"
		DuplicityInstance* _tmp1_;
#line 346 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->inst;
#line 346 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_instance_resume (_tmp1_);
#line 347 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_saved_status (self);
#line 2398 "DuplicityJob.c"
	}
}

static void
duplicity_job_cancel_inst (DuplicityJob* self)
{
#line 351 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 353 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_disconnect_inst (self);
#line 354 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_handle_done (self, NULL, FALSE, TRUE);
#line 2411 "DuplicityJob.c"
}

static gboolean
duplicity_job_restart (DuplicityJob* self)
{
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	GList* extra_argv = NULL;
	gchar* action_desc = NULL;
	GFile* custom_local = NULL;
	DejaDupToolJobMode _tmp2_;
	const gchar* _tmp74_;
	const gchar* _tmp78_;
	GList* _tmp79_;
	GFile* _tmp80_;
	GError* _inner_error0_ = NULL;
	gboolean result;
#line 357 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 359 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_state (self, DUPLICITY_JOB_STATE_NORMAL);
#line 361 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 361 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 361 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp1_ == DEJA_DUP_TOOL_JOB_MODE_INVALID) {
#line 362 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 362 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 2443 "DuplicityJob.c"
	}
#line 364 "../libdeja/duplicity/DuplicityJob.vala"
	extra_argv = NULL;
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
	action_desc = NULL;
#line 366 "../libdeja/duplicity/DuplicityJob.vala"
	custom_local = NULL;
#line 368 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = self->priv->_original_mode;
#line 368 "../libdeja/duplicity/DuplicityJob.vala"
	switch (_tmp2_) {
#line 368 "../libdeja/duplicity/DuplicityJob.vala"
		case DEJA_DUP_TOOL_JOB_MODE_BACKUP:
#line 2457 "DuplicityJob.c"
		{
#line 370 "../libdeja/duplicity/DuplicityJob.vala"
			deja_dup_tool_job_set_tag ((DejaDupToolJob*) self, "now");
#line 374 "../libdeja/duplicity/DuplicityJob.vala"
			if (!self->priv->checked_collection_info) {
#line 2463 "DuplicityJob.c"
				gchar* _tmp3_;
#line 375 "../libdeja/duplicity/DuplicityJob.vala"
				deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_STATUS);
#line 376 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_set_state (self, DUPLICITY_JOB_STATE_STATUS);
#line 377 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = g_strdup (_ ("Preparing…"));
#line 377 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (action_desc);
#line 377 "../libdeja/duplicity/DuplicityJob.vala"
				action_desc = _tmp3_;
#line 2475 "DuplicityJob.c"
			} else {
				gboolean _tmp4_ = FALSE;
#line 379 "../libdeja/duplicity/DuplicityJob.vala"
				if (!self->priv->reported_full_backups) {
#line 379 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = self->priv->got_collection_info;
#line 2482 "DuplicityJob.c"
				} else {
#line 379 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = FALSE;
#line 2486 "DuplicityJob.c"
				}
#line 379 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp4_) {
#line 380 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_report_full_backups (self, NULL, NULL);
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					result = TRUE;
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (custom_local);
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (action_desc);
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					return result;
#line 2502 "DuplicityJob.c"
				} else {
					gboolean _tmp5_ = FALSE;
					DejaDupToolJobFlags _tmp6_;
					DejaDupToolJobFlags _tmp7_;
#line 386 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp6_ = deja_dup_tool_job_get_flags ((DejaDupToolJob*) self);
#line 386 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp7_ = _tmp6_;
#line 386 "../libdeja/duplicity/DuplicityJob.vala"
					if ((_tmp7_ & DEJA_DUP_TOOL_JOB_FLAGS_NO_PROGRESS) == 0) {
#line 386 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp5_ = !self->priv->has_progress_total;
#line 2515 "DuplicityJob.c"
					} else {
#line 386 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp5_ = FALSE;
#line 2519 "DuplicityJob.c"
					}
#line 386 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp5_) {
#line 2523 "DuplicityJob.c"
						gchar* _tmp8_;
						gchar* _tmp9_;
#line 387 "../libdeja/duplicity/DuplicityJob.vala"
						duplicity_job_set_state (self, DUPLICITY_JOB_STATE_DRY_RUN);
#line 388 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp8_ = g_strdup (_ ("Preparing…"));
#line 388 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (action_desc);
#line 388 "../libdeja/duplicity/DuplicityJob.vala"
						action_desc = _tmp8_;
#line 389 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp9_ = g_strdup ("--dry-run");
#line 389 "../libdeja/duplicity/DuplicityJob.vala"
						extra_argv = g_list_append (extra_argv, _tmp9_);
#line 2538 "DuplicityJob.c"
					} else {
#line 391 "../libdeja/duplicity/DuplicityJob.vala"
						if (!self->priv->checked_backup_space) {
#line 392 "../libdeja/duplicity/DuplicityJob.vala"
							duplicity_job_check_backup_space (self, NULL, NULL);
#line 393 "../libdeja/duplicity/DuplicityJob.vala"
							result = TRUE;
#line 393 "../libdeja/duplicity/DuplicityJob.vala"
							_g_object_unref0 (custom_local);
#line 393 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (action_desc);
#line 393 "../libdeja/duplicity/DuplicityJob.vala"
							(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 393 "../libdeja/duplicity/DuplicityJob.vala"
							return result;
#line 2554 "DuplicityJob.c"
						} else {
#line 396 "../libdeja/duplicity/DuplicityJob.vala"
							if (self->priv->has_progress_total) {
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
								g_signal_emit_by_name ((DejaDupToolJob*) self, "progress", (gdouble) 0.f);
#line 2560 "DuplicityJob.c"
							}
#line 398 "../libdeja/duplicity/DuplicityJob.vala"
							if (self->priv->is_full_backup) {
#line 2564 "DuplicityJob.c"
								{
									GRegex* _tmp10_ = NULL;
									GRegex* _tmp11_;
#line 408 "../libdeja/duplicity/DuplicityJob.vala"
									_tmp11_ = g_regex_new ("^duplicity-full\\..*\\.manifest$", 0, 0, &_inner_error0_);
#line 408 "../libdeja/duplicity/DuplicityJob.vala"
									_tmp10_ = _tmp11_;
#line 408 "../libdeja/duplicity/DuplicityJob.vala"
									if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2574 "DuplicityJob.c"
										goto __catch0_g_error;
									}
#line 408 "../libdeja/duplicity/DuplicityJob.vala"
									duplicity_job_delete_cache (self, _tmp10_);
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									_g_regex_unref0 (_tmp10_);
#line 2581 "DuplicityJob.c"
								}
								goto __finally0;
								__catch0_g_error:
								{
									GError* e = NULL;
									GError* _tmp12_;
									const gchar* _tmp13_;
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									e = _inner_error0_;
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									_inner_error0_ = NULL;
#line 411 "../libdeja/duplicity/DuplicityJob.vala"
									_tmp12_ = e;
#line 411 "../libdeja/duplicity/DuplicityJob.vala"
									_tmp13_ = _tmp12_->message;
#line 411 "../libdeja/duplicity/DuplicityJob.vala"
									g_warning ("DuplicityJob.vala:411: %s\n", _tmp13_);
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									_g_error_free0 (e);
#line 2601 "DuplicityJob.c"
								}
								__finally0:
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
								if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2606 "DuplicityJob.c"
									gboolean _tmp14_ = FALSE;
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									_g_object_unref0 (custom_local);
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									_g_free0 (action_desc);
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									g_clear_error (&_inner_error0_);
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
									return _tmp14_;
#line 2620 "DuplicityJob.c"
								}
							}
						}
					}
				}
			}
#line 416 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 2629 "DuplicityJob.c"
		}
#line 368 "../libdeja/duplicity/DuplicityJob.vala"
		case DEJA_DUP_TOOL_JOB_MODE_RESTORE:
#line 2633 "DuplicityJob.c"
		{
#line 421 "../libdeja/duplicity/DuplicityJob.vala"
			if (!self->priv->checked_collection_info) {
#line 2637 "DuplicityJob.c"
				gchar* _tmp15_;
#line 422 "../libdeja/duplicity/DuplicityJob.vala"
				deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_STATUS);
#line 423 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_set_state (self, DUPLICITY_JOB_STATE_STATUS);
#line 424 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp15_ = g_strdup (_ ("Preparing…"));
#line 424 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (action_desc);
#line 424 "../libdeja/duplicity/DuplicityJob.vala"
				action_desc = _tmp15_;
#line 2649 "DuplicityJob.c"
			} else {
				gboolean _tmp16_ = FALSE;
				DejaDupFileTree* _tmp17_;
				DejaDupFileTree* _tmp18_;
				GList* _tmp37_;
				GList* _tmp38_;
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp17_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp18_ = _tmp17_;
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp18_ != NULL) {
#line 2662 "DuplicityJob.c"
					DejaDupFileTree* _tmp19_;
					DejaDupFileTree* _tmp20_;
					const gchar* _tmp21_;
					const gchar* _tmp22_;
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp19_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp20_ = _tmp19_;
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp21_ = deja_dup_file_tree_get_old_home (_tmp20_);
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp22_ = _tmp21_;
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp16_ = _tmp22_ != NULL;
#line 2677 "DuplicityJob.c"
				} else {
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp16_ = FALSE;
#line 2681 "DuplicityJob.c"
				}
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp16_) {
#line 2685 "DuplicityJob.c"
					GFile* old_home = NULL;
					DejaDupFileTree* _tmp23_;
					DejaDupFileTree* _tmp24_;
					const gchar* _tmp25_;
					const gchar* _tmp26_;
					GFile* _tmp27_;
					GFile* new_home = NULL;
					const gchar* _tmp28_;
					GFile* _tmp29_;
					gchar* _tmp30_;
					GFile* _tmp31_;
					GFile* _tmp32_;
					gchar* _tmp33_;
					GFile* _tmp34_;
					GFile* _tmp35_;
					gchar* _tmp36_;
#line 430 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp23_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 430 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp24_ = _tmp23_;
#line 430 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp25_ = deja_dup_file_tree_get_old_home (_tmp24_);
#line 430 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp26_ = _tmp25_;
#line 430 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp27_ = g_file_new_for_path (_tmp26_);
#line 430 "../libdeja/duplicity/DuplicityJob.vala"
					old_home = _tmp27_;
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp28_ = g_get_home_dir ();
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp29_ = g_file_new_for_path (_tmp28_);
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
					new_home = _tmp29_;
#line 432 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp30_ = g_strdup ("--rename");
#line 432 "../libdeja/duplicity/DuplicityJob.vala"
					extra_argv = g_list_append (extra_argv, _tmp30_);
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp31_ = duplicity_job_slash;
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp32_ = old_home;
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp33_ = g_file_get_relative_path (_tmp31_, _tmp32_);
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
					extra_argv = g_list_append (extra_argv, _tmp33_);
#line 434 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp34_ = duplicity_job_slash;
#line 434 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp35_ = new_home;
#line 434 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp36_ = g_file_get_relative_path (_tmp34_, _tmp35_);
#line 434 "../libdeja/duplicity/DuplicityJob.vala"
					extra_argv = g_list_append (extra_argv, _tmp36_);
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (new_home);
#line 429 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (old_home);
#line 2744 "DuplicityJob.c"
				}
#line 437 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp37_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 437 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp38_ = _tmp37_;
#line 437 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp38_ != NULL) {
#line 2752 "DuplicityJob.c"
					GFile* local_file = NULL;
					GList* _tmp39_;
					GList* _tmp40_;
					gconstpointer _tmp41_;
					GFile* _tmp42_;
					GFile* _tmp49_;
					GFile* _tmp50_;
					GFile* target_file = NULL;
					GList* _tmp51_;
					GList* _tmp52_;
					gconstpointer _tmp53_;
					GFile* _tmp54_;
					DejaDupFileTree* _tmp55_;
					DejaDupFileTree* _tmp56_;
					gchar* rel_file_path = NULL;
					GFile* _tmp66_;
					GFile* _tmp67_;
					gchar* _tmp68_;
					gboolean _tmp69_;
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp39_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp40_ = _tmp39_;
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp41_ = _tmp40_->data;
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp42_ = duplicity_job_make_local_rel_path (self, (GFile*) _tmp41_);
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
					local_file = _tmp42_;
#line 2782 "DuplicityJob.c"
					{
						GFile* _tmp43_;
						GFile* _tmp44_;
						GFile* _tmp45_;
#line 445 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp43_ = local_file;
#line 445 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp44_ = g_file_get_parent (_tmp43_);
#line 445 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp45_ = _tmp44_;
#line 445 "../libdeja/duplicity/DuplicityJob.vala"
						g_file_make_directory_with_parents (_tmp45_, NULL, &_inner_error0_);
#line 445 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (_tmp45_);
#line 445 "../libdeja/duplicity/DuplicityJob.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 445 "../libdeja/duplicity/DuplicityJob.vala"
							if (g_error_matches (_inner_error0_, G_IO_ERROR, G_IO_ERROR_EXISTS)) {
#line 2801 "DuplicityJob.c"
								goto __catch1_g_io_error_exists;
							}
							goto __catch1_g_error;
						}
					}
					goto __finally1;
					__catch1_g_io_error_exists:
					{
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						g_clear_error (&_inner_error0_);
#line 2812 "DuplicityJob.c"
					}
					goto __finally1;
					__catch1_g_error:
					{
						GError* e = NULL;
						GError* _tmp46_;
						const gchar* _tmp47_;
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						e = _inner_error0_;
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						_inner_error0_ = NULL;
#line 451 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp46_ = e;
#line 451 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp47_ = _tmp46_->message;
#line 451 "../libdeja/duplicity/DuplicityJob.vala"
						duplicity_job_show_error (self, _tmp47_, NULL);
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
						result = FALSE;
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
						_g_error_free0 (e);
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (local_file);
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (custom_local);
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (action_desc);
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
						(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
						return result;
#line 2844 "DuplicityJob.c"
					}
					__finally1:
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
					if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2849 "DuplicityJob.c"
						gboolean _tmp48_ = FALSE;
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (local_file);
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (custom_local);
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (action_desc);
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						g_clear_error (&_inner_error0_);
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
						return _tmp48_;
#line 2865 "DuplicityJob.c"
					}
#line 454 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp49_ = local_file;
#line 454 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp50_ = _g_object_ref0 (_tmp49_);
#line 454 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (custom_local);
#line 454 "../libdeja/duplicity/DuplicityJob.vala"
					custom_local = _tmp50_;
#line 456 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp51_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 456 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp52_ = _tmp51_;
#line 456 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp53_ = _tmp52_->data;
#line 456 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp54_ = _g_object_ref0 ((GFile*) _tmp53_);
#line 456 "../libdeja/duplicity/DuplicityJob.vala"
					target_file = _tmp54_;
#line 457 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp55_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 457 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp56_ = _tmp55_;
#line 457 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp56_ != NULL) {
#line 2891 "DuplicityJob.c"
						gchar* translated_path = NULL;
						DejaDupFileTree* _tmp57_;
						DejaDupFileTree* _tmp58_;
						GFile* _tmp59_;
						gchar* _tmp60_;
						gchar* _tmp61_;
						gchar* _tmp62_;
						gchar* _tmp63_;
						const gchar* _tmp64_;
						GFile* _tmp65_;
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp57_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp58_ = _tmp57_;
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp59_ = target_file;
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp60_ = g_file_get_path (_tmp59_);
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp61_ = _tmp60_;
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp62_ = deja_dup_file_tree_original_path (_tmp58_, _tmp61_);
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp63_ = _tmp62_;
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (_tmp61_);
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
						translated_path = _tmp63_;
#line 459 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp64_ = translated_path;
#line 459 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp65_ = g_file_new_for_path (_tmp64_);
#line 459 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (target_file);
#line 459 "../libdeja/duplicity/DuplicityJob.vala"
						target_file = _tmp65_;
#line 457 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (translated_path);
#line 2930 "DuplicityJob.c"
					}
#line 461 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp66_ = duplicity_job_slash;
#line 461 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp67_ = target_file;
#line 461 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp68_ = g_file_get_relative_path (_tmp66_, _tmp67_);
#line 461 "../libdeja/duplicity/DuplicityJob.vala"
					rel_file_path = _tmp68_;
#line 462 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp69_ = self->priv->_version1_cli;
#line 462 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp69_) {
#line 2944 "DuplicityJob.c"
						const gchar* _tmp70_;
						gchar* _tmp71_;
#line 463 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp70_ = rel_file_path;
#line 463 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp71_ = g_strdup_printf ("--file-to-restore=%s", _tmp70_);
#line 463 "../libdeja/duplicity/DuplicityJob.vala"
						extra_argv = g_list_append (extra_argv, _tmp71_);
#line 2953 "DuplicityJob.c"
					} else {
						const gchar* _tmp72_;
						gchar* _tmp73_;
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp72_ = rel_file_path;
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp73_ = g_strdup_printf ("--path-to-restore=%s", _tmp72_);
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
						extra_argv = g_list_append (extra_argv, _tmp73_);
#line 2963 "DuplicityJob.c"
					}
#line 437 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (rel_file_path);
#line 437 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (target_file);
#line 437 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (local_file);
#line 2971 "DuplicityJob.c"
				}
#line 468 "../libdeja/duplicity/DuplicityJob.vala"
				g_signal_emit_by_name ((DejaDupToolJob*) self, "progress", (gdouble) 0.f);
#line 2975 "DuplicityJob.c"
			}
#line 470 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 2979 "DuplicityJob.c"
		}
		default:
		{
#line 473 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 2985 "DuplicityJob.c"
		}
	}
#line 478 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp74_ = action_desc;
#line 478 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp74_ == NULL) {
#line 2992 "DuplicityJob.c"
		DejaDupToolJobMode _tmp75_;
		DejaDupToolJobMode _tmp76_;
		gchar* _tmp77_;
#line 479 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp75_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 479 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp76_ = _tmp75_;
#line 479 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp77_ = deja_dup_operation_mode_to_string (_tmp76_);
#line 479 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (action_desc);
#line 479 "../libdeja/duplicity/DuplicityJob.vala"
		action_desc = _tmp77_;
#line 3006 "DuplicityJob.c"
	}
#line 480 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp78_ = action_desc;
#line 480 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_status (self, _tmp78_, TRUE);
#line 482 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp79_ = extra_argv;
#line 482 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp80_ = custom_local;
#line 482 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_connect_and_start (self, _tmp79_, NULL, NULL, _tmp80_);
#line 483 "../libdeja/duplicity/DuplicityJob.vala"
	result = TRUE;
#line 483 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (custom_local);
#line 483 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (action_desc);
#line 483 "../libdeja/duplicity/DuplicityJob.vala"
	(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 483 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 3028 "DuplicityJob.c"
}

static GFile*
duplicity_job_make_local_rel_path (DuplicityJob* self,
                                   GFile* file)
{
	GFile* _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
	gboolean _tmp4_;
	GFile* result;
#line 486 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 486 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = g_file_get_parent (_tmp1_);
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = _tmp2_;
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = _tmp3_ == NULL;
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_tmp3_);
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp4_) {
#line 3059 "DuplicityJob.c"
		GFile* _tmp5_;
#line 489 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = _g_object_ref0 (file);
#line 489 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp5_;
#line 489 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 3067 "DuplicityJob.c"
	} else {
		GFile* _tmp6_;
		GFile* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		GFile* _tmp10_;
		GFile* _tmp11_;
#line 491 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 491 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = _tmp6_;
#line 491 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp8_ = g_file_get_basename (file);
#line 491 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp9_ = _tmp8_;
#line 491 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp10_ = g_file_get_child (_tmp7_, _tmp9_);
#line 491 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp11_ = _tmp10_;
#line 491 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp9_);
#line 491 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp11_;
#line 491 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 3093 "DuplicityJob.c"
	}
}

static void
duplicity_job_report_full_backups_data_free (gpointer _data)
{
	DuplicityJobReportFullBackupsData* _data_;
	_data_ = _data;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_data_->self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_slice_free (DuplicityJobReportFullBackupsData, _data_);
#line 3106 "DuplicityJob.c"
}

static void
duplicity_job_report_full_backups (DuplicityJob* self,
                                   GAsyncReadyCallback _callback_,
                                   gpointer _user_data_)
{
	DuplicityJobReportFullBackupsData* _data_;
	DuplicityJob* _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_slice_new0 (DuplicityJobReportFullBackupsData);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_set_task_data (_data_->_async_result, _data_, duplicity_job_report_full_backups_data_free);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self = _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_report_full_backups_co (_data_);
#line 3130 "DuplicityJob.c"
}

static void
duplicity_job_report_full_backups_finish (DuplicityJob* self,
                                          GAsyncResult* _res_)
{
	DuplicityJobReportFullBackupsData* _data_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 3140 "DuplicityJob.c"
}

static gpointer
_g_date_time_ref0 (gpointer self)
{
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
	return self ? g_date_time_ref (self) : NULL;
#line 3148 "DuplicityJob.c"
}

static gboolean
duplicity_job_report_full_backups_co (DuplicityJobReportFullBackupsData* _data_)
{
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
	switch (_data_->_state_) {
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
		case 0:
#line 3158 "DuplicityJob.c"
		goto _state_0;
		default:
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
		g_assert_not_reached ();
#line 3163 "DuplicityJob.c"
	}
	_state_0:
#line 496 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->full_backup = NULL;
#line 497 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp0_ = _data_->self->priv->collection_info;
#line 3170 "DuplicityJob.c"
	{
#line 497 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->info_collection = _data_->_tmp0_;
#line 497 "../libdeja/duplicity/DuplicityJob.vala"
		for (_data_->info_it = _data_->info_collection; _data_->info_it != NULL; _data_->info_it = _data_->info_it->next) {
#line 497 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->_tmp1_ = *((DuplicityJobDateInfo*) _data_->info_it->data);
#line 497 "../libdeja/duplicity/DuplicityJob.vala"
			memset (&_data_->_tmp2_, 0, sizeof (DuplicityJobDateInfo));
#line 497 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_date_info_copy (&_data_->_tmp1_, &_data_->_tmp2_);
#line 497 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->info = _data_->_tmp2_;
#line 3184 "DuplicityJob.c"
			{
#line 498 "../libdeja/duplicity/DuplicityJob.vala"
				_data_->_tmp3_ = _data_->info;
#line 498 "../libdeja/duplicity/DuplicityJob.vala"
				if (_data_->_tmp3_.full) {
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->_tmp4_ = _data_->info;
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->_tmp5_ = _data_->_tmp4_.time;
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->_tmp6_ = _g_date_time_ref0 (_data_->_tmp5_);
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
					_g_date_time_unref0 (_data_->full_backup);
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->full_backup = _data_->_tmp6_;
#line 3200 "DuplicityJob.c"
				}
#line 497 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_date_info_destroy (&_data_->info);
#line 3204 "DuplicityJob.c"
			}
		}
	}
#line 501 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp7_ = _data_->full_backup;
#line 501 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->first_backup = _data_->_tmp7_ == NULL;
#line 503 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->reported_full_backups = TRUE;
#line 507 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp8_ = deja_dup_get_full_backup_threshold_date ();
#line 507 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->threshold = _data_->_tmp8_;
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp10_ = _data_->full_backup;
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp10_ == NULL) {
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = TRUE;
#line 3224 "DuplicityJob.c"
	} else {
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp11_ = _data_->threshold;
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp12_ = _data_->full_backup;
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = g_date_time_compare (_data_->_tmp11_, _data_->_tmp12_) > 0;
#line 3232 "DuplicityJob.c"
	}
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp9_) {
#line 509 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->self->priv->is_full_backup = TRUE;
#line 510 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "is-full", _data_->first_backup);
#line 3240 "DuplicityJob.c"
	}
#line 513 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp14_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) _data_->self);
#line 513 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp15_ = _data_->_tmp14_;
#line 513 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp15_ != DEJA_DUP_TOOL_JOB_MODE_INVALID) {
#line 513 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp13_ = !duplicity_job_restart (_data_->self);
#line 3250 "DuplicityJob.c"
	} else {
#line 513 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp13_ = FALSE;
#line 3254 "DuplicityJob.c"
	}
#line 513 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp13_) {
#line 514 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 3260 "DuplicityJob.c"
	}
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
	_g_date_time_unref0 (_data_->threshold);
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
	_g_date_time_unref0 (_data_->full_backup);
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_state_ != 0) {
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3274 "DuplicityJob.c"
		}
	}
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
	g_object_unref (_data_->_async_result);
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 3281 "DuplicityJob.c"
}

static void
duplicity_job_check_backup_space_data_free (gpointer _data)
{
	DuplicityJobCheckBackupSpaceData* _data_;
	_data_ = _data;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_data_->self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_slice_free (DuplicityJobCheckBackupSpaceData, _data_);
#line 3293 "DuplicityJob.c"
}

static void
duplicity_job_check_backup_space (DuplicityJob* self,
                                  GAsyncReadyCallback _callback_,
                                  gpointer _user_data_)
{
	DuplicityJobCheckBackupSpaceData* _data_;
	DuplicityJob* _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_slice_new0 (DuplicityJobCheckBackupSpaceData);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_set_task_data (_data_->_async_result, _data_, duplicity_job_check_backup_space_data_free);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self = _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_check_backup_space_co (_data_);
#line 3317 "DuplicityJob.c"
}

static void
duplicity_job_check_backup_space_finish (DuplicityJob* self,
                                         GAsyncResult* _res_)
{
	DuplicityJobCheckBackupSpaceData* _data_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 3327 "DuplicityJob.c"
}

static void
duplicity_job_check_backup_space_ready (GObject* source_object,
                                        GAsyncResult* _res_,
                                        gpointer _user_data_)
{
	DuplicityJobCheckBackupSpaceData* _data_;
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = _user_data_;
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_source_object_ = source_object;
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_res_ = _res_;
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_check_backup_space_co (_data_);
#line 3344 "DuplicityJob.c"
}

static gboolean
duplicity_job_check_backup_space_co (DuplicityJobCheckBackupSpaceData* _data_)
{
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
	switch (_data_->_state_) {
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
		case 0:
#line 3354 "DuplicityJob.c"
		goto _state_0;
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
		case 1:
#line 3358 "DuplicityJob.c"
		goto _state_1;
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
		case 2:
#line 3362 "DuplicityJob.c"
		goto _state_2;
		default:
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
		g_assert_not_reached ();
#line 3367 "DuplicityJob.c"
	}
	_state_0:
#line 520 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->checked_backup_space = TRUE;
#line 523 "../libdeja/duplicity/DuplicityJob.vala"
	if (!_data_->self->priv->has_progress_total) {
#line 524 "../libdeja/duplicity/DuplicityJob.vala"
		if (!duplicity_job_restart (_data_->self)) {
#line 525 "../libdeja/duplicity/DuplicityJob.vala"
			g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 3378 "DuplicityJob.c"
		}
#line 526 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 526 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 526 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 526 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3388 "DuplicityJob.c"
			}
		}
#line 526 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 526 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 3395 "DuplicityJob.c"
	}
#line 530 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->full_dates = 0;
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp0_ = _data_->self->priv->collection_info;
#line 3401 "DuplicityJob.c"
	{
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->info_collection = _data_->_tmp0_;
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
		for (_data_->info_it = _data_->info_collection; _data_->info_it != NULL; _data_->info_it = _data_->info_it->next) {
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->_tmp1_ = *((DuplicityJobDateInfo*) _data_->info_it->data);
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
			memset (&_data_->_tmp2_, 0, sizeof (DuplicityJobDateInfo));
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_date_info_copy (&_data_->_tmp1_, &_data_->_tmp2_);
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->info = _data_->_tmp2_;
#line 3415 "DuplicityJob.c"
			{
#line 532 "../libdeja/duplicity/DuplicityJob.vala"
				_data_->_tmp3_ = _data_->info;
#line 532 "../libdeja/duplicity/DuplicityJob.vala"
				if (_data_->_tmp3_.full) {
#line 533 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->full_dates = _data_->full_dates + 1;
#line 533 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->_tmp4_ = _data_->full_dates;
#line 3425 "DuplicityJob.c"
				}
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_date_info_destroy (&_data_->info);
#line 3429 "DuplicityJob.c"
			}
		}
	}
#line 535 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->first_backup = _data_->full_dates == 0;
#line 539 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->initial_required_space = _data_->self->priv->progress_total * 2;
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp5_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp6_ = _data_->_tmp5_;
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_state_ = 1;
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_backend_get_space (_data_->_tmp6_, TRUE, duplicity_job_check_backup_space_ready, _data_);
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 3447 "DuplicityJob.c"
	_state_1:
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->free = deja_dup_backend_get_space_finish (_data_->_tmp6_, _data_->_res_);
#line 543 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp7_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 543 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp8_ = _data_->_tmp7_;
#line 543 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_state_ = 2;
#line 543 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_backend_get_space (_data_->_tmp8_, FALSE, duplicity_job_check_backup_space_ready, _data_);
#line 543 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 3461 "DuplicityJob.c"
	_state_2:
#line 543 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->total = deja_dup_backend_get_space_finish (_data_->_tmp8_, _data_->_res_);
#line 546 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->free != DEJA_DUP_BACKEND_INFINITE_SPACE) {
#line 546 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = _data_->free > _data_->total;
#line 3469 "DuplicityJob.c"
	} else {
#line 546 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = FALSE;
#line 3473 "DuplicityJob.c"
	}
#line 546 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp9_) {
#line 547 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->total = _data_->free;
#line 3479 "DuplicityJob.c"
	}
#line 552 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->total < _data_->initial_required_space) {
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp10_ = g_format_size_full (_data_->initial_required_space, G_FORMAT_SIZE_DEFAULT);
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp11_ = _data_->_tmp10_;
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp12_ = g_strdup_printf (_ ("Try using a location with at least %s."), _data_->_tmp11_);
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp13_ = _data_->_tmp12_;
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp14_ = g_strdup_printf ("%s %s\n\n%s", _ ("Backup location is too small."), _data_->_tmp13_, _ ("(Space for two full backups is required.)"));
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp15_ = _data_->_tmp14_;
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp13_);
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp11_);
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->msg = _data_->_tmp15_;
#line 559 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp16_ = _data_->msg;
#line 559 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_show_error (_data_->self, _data_->_tmp16_, NULL);
#line 560 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->msg);
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3517 "DuplicityJob.c"
			}
		}
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 3524 "DuplicityJob.c"
	}
#line 565 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->first_backup) {
#line 565 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp17_ = _data_->initial_required_space;
#line 3530 "DuplicityJob.c"
	} else {
#line 565 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp17_ = _data_->self->priv->progress_total;
#line 3534 "DuplicityJob.c"
	}
#line 565 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->required_free_space = _data_->_tmp17_;
#line 566 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->free < _data_->required_free_space) {
#line 568 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->full_dates > 1) {
#line 569 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_delete_excess (_data_->self, _data_->full_dates - 1);
#line 571 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->self->priv->checked_backup_space = FALSE;
#line 572 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->self->priv->checked_collection_info = FALSE;
#line 573 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->self->priv->got_collection_info = FALSE;
#line 574 "../libdeja/duplicity/DuplicityJob.vala"
			g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 574 "../libdeja/duplicity/DuplicityJob.vala"
			if (_data_->_state_ != 0) {
#line 574 "../libdeja/duplicity/DuplicityJob.vala"
				while (!g_task_get_completed (_data_->_async_result)) {
#line 574 "../libdeja/duplicity/DuplicityJob.vala"
					g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3558 "DuplicityJob.c"
				}
			}
#line 574 "../libdeja/duplicity/DuplicityJob.vala"
			g_object_unref (_data_->_async_result);
#line 574 "../libdeja/duplicity/DuplicityJob.vala"
			return FALSE;
#line 3565 "DuplicityJob.c"
		}
#line 578 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp18_ = g_strdup (_ ("Backup location does not have enough free space. Please free up at lea" \
"st %s."));
#line 578 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_vala1_msg = _data_->_tmp18_;
#line 579 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->first_backup) {
#line 580 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->_tmp19_ = g_strdup (_ ("Backup location does not have enough free space. Try using a location " \
"with at least %s free."));
#line 580 "../libdeja/duplicity/DuplicityJob.vala"
			_g_free0 (_data_->_vala1_msg);
#line 580 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->_vala1_msg = _data_->_tmp19_;
#line 3579 "DuplicityJob.c"
		}
#line 581 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp20_ = _data_->_vala1_msg;
#line 581 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp21_ = g_format_size_full (_data_->required_free_space, G_FORMAT_SIZE_DEFAULT);
#line 581 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp22_ = _data_->_tmp21_;
#line 581 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp23_ = g_strdup_printf (_data_->_tmp20_, _data_->_tmp22_);
#line 581 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp24_ = _data_->_tmp23_;
#line 581 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_show_error (_data_->self, _data_->_tmp24_, NULL);
#line 581 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp24_);
#line 581 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp22_);
#line 582 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 583 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_vala1_msg);
#line 583 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 583 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 583 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 583 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3609 "DuplicityJob.c"
			}
		}
#line 583 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 583 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 3616 "DuplicityJob.c"
	}
#line 586 "../libdeja/duplicity/DuplicityJob.vala"
	if (!duplicity_job_restart (_data_->self)) {
#line 587 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 3622 "DuplicityJob.c"
	}
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_state_ != 0) {
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3632 "DuplicityJob.c"
		}
	}
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
	g_object_unref (_data_->_async_result);
#line 518 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 3639 "DuplicityJob.c"
}

static gboolean
duplicity_job_cleanup (DuplicityJob* self)
{
	DuplicityJobState _tmp0_;
	GList* cleanup_argv = NULL;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	GList* _tmp4_;
	gboolean result;
#line 590 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 591 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->_state;
#line 591 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ == DUPLICITY_JOB_STATE_CLEANUP) {
#line 592 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 592 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 3662 "DuplicityJob.c"
	}
#line 594 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_state (self, DUPLICITY_JOB_STATE_CLEANUP);
#line 595 "../libdeja/duplicity/DuplicityJob.vala"
	cleanup_argv = NULL;
#line 596 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup ("cleanup");
#line 596 "../libdeja/duplicity/DuplicityJob.vala"
	cleanup_argv = g_list_append (cleanup_argv, _tmp1_);
#line 597 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = g_strdup ("--force");
#line 597 "../libdeja/duplicity/DuplicityJob.vala"
	cleanup_argv = g_list_append (cleanup_argv, _tmp2_);
#line 598 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = duplicity_job_get_remote (self);
#line 598 "../libdeja/duplicity/DuplicityJob.vala"
	cleanup_argv = g_list_append (cleanup_argv, _tmp3_);
#line 600 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_status (self, _ ("Cleaning up…"), TRUE);
#line 601 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = cleanup_argv;
#line 601 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_connect_and_start (self, NULL, NULL, _tmp4_, NULL);
#line 603 "../libdeja/duplicity/DuplicityJob.vala"
	result = TRUE;
#line 603 "../libdeja/duplicity/DuplicityJob.vala"
	(cleanup_argv == NULL) ? NULL : (cleanup_argv = (_g_list_free__g_free0_ (cleanup_argv), NULL));
#line 603 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 3692 "DuplicityJob.c"
}

static void
duplicity_job_delete_excess (DuplicityJob* self,
                             gint cutoff)
{
	GList* argv = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 606 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 607 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_state (self, DUPLICITY_JOB_STATE_DELETE);
#line 608 "../libdeja/duplicity/DuplicityJob.vala"
	argv = NULL;
#line 609 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = g_strdup ("remove-all-but-n-full");
#line 609 "../libdeja/duplicity/DuplicityJob.vala"
	argv = g_list_append (argv, _tmp0_);
#line 610 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup_printf ("%d", cutoff);
#line 610 "../libdeja/duplicity/DuplicityJob.vala"
	argv = g_list_append (argv, _tmp1_);
#line 611 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = g_strdup ("--force");
#line 611 "../libdeja/duplicity/DuplicityJob.vala"
	argv = g_list_append (argv, _tmp2_);
#line 612 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = duplicity_job_get_remote (self);
#line 612 "../libdeja/duplicity/DuplicityJob.vala"
	argv = g_list_append (argv, _tmp3_);
#line 614 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_status (self, _ ("Cleaning up…"), TRUE);
#line 615 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_connect_and_start (self, NULL, NULL, argv, NULL);
#line 617 "../libdeja/duplicity/DuplicityJob.vala"
	(argv == NULL) ? NULL : (argv = (_g_list_free__g_free0_ (argv), NULL));
#line 617 "../libdeja/duplicity/DuplicityJob.vala"
	return;
#line 3734 "DuplicityJob.c"
}

static gboolean
duplicity_job_can_ignore_error (DuplicityJob* self)
{
	DuplicityJobState _tmp0_;
	gboolean result;
#line 620 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 627 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->_state;
#line 627 "../libdeja/duplicity/DuplicityJob.vala"
	result = _tmp0_ == DUPLICITY_JOB_STATE_CLEANUP;
#line 627 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 3750 "DuplicityJob.c"
}

static void
duplicity_job_handle_done (DuplicityJob* self,
                           DuplicityInstance* inst,
                           gboolean success,
                           gboolean cancelled)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp17_;
	gboolean _tmp18_ = FALSE;
	gboolean _tmp19_ = FALSE;
#line 630 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 632 "../libdeja/duplicity/DuplicityJob.vala"
	if (duplicity_job_can_ignore_error (self)) {
#line 633 "../libdeja/duplicity/DuplicityJob.vala"
		success = TRUE;
#line 3769 "DuplicityJob.c"
	}
#line 635 "../libdeja/duplicity/DuplicityJob.vala"
	if (!cancelled) {
#line 635 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = success;
#line 3775 "DuplicityJob.c"
	} else {
#line 635 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = FALSE;
#line 3779 "DuplicityJob.c"
	}
#line 635 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_) {
#line 3783 "DuplicityJob.c"
		DuplicityJobState _tmp1_;
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->_state;
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
		switch (_tmp1_) {
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_DRY_RUN:
#line 3791 "DuplicityJob.c"
			{
#line 638 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->has_progress_total = TRUE;
#line 639 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->progress_total = self->priv->progress_count;
#line 640 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart (self)) {
#line 641 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 3801 "DuplicityJob.c"
				}
#line 642 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3805 "DuplicityJob.c"
			}
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_DELETE:
#line 3809 "DuplicityJob.c"
			{
#line 645 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart (self)) {
#line 646 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 3815 "DuplicityJob.c"
				}
#line 647 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3819 "DuplicityJob.c"
			}
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_CLEANUP:
#line 3823 "DuplicityJob.c"
			{
#line 650 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->cleaned_up_once = TRUE;
#line 651 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart (self)) {
#line 652 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 3831 "DuplicityJob.c"
				}
#line 656 "../libdeja/duplicity/DuplicityJob.vala"
				success = FALSE;
#line 657 "../libdeja/duplicity/DuplicityJob.vala"
				cancelled = TRUE;
#line 658 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3839 "DuplicityJob.c"
			}
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_STATUS:
#line 3843 "DuplicityJob.c"
			{
				gboolean should_restart = FALSE;
				DejaDupToolJobMode _tmp2_;
				DejaDupToolJobMode _tmp3_;
				DejaDupToolJobMode _tmp4_;
				DejaDupToolJobMode _tmp5_;
#line 661 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->checked_collection_info = TRUE;
#line 662 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 662 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = _tmp2_;
#line 662 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp4_ = self->priv->_original_mode;
#line 662 "../libdeja/duplicity/DuplicityJob.vala"
				should_restart = _tmp3_ != _tmp4_;
#line 663 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp5_ = self->priv->_original_mode;
#line 663 "../libdeja/duplicity/DuplicityJob.vala"
				deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, _tmp5_);
#line 665 "../libdeja/duplicity/DuplicityJob.vala"
				if (should_restart) {
#line 666 "../libdeja/duplicity/DuplicityJob.vala"
					if (duplicity_job_restart (self)) {
#line 667 "../libdeja/duplicity/DuplicityJob.vala"
						return;
#line 3870 "DuplicityJob.c"
					}
				}
#line 669 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3875 "DuplicityJob.c"
			}
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_NORMAL:
#line 3879 "DuplicityJob.c"
			{
				gboolean _tmp6_ = FALSE;
				DejaDupToolJobMode _tmp7_;
				DejaDupToolJobMode _tmp8_;
				DejaDupToolJobMode _tmp14_;
				DejaDupToolJobMode _tmp15_;
#line 672 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp7_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 672 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp8_ = _tmp7_;
#line 672 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp8_ == DEJA_DUP_TOOL_JOB_MODE_RESTORE) {
#line 3892 "DuplicityJob.c"
					GList* _tmp9_;
					GList* _tmp10_;
#line 672 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp9_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 672 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp10_ = _tmp9_;
#line 672 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp6_ = _tmp10_ != NULL;
#line 3901 "DuplicityJob.c"
				} else {
#line 672 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp6_ = FALSE;
#line 3905 "DuplicityJob.c"
				}
#line 672 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp6_) {
#line 3909 "DuplicityJob.c"
					GList* _tmp11_;
					GList* _tmp12_;
					GList* _tmp13_;
#line 673 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp11_ = ((DejaDupToolJob*) self)->_restore_files;
#line 673 "../libdeja/duplicity/DuplicityJob.vala"
					((DejaDupToolJob*) self)->_restore_files = g_list_delete_link (((DejaDupToolJob*) self)->_restore_files, _tmp11_);
#line 674 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp12_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 674 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp13_ = _tmp12_;
#line 674 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp13_ != NULL) {
#line 675 "../libdeja/duplicity/DuplicityJob.vala"
						if (duplicity_job_restart (self)) {
#line 676 "../libdeja/duplicity/DuplicityJob.vala"
							return;
#line 3927 "DuplicityJob.c"
						}
					}
				}
#line 680 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp14_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 680 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp15_ = _tmp14_;
#line 680 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp15_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 681 "../libdeja/duplicity/DuplicityJob.vala"
					deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_INVALID);
#line 682 "../libdeja/duplicity/DuplicityJob.vala"
					if (duplicity_job_delete_files_if_needed (self)) {
#line 683 "../libdeja/duplicity/DuplicityJob.vala"
						return;
#line 3943 "DuplicityJob.c"
					}
				}
#line 685 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3948 "DuplicityJob.c"
			}
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_NOT_STARTED:
#line 3952 "DuplicityJob.c"
			{
#line 688 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3956 "DuplicityJob.c"
			}
			default:
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 3961 "DuplicityJob.c"
		}
	} else {
		gboolean _tmp16_;
#line 691 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp16_ = self->priv->_was_stopped;
#line 691 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp16_) {
#line 692 "../libdeja/duplicity/DuplicityJob.vala"
			success = TRUE;
#line 3971 "DuplicityJob.c"
		}
	}
#line 694 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp17_ = self->priv->_error_issued;
#line 694 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp17_) {
#line 695 "../libdeja/duplicity/DuplicityJob.vala"
		success = FALSE;
#line 3980 "DuplicityJob.c"
	}
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
	if (!success) {
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp19_ = !cancelled;
#line 3986 "DuplicityJob.c"
	} else {
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp19_ = FALSE;
#line 3990 "DuplicityJob.c"
	}
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp19_) {
#line 3994 "DuplicityJob.c"
		gboolean _tmp20_;
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp20_ = self->priv->_error_issued;
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp18_ = !_tmp20_;
#line 4000 "DuplicityJob.c"
	} else {
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp18_ = FALSE;
#line 4004 "DuplicityJob.c"
	}
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp18_) {
#line 698 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_show_error (self, _ ("Failed with an unknown error."), NULL);
#line 4010 "DuplicityJob.c"
	}
#line 700 "../libdeja/duplicity/DuplicityJob.vala"
	inst = NULL;
#line 701 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "done", success, cancelled);
#line 4016 "DuplicityJob.c"
}

static void
duplicity_job_set_status (DuplicityJob* self,
                          const gchar* msg,
                          gboolean save)
{
#line 707 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 707 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (msg != NULL);
#line 709 "../libdeja/duplicity/DuplicityJob.vala"
	if (save) {
#line 4030 "DuplicityJob.c"
		gchar* _tmp0_;
#line 710 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = g_strdup (msg);
#line 710 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (self->priv->saved_status);
#line 710 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status = _tmp0_;
#line 711 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (self->priv->saved_status_file);
#line 711 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status_file = NULL;
#line 4042 "DuplicityJob.c"
	}
#line 713 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "action-desc-changed", msg);
#line 4046 "DuplicityJob.c"
}

static void
duplicity_job_set_status_file (DuplicityJob* self,
                               GFile* file,
                               gboolean action,
                               gboolean save)
{
#line 716 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 716 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (file != NULL);
#line 718 "../libdeja/duplicity/DuplicityJob.vala"
	if (save) {
#line 4061 "DuplicityJob.c"
		GFile* _tmp0_;
#line 719 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (self->priv->saved_status);
#line 719 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status = NULL;
#line 720 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = _g_object_ref0 (file);
#line 720 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (self->priv->saved_status_file);
#line 720 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status_file = _tmp0_;
#line 721 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status_file_action = action;
#line 4075 "DuplicityJob.c"
	}
#line 723 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "action-file-changed", file, action);
#line 4079 "DuplicityJob.c"
}

static void
duplicity_job_set_saved_status (DuplicityJob* self)
{
	const gchar* _tmp0_;
#line 726 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 728 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->saved_status;
#line 728 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ != NULL) {
#line 4092 "DuplicityJob.c"
		const gchar* _tmp1_;
#line 729 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->saved_status;
#line 729 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_status (self, _tmp1_, FALSE);
#line 4098 "DuplicityJob.c"
	} else {
		GFile* _tmp2_;
#line 731 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = self->priv->saved_status_file;
#line 731 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_status_file (self, _tmp2_, self->priv->saved_status_file_action, FALSE);
#line 4105 "DuplicityJob.c"
	}
}

static gboolean
duplicity_job_delete_files_if_needed (DuplicityJob* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean result;
#line 735 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 737 "../libdeja/duplicity/DuplicityJob.vala"
	if (self->priv->delete_age == 0) {
#line 738 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->deleted_files = TRUE;
#line 739 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 739 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4124 "DuplicityJob.c"
	}
#line 745 "../libdeja/duplicity/DuplicityJob.vala"
	if (self->priv->got_collection_info) {
#line 745 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = !self->priv->deleted_files;
#line 4130 "DuplicityJob.c"
	} else {
#line 745 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = FALSE;
#line 4134 "DuplicityJob.c"
	}
#line 745 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_) {
#line 4138 "DuplicityJob.c"
		gint full_dates = 0;
		gint too_old = 0;
		GDateTime* today = NULL;
		GDateTime* _tmp1_;
		GDateTime* prev_time = NULL;
		GList* _tmp2_;
		gboolean _tmp15_ = FALSE;
		GDateTime* _tmp16_;
		gboolean _tmp21_ = FALSE;
#line 747 "../libdeja/duplicity/DuplicityJob.vala"
		full_dates = 0;
#line 748 "../libdeja/duplicity/DuplicityJob.vala"
		too_old = 0;
#line 749 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = g_date_time_new_now_local ();
#line 749 "../libdeja/duplicity/DuplicityJob.vala"
		today = _tmp1_;
#line 750 "../libdeja/duplicity/DuplicityJob.vala"
		prev_time = NULL;
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = self->priv->collection_info;
#line 4160 "DuplicityJob.c"
		{
			GList* info_collection = NULL;
			GList* info_it = NULL;
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
			info_collection = _tmp2_;
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
			for (info_it = info_collection; info_it != NULL; info_it = info_it->next) {
#line 4168 "DuplicityJob.c"
				DuplicityJobDateInfo _tmp3_;
				DuplicityJobDateInfo _tmp4_ = {0};
				DuplicityJobDateInfo info = {0};
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = *((DuplicityJobDateInfo*) info_it->data);
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_date_info_copy (&_tmp3_, &_tmp4_);
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
				info = _tmp4_;
#line 4178 "DuplicityJob.c"
				{
					DuplicityJobDateInfo _tmp5_;
					DuplicityJobDateInfo _tmp12_;
					GDateTime* _tmp13_;
					GDateTime* _tmp14_;
#line 753 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = info;
#line 753 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp5_.full) {
#line 4188 "DuplicityJob.c"
						gboolean _tmp6_ = FALSE;
						GDateTime* _tmp7_;
						gint _tmp11_;
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp7_ = prev_time;
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp7_ != NULL) {
#line 4196 "DuplicityJob.c"
							GDateTime* _tmp8_;
							GDateTime* _tmp9_;
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp8_ = today;
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp9_ = prev_time;
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp6_ = (g_date_time_difference (_tmp8_, _tmp9_) / G_TIME_SPAN_DAY) > ((GTimeSpan) self->priv->delete_age);
#line 4205 "DuplicityJob.c"
						} else {
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp6_ = FALSE;
#line 4209 "DuplicityJob.c"
						}
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp6_) {
#line 4213 "DuplicityJob.c"
							gint _tmp10_;
#line 755 "../libdeja/duplicity/DuplicityJob.vala"
							too_old = too_old + 1;
#line 755 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp10_ = too_old;
#line 4219 "DuplicityJob.c"
						}
#line 756 "../libdeja/duplicity/DuplicityJob.vala"
						full_dates = full_dates + 1;
#line 756 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp11_ = full_dates;
#line 4225 "DuplicityJob.c"
					}
#line 758 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp12_ = info;
#line 758 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp13_ = _tmp12_.time;
#line 758 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp14_ = _g_date_time_ref0 (_tmp13_);
#line 758 "../libdeja/duplicity/DuplicityJob.vala"
					_g_date_time_unref0 (prev_time);
#line 758 "../libdeja/duplicity/DuplicityJob.vala"
					prev_time = _tmp14_;
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_date_info_destroy (&info);
#line 4239 "DuplicityJob.c"
				}
			}
		}
#line 760 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp16_ = prev_time;
#line 760 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp16_ != NULL) {
#line 4247 "DuplicityJob.c"
			GDateTime* _tmp17_;
			GDateTime* _tmp18_;
#line 760 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp17_ = today;
#line 760 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp18_ = prev_time;
#line 760 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp15_ = (g_date_time_difference (_tmp17_, _tmp18_) / G_TIME_SPAN_DAY) > ((GTimeSpan) self->priv->delete_age);
#line 4256 "DuplicityJob.c"
		} else {
#line 760 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp15_ = FALSE;
#line 4260 "DuplicityJob.c"
		}
#line 760 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp15_) {
#line 4264 "DuplicityJob.c"
			gint _tmp19_;
#line 761 "../libdeja/duplicity/DuplicityJob.vala"
			too_old = too_old + 1;
#line 761 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp19_ = too_old;
#line 4270 "DuplicityJob.c"
		}
#line 766 "../libdeja/duplicity/DuplicityJob.vala"
		if (self->priv->is_full_backup) {
#line 4274 "DuplicityJob.c"
			gint _tmp20_;
#line 767 "../libdeja/duplicity/DuplicityJob.vala"
			full_dates = full_dates + 1;
#line 767 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp20_ = full_dates;
#line 4280 "DuplicityJob.c"
		}
#line 769 "../libdeja/duplicity/DuplicityJob.vala"
		if (too_old > 0) {
#line 769 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp21_ = full_dates > DUPLICITY_JOB_MINIMUM_FULL;
#line 4286 "DuplicityJob.c"
		} else {
#line 769 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp21_ = FALSE;
#line 4290 "DuplicityJob.c"
		}
#line 769 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp21_) {
#line 4294 "DuplicityJob.c"
			gint cutoff = 0;
#line 771 "../libdeja/duplicity/DuplicityJob.vala"
			cutoff = MAX (DUPLICITY_JOB_MINIMUM_FULL, full_dates - too_old);
#line 772 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_delete_excess (self, cutoff);
#line 773 "../libdeja/duplicity/DuplicityJob.vala"
			result = TRUE;
#line 773 "../libdeja/duplicity/DuplicityJob.vala"
			_g_date_time_unref0 (prev_time);
#line 773 "../libdeja/duplicity/DuplicityJob.vala"
			_g_date_time_unref0 (today);
#line 773 "../libdeja/duplicity/DuplicityJob.vala"
			return result;
#line 4308 "DuplicityJob.c"
		}
#line 777 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->deleted_files = TRUE;
#line 778 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 778 "../libdeja/duplicity/DuplicityJob.vala"
		_g_date_time_unref0 (prev_time);
#line 778 "../libdeja/duplicity/DuplicityJob.vala"
		_g_date_time_unref0 (today);
#line 778 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4320 "DuplicityJob.c"
	} else {
#line 781 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 781 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4326 "DuplicityJob.c"
	}
}

static void
duplicity_job_delete_cache (DuplicityJob* self,
                            GRegex* only)
{
	gchar* dir = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* cachedir = NULL;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	DejaDupRecursiveDelete* del = NULL;
	const gchar* _tmp5_;
	GFile* _tmp6_;
	GFile* _tmp7_;
	DejaDupRecursiveDelete* _tmp8_;
	DejaDupRecursiveDelete* _tmp9_;
	DejaDupRecursiveDelete* _tmp10_;
#line 816 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 818 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = g_get_user_cache_dir ();
#line 818 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 818 "../libdeja/duplicity/DuplicityJob.vala"
	dir = _tmp1_;
#line 819 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = dir;
#line 819 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_ == NULL) {
#line 820 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (dir);
#line 820 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 4364 "DuplicityJob.c"
	}
#line 822 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = dir;
#line 822 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = g_build_filename (_tmp3_, PACKAGE, NULL);
#line 822 "../libdeja/duplicity/DuplicityJob.vala"
	cachedir = _tmp4_;
#line 823 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = cachedir;
#line 823 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp6_ = g_file_new_for_path (_tmp5_);
#line 823 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp7_ = _tmp6_;
#line 823 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp8_ = deja_dup_recursive_delete_new (_tmp7_, "metadata", only);
#line 823 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp9_ = _tmp8_;
#line 823 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_tmp7_);
#line 823 "../libdeja/duplicity/DuplicityJob.vala"
	del = _tmp9_;
#line 824 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp10_ = del;
#line 824 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_recursive_op_start ((DejaDupRecursiveOp*) _tmp10_);
#line 816 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (del);
#line 816 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (cachedir);
#line 816 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (dir);
#line 4396 "DuplicityJob.c"
}

static gboolean
duplicity_job_restart_without_cache (DuplicityJob* self)
{
	gboolean result;
#line 828 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 830 "../libdeja/duplicity/DuplicityJob.vala"
	if (self->priv->restarted_without_cache) {
#line 831 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 831 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4411 "DuplicityJob.c"
	}
#line 833 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->restarted_without_cache = TRUE;
#line 835 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_delete_cache (self, NULL);
#line 836 "../libdeja/duplicity/DuplicityJob.vala"
	result = duplicity_job_restart (self);
#line 836 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 4421 "DuplicityJob.c"
}

static void
duplicity_job_handle_exit (DuplicityJob* self,
                           gint code)
{
	gboolean _tmp0_ = FALSE;
#line 839 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 847 "../libdeja/duplicity/DuplicityJob.vala"
	if (code == DUPLICITY_JOB_ERROR_GENERIC) {
#line 4433 "DuplicityJob.c"
		gboolean _tmp1_;
#line 847 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->_error_issued;
#line 847 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = !_tmp1_;
#line 4439 "DuplicityJob.c"
	} else {
#line 847 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = FALSE;
#line 4443 "DuplicityJob.c"
	}
#line 847 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_) {
#line 848 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_restart_without_cache (self);
#line 4449 "DuplicityJob.c"
	}
}

static void
duplicity_job_handle_message (DuplicityJob* self,
                              DuplicityInstance* inst,
                              gchar** control_line,
                              gint control_line_length1,
                              GList* data_lines,
                              const gchar* user_text)
{
	gchar* keyword = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	GQuark _tmp5_ = 0U;
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp4_label0 = 0;
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp4_label1 = 0;
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp4_label2 = 0;
#line 852 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 852 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (inst != NULL);
#line 852 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (user_text != NULL);
#line 858 "../libdeja/duplicity/DuplicityJob.vala"
	if (control_line_length1 == 0) {
#line 859 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 4483 "DuplicityJob.c"
	}
#line 861 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = control_line[0];
#line 861 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 861 "../libdeja/duplicity/DuplicityJob.vala"
	keyword = _tmp1_;
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = keyword;
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = _tmp2_;
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = (NULL == _tmp3_) ? 0 : g_quark_from_string (_tmp3_);
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp5_ == ((0 != _tmp4_label0) ? _tmp4_label0 : (_tmp4_label0 = g_quark_from_static_string ("ERROR")))) {
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 4501 "DuplicityJob.c"
			default:
			{
#line 864 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_error (self, control_line, (gint) control_line_length1, data_lines, user_text);
#line 865 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4508 "DuplicityJob.c"
			}
		}
	} else if (_tmp5_ == ((0 != _tmp4_label1) ? _tmp4_label1 : (_tmp4_label1 = g_quark_from_static_string ("INFO")))) {
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 4514 "DuplicityJob.c"
			default:
			{
#line 867 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_info (self, control_line, (gint) control_line_length1, data_lines, user_text);
#line 868 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4521 "DuplicityJob.c"
			}
		}
	} else if (_tmp5_ == ((0 != _tmp4_label2) ? _tmp4_label2 : (_tmp4_label2 = g_quark_from_static_string ("WARNING")))) {
#line 862 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 4527 "DuplicityJob.c"
			default:
			{
#line 870 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_warning (self, control_line, (gint) control_line_length1, data_lines, user_text);
#line 871 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4534 "DuplicityJob.c"
			}
		}
	}
#line 852 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (keyword);
#line 4540 "DuplicityJob.c"
}

static gboolean
duplicity_job_ask_question (DuplicityJob* self,
                            const gchar* t,
                            const gchar* m)
{
	gboolean rv = FALSE;
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	gboolean result;
#line 875 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 875 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (t != NULL, FALSE);
#line 875 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (m != NULL, FALSE);
#line 877 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_disconnect_inst (self);
#line 878 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "question", t, m);
#line 879 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 879 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 879 "../libdeja/duplicity/DuplicityJob.vala"
	rv = _tmp1_ != DEJA_DUP_TOOL_JOB_MODE_INVALID;
#line 880 "../libdeja/duplicity/DuplicityJob.vala"
	if (!rv) {
#line 881 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_handle_done (self, NULL, FALSE, TRUE);
#line 4572 "DuplicityJob.c"
	}
#line 882 "../libdeja/duplicity/DuplicityJob.vala"
	result = rv;
#line 882 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 4578 "DuplicityJob.c"
}

static gint
string_index_of_char (const gchar* self,
                      gunichar c,
                      gint start_index)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gint result;
#line 1204 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 1205 "glib-2.0.vapi"
	_tmp0_ = g_utf8_strchr (((gchar*) self) + start_index, (gssize) -1, c);
#line 1205 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1207 "glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1207 "glib-2.0.vapi"
	if (_tmp1_ != NULL) {
#line 4600 "DuplicityJob.c"
		gchar* _tmp2_;
#line 1208 "glib-2.0.vapi"
		_tmp2_ = _result_;
#line 1208 "glib-2.0.vapi"
		result = (gint) (_tmp2_ - ((gchar*) self));
#line 1208 "glib-2.0.vapi"
		return result;
#line 4608 "DuplicityJob.c"
	} else {
#line 1210 "glib-2.0.vapi"
		result = -1;
#line 1210 "glib-2.0.vapi"
		return result;
#line 4614 "DuplicityJob.c"
	}
}

static glong
string_strnlen (gchar* str,
                glong maxlen)
{
	gchar* end = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	glong result;
#line 1501 "glib-2.0.vapi"
	_tmp0_ = memchr (str, 0, (gsize) maxlen);
#line 1501 "glib-2.0.vapi"
	end = _tmp0_;
#line 1502 "glib-2.0.vapi"
	_tmp1_ = end;
#line 1502 "glib-2.0.vapi"
	if (_tmp1_ == NULL) {
#line 1503 "glib-2.0.vapi"
		result = maxlen;
#line 1503 "glib-2.0.vapi"
		return result;
#line 4638 "DuplicityJob.c"
	} else {
		gchar* _tmp2_;
#line 1505 "glib-2.0.vapi"
		_tmp2_ = end;
#line 1505 "glib-2.0.vapi"
		result = (glong) (_tmp2_ - str);
#line 1505 "glib-2.0.vapi"
		return result;
#line 4647 "DuplicityJob.c"
	}
}

static gchar*
string_substring (const gchar* self,
                  glong offset,
                  glong len)
{
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	gchar* _tmp3_;
	gchar* result;
#line 1512 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1514 "glib-2.0.vapi"
	if (offset >= ((glong) 0)) {
#line 1514 "glib-2.0.vapi"
		_tmp0_ = len >= ((glong) 0);
#line 4666 "DuplicityJob.c"
	} else {
#line 1514 "glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 4670 "DuplicityJob.c"
	}
#line 1514 "glib-2.0.vapi"
	if (_tmp0_) {
#line 1516 "glib-2.0.vapi"
		string_length = string_strnlen ((gchar*) self, offset + len);
#line 4676 "DuplicityJob.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 1518 "glib-2.0.vapi"
		_tmp1_ = strlen (self);
#line 1518 "glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1518 "glib-2.0.vapi"
		string_length = (glong) _tmp2_;
#line 4686 "DuplicityJob.c"
	}
#line 1521 "glib-2.0.vapi"
	if (offset < ((glong) 0)) {
#line 1522 "glib-2.0.vapi"
		offset = string_length + offset;
#line 1523 "glib-2.0.vapi"
		g_return_val_if_fail (offset >= ((glong) 0), NULL);
#line 4694 "DuplicityJob.c"
	} else {
#line 1525 "glib-2.0.vapi"
		g_return_val_if_fail (offset <= string_length, NULL);
#line 4698 "DuplicityJob.c"
	}
#line 1527 "glib-2.0.vapi"
	if (len < ((glong) 0)) {
#line 1528 "glib-2.0.vapi"
		len = string_length - offset;
#line 4704 "DuplicityJob.c"
	}
#line 1530 "glib-2.0.vapi"
	g_return_val_if_fail ((offset + len) <= string_length, NULL);
#line 1531 "glib-2.0.vapi"
	_tmp3_ = g_strndup (((gchar*) self) + offset, (gsize) len);
#line 1531 "glib-2.0.vapi"
	result = _tmp3_;
#line 1531 "glib-2.0.vapi"
	return result;
#line 4714 "DuplicityJob.c"
}

static gchar*
duplicity_job_parse_duplicity_file (DuplicityJob* self,
                                    const gchar* file,
                                    gint skip_bits)
{
	gint next = 0;
	gchar* result;
#line 887 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 887 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
	next = 0;
#line 890 "../libdeja/duplicity/DuplicityJob.vala"
	while (TRUE) {
#line 4732 "DuplicityJob.c"
		gboolean _tmp0_ = FALSE;
		gint _tmp1_;
#line 890 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = skip_bits;
#line 890 "../libdeja/duplicity/DuplicityJob.vala"
		skip_bits = _tmp1_ - 1;
#line 890 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp1_ > 0) {
#line 890 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp0_ = next >= 0;
#line 4743 "DuplicityJob.c"
		} else {
#line 890 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp0_ = FALSE;
#line 4747 "DuplicityJob.c"
		}
#line 890 "../libdeja/duplicity/DuplicityJob.vala"
		if (!_tmp0_) {
#line 890 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 4753 "DuplicityJob.c"
		}
#line 891 "../libdeja/duplicity/DuplicityJob.vala"
		next = string_index_of_char (file, (gunichar) '.', next) + 1;
#line 4757 "DuplicityJob.c"
	}
#line 892 "../libdeja/duplicity/DuplicityJob.vala"
	if (next < 0) {
#line 4761 "DuplicityJob.c"
		gchar* _tmp2_;
#line 893 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = g_strdup ("");
#line 893 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp2_;
#line 893 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4769 "DuplicityJob.c"
	} else {
		gchar* _tmp3_;
#line 895 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = string_substring (file, (glong) next, (glong) -1);
#line 895 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp3_;
#line 895 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4778 "DuplicityJob.c"
	}
}

static void
duplicity_job_report_encryption_error (DuplicityJob* self)
{
#line 898 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 900 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "bad-encryption-password");
#line 901 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_show_error (self, _ ("Bad encryption password."), NULL);
#line 4791 "DuplicityJob.c"
}

static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gchar* _tmp0_;
	gboolean result;
#line 1584 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1584 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1585 "glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1585 "glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1585 "glib-2.0.vapi"
	return result;
#line 4810 "DuplicityJob.c"
}

static gboolean
duplicity_job_check_encryption_error (DuplicityJob* self,
                                      const gchar* text)
{
	gchar* no_seckey_msg = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* bad_key_msg = NULL;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	const gchar* _tmp7_;
	gboolean result;
#line 904 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 904 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (text != NULL, FALSE);
#line 913 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = gpg_strerror (GPG_ERR_NO_SECKEY);
#line 913 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 913 "../libdeja/duplicity/DuplicityJob.vala"
	no_seckey_msg = _tmp1_;
#line 914 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = gpg_strerror (GPG_ERR_BAD_KEY);
#line 914 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 914 "../libdeja/duplicity/DuplicityJob.vala"
	bad_key_msg = _tmp3_;
#line 915 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp7_ = no_seckey_msg;
#line 915 "../libdeja/duplicity/DuplicityJob.vala"
	if (string_contains (text, _tmp7_)) {
#line 915 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = TRUE;
#line 4850 "DuplicityJob.c"
	} else {
#line 915 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = string_contains (text, "No secret key");
#line 4854 "DuplicityJob.c"
	}
#line 915 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp6_) {
#line 915 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = TRUE;
#line 4860 "DuplicityJob.c"
	} else {
		const gchar* _tmp8_;
#line 916 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp8_ = bad_key_msg;
#line 916 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = string_contains (text, _tmp8_);
#line 4867 "DuplicityJob.c"
	}
#line 915 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp5_) {
#line 915 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = TRUE;
#line 4873 "DuplicityJob.c"
	} else {
#line 916 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = string_contains (text, "Bad session key");
#line 4877 "DuplicityJob.c"
	}
#line 915 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp4_) {
#line 918 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_report_encryption_error (self);
#line 919 "../libdeja/duplicity/DuplicityJob.vala"
		result = TRUE;
#line 919 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (bad_key_msg);
#line 919 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (no_seckey_msg);
#line 919 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4891 "DuplicityJob.c"
	}
#line 922 "../libdeja/duplicity/DuplicityJob.vala"
	result = FALSE;
#line 922 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (bad_key_msg);
#line 922 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (no_seckey_msg);
#line 922 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 4901 "DuplicityJob.c"
}

static void
duplicity_job_real_process_error (DuplicityJob* self,
                                  gchar** firstline,
                                  gint firstline_length1,
                                  GList* data,
                                  const gchar* text_in)
{
	gchar* text = NULL;
	gchar* _tmp0_;
	const gchar* _tmp74_;
#line 925 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text_in != NULL);
#line 928 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = g_strdup (text_in);
#line 928 "../libdeja/duplicity/DuplicityJob.vala"
	text = _tmp0_;
#line 930 "../libdeja/duplicity/DuplicityJob.vala"
	if (duplicity_job_can_ignore_error (self)) {
#line 931 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (text);
#line 931 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 4926 "DuplicityJob.c"
	}
#line 933 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 1) {
#line 4930 "DuplicityJob.c"
		const gchar* _tmp1_;
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = firstline[1];
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
		switch (atoi (_tmp1_)) {
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_GENERIC:
#line 4938 "DuplicityJob.c"
			{
				gboolean _tmp2_ = FALSE;
				const gchar* _tmp3_;
#line 937 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = text;
#line 937 "../libdeja/duplicity/DuplicityJob.vala"
				if (string_contains (_tmp3_, "GnuPG")) {
#line 4946 "DuplicityJob.c"
					const gchar* _tmp4_;
#line 937 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = text;
#line 937 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp2_ = duplicity_job_check_encryption_error (self, _tmp4_);
#line 4952 "DuplicityJob.c"
				} else {
#line 937 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp2_ = FALSE;
#line 4956 "DuplicityJob.c"
				}
#line 937 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp2_) {
#line 938 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 938 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 4964 "DuplicityJob.c"
				}
#line 939 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4968 "DuplicityJob.c"
			}
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_EXCEPTION:
#line 4972 "DuplicityJob.c"
			{
				const gchar* _tmp5_ = NULL;
				const gchar* _tmp7_;
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 4978 "DuplicityJob.c"
					const gchar* _tmp6_;
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp6_ = firstline[2];
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = _tmp6_;
#line 4984 "DuplicityJob.c"
				} else {
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = "";
#line 4988 "DuplicityJob.c"
				}
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp7_ = text;
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_exception (self, _tmp5_, _tmp7_);
#line 943 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (text);
#line 943 "../libdeja/duplicity/DuplicityJob.vala"
				return;
#line 4998 "DuplicityJob.c"
			}
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_RESTORE_DIR_NOT_FOUND:
#line 5002 "DuplicityJob.c"
			{
				GList* _tmp8_;
				GList* _tmp9_;
#line 949 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp8_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 949 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp9_ = _tmp8_;
#line 949 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp9_ != NULL) {
#line 5012 "DuplicityJob.c"
					GList* _tmp10_;
					GList* _tmp11_;
					gconstpointer _tmp12_;
					gchar* _tmp13_;
					gchar* _tmp14_;
					gchar* _tmp15_;
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp10_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp11_ = _tmp10_;
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp12_ = _tmp11_->data;
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp13_ = g_file_get_parse_name ((GFile*) _tmp12_);
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp14_ = _tmp13_;
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp15_ = g_strdup_printf (_ ("Could not restore ‘%s’: File not found in backup"), _tmp14_);
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp15_;
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp14_);
#line 5037 "DuplicityJob.c"
				}
#line 952 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5041 "DuplicityJob.c"
			}
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_GPG:
#line 5045 "DuplicityJob.c"
			{
#line 955 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_check_encryption_error (self, text_in)) {
#line 956 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 956 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 5053 "DuplicityJob.c"
				}
#line 957 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5057 "DuplicityJob.c"
			}
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_HOSTNAME_CHANGED:
#line 5061 "DuplicityJob.c"
			{
				gchar* _tmp23_;
#line 960 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 4) {
#line 5066 "DuplicityJob.c"
					gchar* msg = NULL;
					gchar* _tmp16_;
					const gchar* _tmp17_;
					const gchar* _tmp18_;
					const gchar* _tmp19_;
					gchar* _tmp20_;
					gchar* _tmp21_;
					gboolean _tmp22_;
#line 961 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp16_ = g_strdup (_ ("The existing backup is of a computer named %s, but the " "current computer’s name is %s.  If this is unexpected, " "you should back up to a different location."));
#line 961 "../libdeja/duplicity/DuplicityJob.vala"
					msg = _tmp16_;
#line 964 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp17_ = msg;
#line 964 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp18_ = firstline[3];
#line 964 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp19_ = firstline[2];
#line 964 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp20_ = g_strdup_printf (_tmp17_, _tmp18_, _tmp19_);
#line 964 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp21_ = _tmp20_;
#line 964 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp22_ = !duplicity_job_ask_question (self, _ ("Computer name changed"), _tmp21_);
#line 964 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp21_);
#line 964 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp22_) {
#line 965 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (msg);
#line 965 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (text);
#line 965 "../libdeja/duplicity/DuplicityJob.vala"
						return;
#line 5101 "DuplicityJob.c"
					}
#line 960 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (msg);
#line 5105 "DuplicityJob.c"
				}
#line 969 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp23_ = g_strdup ("--allow-source-mismatch");
#line 969 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->saved_argv = g_list_append (self->priv->saved_argv, _tmp23_);
#line 970 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart (self)) {
#line 971 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 971 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 5117 "DuplicityJob.c"
				}
#line 972 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5121 "DuplicityJob.c"
			}
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_BAD_VOLUME:
#line 5125 "DuplicityJob.c"
			{
				DejaDupToolJobMode _tmp24_;
				DejaDupToolJobMode _tmp25_;
#line 980 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp24_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 980 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp25_ = _tmp24_;
#line 980 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp25_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 5135 "DuplicityJob.c"
					gchar* this_volume = NULL;
					const gchar* _tmp26_;
					gchar* _tmp27_;
					const gchar* _tmp28_;
					const gchar* _tmp29_;
					gboolean _tmp32_ = FALSE;
					gboolean _tmp33_ = FALSE;
#line 982 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp26_ = firstline[2];
#line 982 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp27_ = duplicity_job_parse_duplicity_file (self, _tmp26_, 2);
#line 982 "../libdeja/duplicity/DuplicityJob.vala"
					this_volume = _tmp27_;
#line 983 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp28_ = self->priv->last_bad_volume;
#line 983 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp29_ = this_volume;
#line 983 "../libdeja/duplicity/DuplicityJob.vala"
					if (g_strcmp0 (_tmp28_, _tmp29_) != 0) {
#line 5155 "DuplicityJob.c"
						const gchar* _tmp30_;
						gchar* _tmp31_;
#line 984 "../libdeja/duplicity/DuplicityJob.vala"
						self->priv->bad_volume_count = (guint) 0;
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp30_ = this_volume;
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp31_ = g_strdup (_tmp30_);
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (self->priv->last_bad_volume);
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
						self->priv->last_bad_volume = _tmp31_;
#line 5168 "DuplicityJob.c"
					}
#line 988 "../libdeja/duplicity/DuplicityJob.vala"
					if (self->priv->bad_volume_count == ((guint) 0)) {
#line 988 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp33_ = duplicity_job_restart (self);
#line 5174 "DuplicityJob.c"
					} else {
#line 988 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp33_ = FALSE;
#line 5178 "DuplicityJob.c"
					}
#line 988 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp33_) {
#line 988 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp32_ = TRUE;
#line 5184 "DuplicityJob.c"
					} else {
						gboolean _tmp34_ = FALSE;
#line 989 "../libdeja/duplicity/DuplicityJob.vala"
						if (self->priv->bad_volume_count == ((guint) 1)) {
#line 989 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp34_ = duplicity_job_cleanup (self);
#line 5191 "DuplicityJob.c"
						} else {
#line 989 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp34_ = FALSE;
#line 5195 "DuplicityJob.c"
						}
#line 989 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp32_ = _tmp34_;
#line 5199 "DuplicityJob.c"
					}
#line 988 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp32_) {
#line 990 "../libdeja/duplicity/DuplicityJob.vala"
						self->priv->bad_volume_count = self->priv->bad_volume_count + 1;
#line 991 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (this_volume);
#line 991 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (text);
#line 991 "../libdeja/duplicity/DuplicityJob.vala"
						return;
#line 5211 "DuplicityJob.c"
					}
#line 980 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (this_volume);
#line 5215 "DuplicityJob.c"
				}
#line 994 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5219 "DuplicityJob.c"
			}
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_BACKEND_PERMISSION_DENIED:
#line 5223 "DuplicityJob.c"
			{
				gboolean _tmp35_ = FALSE;
				gboolean _tmp43_ = FALSE;
#line 997 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 5) {
#line 5229 "DuplicityJob.c"
					const gchar* _tmp36_;
#line 997 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp36_ = firstline[2];
#line 997 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp35_ = g_strcmp0 (_tmp36_, "put") == 0;
#line 5235 "DuplicityJob.c"
				} else {
#line 997 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp35_ = FALSE;
#line 5239 "DuplicityJob.c"
				}
#line 997 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp35_) {
#line 5243 "DuplicityJob.c"
					GFile* file = NULL;
					const gchar* _tmp37_;
					GFile* _tmp38_;
					GFile* _tmp39_;
					gchar* _tmp40_;
					gchar* _tmp41_;
					gchar* _tmp42_;
#line 998 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp37_ = firstline[4];
#line 998 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp38_ = duplicity_job_make_file_obj (self, _tmp37_);
#line 998 "../libdeja/duplicity/DuplicityJob.vala"
					file = _tmp38_;
#line 999 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp39_ = file;
#line 999 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp40_ = g_file_get_parse_name (_tmp39_);
#line 999 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp41_ = _tmp40_;
#line 999 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp42_ = g_strdup_printf (_ ("Permission denied when trying to create ‘%s’."), _tmp41_);
#line 999 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 999 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp42_;
#line 999 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp41_);
#line 997 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (file);
#line 5273 "DuplicityJob.c"
				}
#line 1001 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 5) {
#line 5277 "DuplicityJob.c"
					const gchar* _tmp44_;
#line 1001 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp44_ = firstline[2];
#line 1001 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp43_ = g_strcmp0 (_tmp44_, "get") == 0;
#line 5283 "DuplicityJob.c"
				} else {
#line 1001 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp43_ = FALSE;
#line 5287 "DuplicityJob.c"
				}
#line 1001 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp43_) {
#line 5291 "DuplicityJob.c"
					GFile* file = NULL;
					const gchar* _tmp45_;
					GFile* _tmp46_;
					GFile* _tmp47_;
					gchar* _tmp48_;
					gchar* _tmp49_;
					gchar* _tmp50_;
#line 1002 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp45_ = firstline[3];
#line 1002 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp46_ = duplicity_job_make_file_obj (self, _tmp45_);
#line 1002 "../libdeja/duplicity/DuplicityJob.vala"
					file = _tmp46_;
#line 1003 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp47_ = file;
#line 1003 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp48_ = g_file_get_parse_name (_tmp47_);
#line 1003 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp49_ = _tmp48_;
#line 1003 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp50_ = g_strdup_printf (_ ("Permission denied when trying to read ‘%s’."), _tmp49_);
#line 1003 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 1003 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp50_;
#line 1003 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp49_);
#line 1001 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (file);
#line 5321 "DuplicityJob.c"
				} else {
					gboolean _tmp51_ = FALSE;
#line 1005 "../libdeja/duplicity/DuplicityJob.vala"
					if (firstline_length1 >= 4) {
#line 5326 "DuplicityJob.c"
						const gchar* _tmp52_;
#line 1005 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp52_ = firstline[2];
#line 1005 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp51_ = g_strcmp0 (_tmp52_, "list") == 0;
#line 5332 "DuplicityJob.c"
					} else {
#line 1005 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp51_ = FALSE;
#line 5336 "DuplicityJob.c"
					}
#line 1005 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp51_) {
#line 5340 "DuplicityJob.c"
						GFile* file = NULL;
						const gchar* _tmp53_;
						GFile* _tmp54_;
						GFile* _tmp55_;
						gchar* _tmp56_;
						gchar* _tmp57_;
						gchar* _tmp58_;
#line 1006 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp53_ = firstline[3];
#line 1006 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp54_ = duplicity_job_make_file_obj (self, _tmp53_);
#line 1006 "../libdeja/duplicity/DuplicityJob.vala"
						file = _tmp54_;
#line 1007 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp55_ = file;
#line 1007 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp56_ = g_file_get_parse_name (_tmp55_);
#line 1007 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp57_ = _tmp56_;
#line 1007 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp58_ = g_strdup_printf (_ ("Permission denied when trying to read ‘%s’."), _tmp57_);
#line 1007 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (text);
#line 1007 "../libdeja/duplicity/DuplicityJob.vala"
						text = _tmp58_;
#line 1007 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (_tmp57_);
#line 1005 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (file);
#line 5370 "DuplicityJob.c"
					} else {
						gboolean _tmp59_ = FALSE;
#line 1009 "../libdeja/duplicity/DuplicityJob.vala"
						if (firstline_length1 >= 4) {
#line 5375 "DuplicityJob.c"
							const gchar* _tmp60_;
#line 1009 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp60_ = firstline[2];
#line 1009 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp59_ = g_strcmp0 (_tmp60_, "delete") == 0;
#line 5381 "DuplicityJob.c"
						} else {
#line 1009 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp59_ = FALSE;
#line 5385 "DuplicityJob.c"
						}
#line 1009 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp59_) {
#line 5389 "DuplicityJob.c"
							GFile* file = NULL;
							const gchar* _tmp61_;
							GFile* _tmp62_;
							GFile* _tmp63_;
							gchar* _tmp64_;
							gchar* _tmp65_;
							gchar* _tmp66_;
#line 1010 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp61_ = firstline[3];
#line 1010 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp62_ = duplicity_job_make_file_obj (self, _tmp61_);
#line 1010 "../libdeja/duplicity/DuplicityJob.vala"
							file = _tmp62_;
#line 1011 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp63_ = file;
#line 1011 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp64_ = g_file_get_parse_name (_tmp63_);
#line 1011 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp65_ = _tmp64_;
#line 1011 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp66_ = g_strdup_printf (_ ("Permission denied when trying to delete ‘%s’."), _tmp65_);
#line 1011 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (text);
#line 1011 "../libdeja/duplicity/DuplicityJob.vala"
							text = _tmp66_;
#line 1011 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp65_);
#line 1009 "../libdeja/duplicity/DuplicityJob.vala"
							_g_object_unref0 (file);
#line 5419 "DuplicityJob.c"
						}
					}
				}
#line 1013 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5425 "DuplicityJob.c"
			}
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_BACKEND_NOT_FOUND:
#line 5429 "DuplicityJob.c"
			{
#line 1016 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 4) {
#line 5433 "DuplicityJob.c"
					GFile* file = NULL;
					const gchar* _tmp67_;
					GFile* _tmp68_;
					GFile* _tmp69_;
					gchar* _tmp70_;
					gchar* _tmp71_;
					gchar* _tmp72_;
#line 1017 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp67_ = firstline[3];
#line 1017 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp68_ = duplicity_job_make_file_obj (self, _tmp67_);
#line 1017 "../libdeja/duplicity/DuplicityJob.vala"
					file = _tmp68_;
#line 1018 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp69_ = file;
#line 1018 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp70_ = g_file_get_parse_name (_tmp69_);
#line 1018 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp71_ = _tmp70_;
#line 1018 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp72_ = g_strdup_printf (_ ("Backup location ‘%s’ does not exist."), _tmp71_);
#line 1018 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 1018 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp72_;
#line 1018 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp71_);
#line 1016 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (file);
#line 5463 "DuplicityJob.c"
				}
#line 1020 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5467 "DuplicityJob.c"
			}
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_BACKEND_NO_SPACE:
#line 5471 "DuplicityJob.c"
			{
#line 1023 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 5) {
#line 5475 "DuplicityJob.c"
					gchar* _tmp73_;
#line 1024 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp73_ = g_strdup (_ ("No space left."));
#line 1024 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 1024 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp73_;
#line 5483 "DuplicityJob.c"
				}
#line 1026 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5487 "DuplicityJob.c"
			}
			default:
#line 934 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 5492 "DuplicityJob.c"
		}
	}
#line 1030 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp74_ = text;
#line 1030 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_show_error (self, _tmp74_, NULL);
#line 925 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (text);
#line 5501 "DuplicityJob.c"
}

void
duplicity_job_process_error (DuplicityJob* self,
                             gchar** firstline,
                             gint firstline_length1,
                             GList* data,
                             const gchar* text_in)
{
	DuplicityJobClass* _klass_;
#line 925 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 925 "../libdeja/duplicity/DuplicityJob.vala"
	_klass_ = DUPLICITY_JOB_GET_CLASS (self);
#line 925 "../libdeja/duplicity/DuplicityJob.vala"
	if (_klass_->process_error) {
#line 925 "../libdeja/duplicity/DuplicityJob.vala"
		_klass_->process_error (self, firstline, firstline_length1, data, text_in);
#line 5520 "DuplicityJob.c"
	}
}

static void
duplicity_job_process_exception (DuplicityJob* self,
                                 const gchar* exception,
                                 const gchar* text)
{
	const gchar* _tmp0_;
	GQuark _tmp2_ = 0U;
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp1_label0 = 0;
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp1_label1 = 0;
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp1_label2 = 0;
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp1_label3 = 0;
#line 5539 "DuplicityJob.c"
	gboolean _tmp29_ = FALSE;
	gboolean _tmp30_;
#line 1033 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1033 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (exception != NULL);
#line 1033 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text != NULL);
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = exception;
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = (NULL == _tmp0_) ? 0 : g_quark_from_string (_tmp0_);
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_ == ((0 != _tmp1_label0) ? _tmp1_label0 : (_tmp1_label0 = g_quark_from_static_string ("EOFError")))) {
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 5556 "DuplicityJob.c"
			default:
			{
#line 1038 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_report_encryption_error (self);
#line 1039 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5563 "DuplicityJob.c"
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label1) ? _tmp1_label1 : (_tmp1_label1 = g_quark_from_static_string ("IOError")))) {
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 5569 "DuplicityJob.c"
			default:
			{
#line 1041 "../libdeja/duplicity/DuplicityJob.vala"
				if (string_contains (text, "GnuPG")) {
#line 1042 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_report_encryption_error (self);
#line 5576 "DuplicityJob.c"
				} else {
					gboolean _tmp3_ = FALSE;
#line 1043 "../libdeja/duplicity/DuplicityJob.vala"
					if (string_contains (text, "[Errno 5]")) {
#line 5581 "DuplicityJob.c"
						GFile* _tmp4_;
#line 1044 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp4_ = self->priv->last_touched_file;
#line 1044 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp3_ = _tmp4_ != NULL;
#line 5587 "DuplicityJob.c"
					} else {
#line 1043 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp3_ = FALSE;
#line 5591 "DuplicityJob.c"
					}
#line 1043 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp3_) {
#line 5595 "DuplicityJob.c"
						DejaDupToolJobMode _tmp5_;
						DejaDupToolJobMode _tmp6_;
#line 1045 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp5_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1045 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp6_ = _tmp5_;
#line 1045 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp6_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 5604 "DuplicityJob.c"
							GFile* _tmp7_;
							gchar* _tmp8_;
							gchar* _tmp9_;
							gchar* _tmp10_;
							gchar* _tmp11_;
#line 1046 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp7_ = self->priv->last_touched_file;
#line 1046 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp8_ = g_file_get_parse_name (_tmp7_);
#line 1046 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp9_ = _tmp8_;
#line 1046 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp10_ = g_strdup_printf (_ ("Error reading file ‘%s’."), _tmp9_);
#line 1046 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp11_ = _tmp10_;
#line 1046 "../libdeja/duplicity/DuplicityJob.vala"
							duplicity_job_show_error (self, _tmp11_, NULL);
#line 1046 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp11_);
#line 1046 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp9_);
#line 5626 "DuplicityJob.c"
						} else {
							GFile* _tmp12_;
							gchar* _tmp13_;
							gchar* _tmp14_;
							gchar* _tmp15_;
							gchar* _tmp16_;
#line 1048 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp12_ = self->priv->last_touched_file;
#line 1048 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp13_ = g_file_get_parse_name (_tmp12_);
#line 1048 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp14_ = _tmp13_;
#line 1048 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp15_ = g_strdup_printf (_ ("Error writing file ‘%s’."), _tmp14_);
#line 1048 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp16_ = _tmp15_;
#line 1048 "../libdeja/duplicity/DuplicityJob.vala"
							duplicity_job_show_error (self, _tmp16_, NULL);
#line 1048 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp16_);
#line 1048 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp14_);
#line 5649 "DuplicityJob.c"
						}
					} else {
#line 1050 "../libdeja/duplicity/DuplicityJob.vala"
						if (string_contains (text, "[Errno 28]")) {
#line 5654 "DuplicityJob.c"
							gchar* where = NULL;
							DejaDupToolJobMode _tmp17_;
							DejaDupToolJobMode _tmp18_;
							const gchar* _tmp25_;
#line 1051 "../libdeja/duplicity/DuplicityJob.vala"
							where = NULL;
#line 1052 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp17_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1052 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp18_ = _tmp17_;
#line 1052 "../libdeja/duplicity/DuplicityJob.vala"
							if (_tmp18_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 5667 "DuplicityJob.c"
								DejaDupBackend* _tmp19_;
								DejaDupBackend* _tmp20_;
								gchar* _tmp21_;
#line 1053 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp19_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 1053 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp20_ = _tmp19_;
#line 1053 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp21_ = deja_dup_backend_get_location_pretty (_tmp20_);
#line 1053 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (where);
#line 1053 "../libdeja/duplicity/DuplicityJob.vala"
								where = _tmp21_;
#line 5681 "DuplicityJob.c"
							} else {
								GFile* _tmp22_;
								GFile* _tmp23_;
								gchar* _tmp24_;
#line 1055 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp22_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 1055 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp23_ = _tmp22_;
#line 1055 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp24_ = g_file_get_path (_tmp23_);
#line 1055 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (where);
#line 1055 "../libdeja/duplicity/DuplicityJob.vala"
								where = _tmp24_;
#line 5696 "DuplicityJob.c"
							}
#line 1056 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp25_ = where;
#line 1056 "../libdeja/duplicity/DuplicityJob.vala"
							if (_tmp25_ == NULL) {
#line 1057 "../libdeja/duplicity/DuplicityJob.vala"
								duplicity_job_show_error (self, _ ("No space left."), NULL);
#line 5704 "DuplicityJob.c"
							} else {
								const gchar* _tmp26_;
								gchar* _tmp27_;
								gchar* _tmp28_;
#line 1059 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp26_ = where;
#line 1059 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp27_ = g_strdup_printf (_ ("No space left in ‘%s’."), _tmp26_);
#line 1059 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp28_ = _tmp27_;
#line 1059 "../libdeja/duplicity/DuplicityJob.vala"
								duplicity_job_show_error (self, _tmp28_, NULL);
#line 1059 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (_tmp28_);
#line 5719 "DuplicityJob.c"
							}
#line 1050 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (where);
#line 5723 "DuplicityJob.c"
						} else {
#line 1061 "../libdeja/duplicity/DuplicityJob.vala"
							if (string_contains (text, "CRC check failed")) {
#line 1062 "../libdeja/duplicity/DuplicityJob.vala"
								if (duplicity_job_restart_without_cache (self)) {
#line 1063 "../libdeja/duplicity/DuplicityJob.vala"
									return;
#line 5731 "DuplicityJob.c"
								}
							}
						}
					}
				}
#line 1065 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5739 "DuplicityJob.c"
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label2) ? _tmp1_label2 : (_tmp1_label2 = g_quark_from_static_string ("CollectionsError")))) {
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 5745 "DuplicityJob.c"
			default:
			{
#line 1067 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_show_error (self, _ ("No backup files found"), NULL);
#line 1068 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5752 "DuplicityJob.c"
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label3) ? _tmp1_label3 : (_tmp1_label3 = g_quark_from_static_string ("AssertionError")))) {
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 5758 "DuplicityJob.c"
			default:
			{
#line 1074 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart_without_cache (self)) {
#line 1075 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 5765 "DuplicityJob.c"
				}
#line 1076 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5769 "DuplicityJob.c"
			}
		}
	}
#line 1085 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp30_ = self->priv->_error_issued;
#line 1085 "../libdeja/duplicity/DuplicityJob.vala"
	if (!_tmp30_) {
#line 1085 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp29_ = !duplicity_job_restart_without_cache (self);
#line 5779 "DuplicityJob.c"
	} else {
#line 1085 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp29_ = FALSE;
#line 5783 "DuplicityJob.c"
	}
#line 1085 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp29_) {
#line 1086 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_show_error (self, _ ("Failed with an unknown error."), text);
#line 5789 "DuplicityJob.c"
	}
}

static void
duplicity_job_real_process_info (DuplicityJob* self,
                                 gchar** firstline,
                                 gint firstline_length1,
                                 GList* data,
                                 const gchar* text)
{
#line 1089 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text != NULL);
#line 1095 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 1) {
#line 5804 "DuplicityJob.c"
		const gchar* _tmp0_;
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = firstline[1];
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
		switch (atoi (_tmp0_)) {
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_DIFF_FILE_NEW:
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_DIFF_FILE_CHANGED:
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_DIFF_FILE_DELETED:
#line 5816 "DuplicityJob.c"
			{
#line 1100 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 5820 "DuplicityJob.c"
					const gchar* _tmp1_;
#line 1101 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = firstline[2];
#line 1101 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_process_diff_file (self, _tmp1_);
#line 5826 "DuplicityJob.c"
				}
#line 1102 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5830 "DuplicityJob.c"
			}
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_PATCH_FILE_WRITING:
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_PATCH_FILE_PATCHING:
#line 5836 "DuplicityJob.c"
			{
#line 1105 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 5840 "DuplicityJob.c"
					const gchar* _tmp2_;
#line 1106 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp2_ = firstline[2];
#line 1106 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_process_patch_file (self, _tmp2_);
#line 5846 "DuplicityJob.c"
				}
#line 1107 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5850 "DuplicityJob.c"
			}
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_PROGRESS:
#line 5854 "DuplicityJob.c"
			{
#line 1109 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_progress (self, firstline, (gint) firstline_length1);
#line 1110 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5860 "DuplicityJob.c"
			}
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_COLLECTION_STATUS:
#line 5864 "DuplicityJob.c"
			{
#line 1112 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_collection_status (self, data);
#line 1113 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5870 "DuplicityJob.c"
			}
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_SYNCHRONOUS_UPLOAD_BEGIN:
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_ASYNCHRONOUS_UPLOAD_BEGIN:
#line 5876 "DuplicityJob.c"
			{
				DejaDupBackend* _tmp3_;
				DejaDupBackend* _tmp4_;
#line 1116 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 1116 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp4_ = _tmp3_;
#line 1116 "../libdeja/duplicity/DuplicityJob.vala"
				if (!deja_dup_backend_is_native (_tmp4_)) {
#line 1117 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_set_status (self, _ ("Uploading…"), TRUE);
#line 5888 "DuplicityJob.c"
				}
#line 1118 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5892 "DuplicityJob.c"
			}
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_FILE_STAT:
#line 5896 "DuplicityJob.c"
			{
				const gchar* _tmp5_;
				const gchar* _tmp6_;
				const gchar* _tmp7_;
#line 1120 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp5_ = firstline[2];
#line 1120 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp6_ = firstline[3];
#line 1120 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp7_ = firstline[4];
#line 1120 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_file_stat (self, _tmp5_, _tmp6_, _tmp7_, data, text);
#line 1121 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5911 "DuplicityJob.c"
			}
			default:
#line 1096 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 5916 "DuplicityJob.c"
		}
	}
}

void
duplicity_job_process_info (DuplicityJob* self,
                            gchar** firstline,
                            gint firstline_length1,
                            GList* data,
                            const gchar* text)
{
	DuplicityJobClass* _klass_;
#line 1089 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1089 "../libdeja/duplicity/DuplicityJob.vala"
	_klass_ = DUPLICITY_JOB_GET_CLASS (self);
#line 1089 "../libdeja/duplicity/DuplicityJob.vala"
	if (_klass_->process_info) {
#line 1089 "../libdeja/duplicity/DuplicityJob.vala"
		_klass_->process_info (self, firstline, firstline_length1, data, text);
#line 5937 "DuplicityJob.c"
	}
}

static void
duplicity_job_process_file_stat (DuplicityJob* self,
                                 const gchar* date,
                                 const gchar* file,
                                 const gchar* dup_type,
                                 GList* data,
                                 const gchar* text)
{
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	GFileType file_type = 0;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 1126 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1126 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (date != NULL);
#line 1126 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (file != NULL);
#line 1126 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (dup_type != NULL);
#line 1126 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text != NULL);
#line 1128 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1128 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 1128 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp1_ != DEJA_DUP_TOOL_JOB_MODE_LIST) {
#line 1129 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 5972 "DuplicityJob.c"
	}
#line 1130 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_strcmp0 (file, ".") == 0) {
#line 1131 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 5978 "DuplicityJob.c"
	}
#line 1133 "../libdeja/duplicity/DuplicityJob.vala"
	file_type = G_FILE_TYPE_UNKNOWN;
#line 1134 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_strcmp0 (dup_type, "reg") == 0) {
#line 1135 "../libdeja/duplicity/DuplicityJob.vala"
		file_type = G_FILE_TYPE_REGULAR;
#line 5986 "DuplicityJob.c"
	} else {
#line 1136 "../libdeja/duplicity/DuplicityJob.vala"
		if (g_strcmp0 (dup_type, "dir") == 0) {
#line 1137 "../libdeja/duplicity/DuplicityJob.vala"
			file_type = G_FILE_TYPE_DIRECTORY;
#line 5992 "DuplicityJob.c"
		} else {
#line 1138 "../libdeja/duplicity/DuplicityJob.vala"
			if (g_strcmp0 (dup_type, "sym") == 0) {
#line 1139 "../libdeja/duplicity/DuplicityJob.vala"
				file_type = G_FILE_TYPE_SYMBOLIC_LINK;
#line 5998 "DuplicityJob.c"
			}
		}
	}
#line 1141 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = g_strconcat ("/", file, NULL);
#line 1141 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = _tmp2_;
#line 1141 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "listed-current-files", _tmp3_, file_type);
#line 1141 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (_tmp3_);
#line 6010 "DuplicityJob.c"
}

static void
duplicity_job_process_diff_file (DuplicityJob* self,
                                 const gchar* file)
{
	GFile* gfile = NULL;
	GFile* _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
#line 1144 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1144 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (file != NULL);
#line 1145 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = duplicity_job_make_file_obj (self, file);
#line 1145 "../libdeja/duplicity/DuplicityJob.vala"
	gfile = _tmp0_;
#line 1146 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = gfile;
#line 1146 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 1146 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->last_touched_file);
#line 1146 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->last_touched_file = _tmp2_;
#line 1147 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = gfile;
#line 1147 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_file_query_file_type (_tmp3_, G_FILE_QUERY_INFO_NONE, NULL) != G_FILE_TYPE_DIRECTORY) {
#line 6042 "DuplicityJob.c"
		GFile* _tmp4_;
		DuplicityJobState _tmp5_;
#line 1148 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = gfile;
#line 1148 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = self->priv->_state;
#line 1148 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_status_file (self, _tmp4_, _tmp5_ != DUPLICITY_JOB_STATE_DRY_RUN, TRUE);
#line 6051 "DuplicityJob.c"
	}
#line 1144 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (gfile);
#line 6055 "DuplicityJob.c"
}

static void
duplicity_job_process_patch_file (DuplicityJob* self,
                                  const gchar* file)
{
	GFile* gfile = NULL;
	GFile* _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
#line 1151 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1151 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (file != NULL);
#line 1152 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = duplicity_job_make_file_obj (self, file);
#line 1152 "../libdeja/duplicity/DuplicityJob.vala"
	gfile = _tmp0_;
#line 1153 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = gfile;
#line 1153 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 1153 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->last_touched_file);
#line 1153 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->last_touched_file = _tmp2_;
#line 1154 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = gfile;
#line 1154 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_file_query_file_type (_tmp3_, G_FILE_QUERY_INFO_NONE, NULL) != G_FILE_TYPE_DIRECTORY) {
#line 6087 "DuplicityJob.c"
		GFile* _tmp4_;
		DuplicityJobState _tmp5_;
#line 1155 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = gfile;
#line 1155 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = self->priv->_state;
#line 1155 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_status_file (self, _tmp4_, _tmp5_ != DUPLICITY_JOB_STATE_DRY_RUN, TRUE);
#line 6096 "DuplicityJob.c"
	}
#line 1151 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (gfile);
#line 6100 "DuplicityJob.c"
}

static guint64
uint64_parse (const gchar* str,
              guint _base)
{
	guint64 result;
#line 839 "glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 840 "glib-2.0.vapi"
	result = g_ascii_strtoull (str, NULL, _base);
#line 840 "glib-2.0.vapi"
	return result;
#line 6114 "DuplicityJob.c"
}

static gdouble
double_parse (const gchar* str)
{
	gdouble result;
#line 1003 "glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0.0);
#line 1004 "glib-2.0.vapi"
	result = g_ascii_strtod (str, NULL);
#line 1004 "glib-2.0.vapi"
	return result;
#line 6127 "DuplicityJob.c"
}

static void
duplicity_job_process_progress (DuplicityJob* self,
                                gchar** firstline,
                                gint firstline_length1)
{
	gdouble total = 0.0;
	gdouble percent = 0.0;
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1162 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 2) {
#line 6141 "DuplicityJob.c"
		const gchar* _tmp0_;
#line 1163 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = firstline[2];
#line 1163 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->progress_count = uint64_parse (_tmp0_, (guint) 0);
#line 6147 "DuplicityJob.c"
	} else {
#line 1165 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 6151 "DuplicityJob.c"
	}
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 3) {
#line 6155 "DuplicityJob.c"
		const gchar* _tmp1_;
#line 1168 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = firstline[3];
#line 1168 "../libdeja/duplicity/DuplicityJob.vala"
		total = double_parse (_tmp1_);
#line 6161 "DuplicityJob.c"
	} else {
#line 1169 "../libdeja/duplicity/DuplicityJob.vala"
		if (self->priv->progress_total > ((guint64) 0)) {
#line 1170 "../libdeja/duplicity/DuplicityJob.vala"
			total = (gdouble) self->priv->progress_total;
#line 6167 "DuplicityJob.c"
		} else {
#line 1172 "../libdeja/duplicity/DuplicityJob.vala"
			return;
#line 6171 "DuplicityJob.c"
		}
	}
#line 1174 "../libdeja/duplicity/DuplicityJob.vala"
	percent = ((gdouble) self->priv->progress_count) / total;
#line 1175 "../libdeja/duplicity/DuplicityJob.vala"
	if (percent > ((gdouble) 1)) {
#line 1176 "../libdeja/duplicity/DuplicityJob.vala"
		percent = (gdouble) 1;
#line 6180 "DuplicityJob.c"
	}
#line 1177 "../libdeja/duplicity/DuplicityJob.vala"
	if (percent < ((gdouble) 0)) {
#line 1178 "../libdeja/duplicity/DuplicityJob.vala"
		percent = (gdouble) 0;
#line 6186 "DuplicityJob.c"
	}
#line 1179 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "progress", percent);
#line 6190 "DuplicityJob.c"
}

static GFile*
duplicity_job_make_file_obj (DuplicityJob* self,
                             const gchar* file)
{
	GList* _tmp0_;
	GList* _tmp1_;
	GFile* _tmp8_;
	GFile* _tmp9_;
	GFile* result;
#line 1182 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1182 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 1186 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 1186 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 1186 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp1_ != NULL) {
#line 6212 "DuplicityJob.c"
		GFile* local_file = NULL;
		GList* _tmp2_;
		GList* _tmp3_;
		gconstpointer _tmp4_;
		GFile* _tmp5_;
		GFile* _tmp6_;
		GFile* _tmp7_;
#line 1187 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 1187 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = _tmp2_;
#line 1187 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = _tmp3_->data;
#line 1187 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = duplicity_job_make_local_rel_path (self, (GFile*) _tmp4_);
#line 1187 "../libdeja/duplicity/DuplicityJob.vala"
		local_file = _tmp5_;
#line 1188 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = local_file;
#line 1188 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = g_file_resolve_relative_path (_tmp6_, file);
#line 1188 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp7_;
#line 1188 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (local_file);
#line 1188 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 6240 "DuplicityJob.c"
	}
#line 1192 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp8_ = duplicity_job_slash;
#line 1192 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp9_ = g_file_resolve_relative_path (_tmp8_, file);
#line 1192 "../libdeja/duplicity/DuplicityJob.vala"
	result = _tmp9_;
#line 1192 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 6250 "DuplicityJob.c"
}

static gint
__lambda30_ (DuplicityJob* self,
             GDateTime* a,
             GDateTime* b)
{
	gint result;
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
	result = g_date_time_compare (a, b);
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 6267 "DuplicityJob.c"
}

static gint
___lambda30__gcompare_data_func (gconstpointer a,
                                 gconstpointer b,
                                 gpointer self)
{
	gint result;
	result = __lambda30_ ((DuplicityJob*) self, (GDateTime*) a, (GDateTime*) b);
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 6279 "DuplicityJob.c"
}

static void
_g_date_time_unref0_ (gpointer var)
{
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
	(var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL));
#line 6287 "DuplicityJob.c"
}

static gint
string_index_of (const gchar* self,
                 const gchar* needle,
                 gint start_index)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gint result;
#line 1184 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 1184 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, 0);
#line 1185 "glib-2.0.vapi"
	_tmp0_ = strstr (((gchar*) self) + start_index, (gchar*) needle);
#line 1185 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1187 "glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1187 "glib-2.0.vapi"
	if (_tmp1_ != NULL) {
#line 6311 "DuplicityJob.c"
		gchar* _tmp2_;
#line 1188 "glib-2.0.vapi"
		_tmp2_ = _result_;
#line 1188 "glib-2.0.vapi"
		result = (gint) (_tmp2_ - ((gchar*) self));
#line 1188 "glib-2.0.vapi"
		return result;
#line 6319 "DuplicityJob.c"
	} else {
#line 1190 "glib-2.0.vapi"
		result = -1;
#line 1190 "glib-2.0.vapi"
		return result;
#line 6325 "DuplicityJob.c"
	}
}

static gchar
string_get (const gchar* self,
            glong index)
{
	gchar _tmp0_;
	gchar result;
#line 1283 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, '\0');
#line 1284 "glib-2.0.vapi"
	_tmp0_ = ((gchar*) self)[index];
#line 1284 "glib-2.0.vapi"
	result = _tmp0_;
#line 1284 "glib-2.0.vapi"
	return result;
#line 6343 "DuplicityJob.c"
}

static gpointer
_duplicity_job_date_info_dup0 (gpointer self)
{
#line 1232 "../libdeja/duplicity/DuplicityJob.vala"
	return self ? duplicity_job_date_info_dup (self) : NULL;
#line 6351 "DuplicityJob.c"
}

static void
duplicity_job_process_collection_status (DuplicityJob* self,
                                         GList* lines)
{
	gboolean _tmp0_ = FALSE;
	DejaDupToolJobMode _tmp1_;
	DejaDupToolJobMode _tmp2_;
	GTree* dates = NULL;
	GTree* _tmp3_;
	GList* infos = NULL;
	gboolean in_chain = FALSE;
	GList* _tmp42_;
	GTree* _tmp48_;
#line 1195 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1205 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1205 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _tmp1_;
#line 1205 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_ != DEJA_DUP_TOOL_JOB_MODE_STATUS) {
#line 1205 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = TRUE;
#line 6377 "DuplicityJob.c"
	} else {
#line 1205 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = self->priv->got_collection_info;
#line 6381 "DuplicityJob.c"
	}
#line 1205 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_) {
#line 1206 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 6387 "DuplicityJob.c"
	}
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = g_tree_new_full (___lambda30__gcompare_data_func, self, _g_date_time_unref0_, _g_free0_);
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
	dates = _tmp3_;
#line 1209 "../libdeja/duplicity/DuplicityJob.vala"
	infos = NULL;
#line 1210 "../libdeja/duplicity/DuplicityJob.vala"
	in_chain = FALSE;
#line 6397 "DuplicityJob.c"
	{
		GList* line_collection = NULL;
		GList* line_it = NULL;
#line 1211 "../libdeja/duplicity/DuplicityJob.vala"
		line_collection = lines;
#line 1211 "../libdeja/duplicity/DuplicityJob.vala"
		for (line_it = line_collection; line_it != NULL; line_it = line_it->next) {
#line 6405 "DuplicityJob.c"
			gchar* _tmp4_;
			gchar* line = NULL;
#line 1211 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp4_ = g_strdup ((const gchar*) line_it->data);
#line 1211 "../libdeja/duplicity/DuplicityJob.vala"
			line = _tmp4_;
#line 6412 "DuplicityJob.c"
			{
				gboolean _tmp5_ = FALSE;
				const gchar* _tmp6_;
#line 1212 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp6_ = line;
#line 1212 "../libdeja/duplicity/DuplicityJob.vala"
				if (g_strcmp0 (_tmp6_, "chain-complete") == 0) {
#line 1212 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = TRUE;
#line 6422 "DuplicityJob.c"
				} else {
					const gchar* _tmp7_;
#line 1212 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp7_ = line;
#line 1212 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = string_index_of (_tmp7_, "chain-no-sig", 0) == 0;
#line 6429 "DuplicityJob.c"
				}
#line 1212 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp5_) {
#line 1213 "../libdeja/duplicity/DuplicityJob.vala"
					in_chain = TRUE;
#line 6435 "DuplicityJob.c"
				} else {
					gboolean _tmp8_ = FALSE;
					gboolean _tmp9_ = FALSE;
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
					if (in_chain) {
#line 6441 "DuplicityJob.c"
						const gchar* _tmp10_;
						gint _tmp11_;
						gint _tmp12_;
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp10_ = line;
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp11_ = strlen (_tmp10_);
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp12_ = _tmp11_;
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp9_ = _tmp12_ > 0;
#line 6453 "DuplicityJob.c"
					} else {
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp9_ = FALSE;
#line 6457 "DuplicityJob.c"
					}
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp9_) {
#line 6461 "DuplicityJob.c"
						const gchar* _tmp13_;
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp13_ = line;
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp8_ = string_get (_tmp13_, (glong) 0) == ' ';
#line 6467 "DuplicityJob.c"
					} else {
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp8_ = FALSE;
#line 6471 "DuplicityJob.c"
					}
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp8_) {
#line 6475 "DuplicityJob.c"
						gchar** tokens = NULL;
						const gchar* _tmp14_;
						gchar** _tmp15_;
						gchar** _tmp16_;
						gint tokens_length1;
						gint _tokens_size_;
						gchar** _tmp17_;
						gint _tmp17__length1;
						GDateTime* datetime = NULL;
						gchar** _tmp18_;
						gint _tmp18__length1;
						const gchar* _tmp19_;
						GTimeZone* _tmp20_;
						GTimeZone* _tmp21_;
						GDateTime* _tmp22_;
						GDateTime* _tmp23_;
						GDateTime* _tmp24_;
						GTree* _tmp25_;
						GDateTime* _tmp26_;
						GDateTime* _tmp27_;
						gchar** _tmp28_;
						gint _tmp28__length1;
						const gchar* _tmp29_;
						gchar* _tmp30_;
						DuplicityJobDateInfo info = {0};
						GDateTime* _tmp31_;
						GDateTime* _tmp32_;
						gchar** _tmp33_;
						gint _tmp33__length1;
						const gchar* _tmp34_;
						DuplicityJobDateInfo _tmp35_;
						DuplicityJobDateInfo _tmp36_;
						DuplicityJobDateInfo* _tmp37_;
						gboolean _tmp38_ = FALSE;
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp14_ = line;
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp16_ = _tmp15_ = g_strsplit (_tmp14_, " ", 0);
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
						tokens = _tmp16_;
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
						tokens_length1 = _vala_array_length (_tmp15_);
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
						_tokens_size_ = tokens_length1;
#line 1220 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp17_ = tokens;
#line 1220 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp17__length1 = tokens_length1;
#line 1220 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp17__length1 <= 2) {
#line 1221 "../libdeja/duplicity/DuplicityJob.vala"
							tokens = (_vala_array_free (tokens, tokens_length1, (GDestroyNotify) g_free), NULL);
#line 1221 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (line);
#line 1221 "../libdeja/duplicity/DuplicityJob.vala"
							continue;
#line 6532 "DuplicityJob.c"
						}
#line 1223 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp18_ = tokens;
#line 1223 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp18__length1 = tokens_length1;
#line 1223 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp19_ = _tmp18_[2];
#line 1223 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp20_ = g_time_zone_new_utc ();
#line 1223 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp21_ = _tmp20_;
#line 1223 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp22_ = g_date_time_new_from_iso8601 (_tmp19_, _tmp21_);
#line 1223 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp23_ = _tmp22_;
#line 1223 "../libdeja/duplicity/DuplicityJob.vala"
						_g_time_zone_unref0 (_tmp21_);
#line 1223 "../libdeja/duplicity/DuplicityJob.vala"
						datetime = _tmp23_;
#line 1224 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp24_ = datetime;
#line 1224 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp24_ == NULL) {
#line 1225 "../libdeja/duplicity/DuplicityJob.vala"
							_g_date_time_unref0 (datetime);
#line 1225 "../libdeja/duplicity/DuplicityJob.vala"
							tokens = (_vala_array_free (tokens, tokens_length1, (GDestroyNotify) g_free), NULL);
#line 1225 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (line);
#line 1225 "../libdeja/duplicity/DuplicityJob.vala"
							continue;
#line 6564 "DuplicityJob.c"
						}
#line 1227 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp25_ = dates;
#line 1227 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp26_ = datetime;
#line 1227 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp27_ = _g_date_time_ref0 (_tmp26_);
#line 1227 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp28_ = tokens;
#line 1227 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp28__length1 = tokens_length1;
#line 1227 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp29_ = _tmp28_[2];
#line 1227 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp30_ = g_strdup (_tmp29_);
#line 1227 "../libdeja/duplicity/DuplicityJob.vala"
						g_tree_insert (_tmp25_, _tmp27_, _tmp30_);
#line 1229 "../libdeja/duplicity/DuplicityJob.vala"
						memset (&info, 0, sizeof (DuplicityJobDateInfo));
#line 1230 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp31_ = datetime;
#line 1230 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp32_ = _g_date_time_ref0 (_tmp31_);
#line 1230 "../libdeja/duplicity/DuplicityJob.vala"
						_g_date_time_unref0 (info.time);
#line 1230 "../libdeja/duplicity/DuplicityJob.vala"
						info.time = _tmp32_;
#line 1231 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp33_ = tokens;
#line 1231 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp33__length1 = tokens_length1;
#line 1231 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp34_ = _tmp33_[1];
#line 1231 "../libdeja/duplicity/DuplicityJob.vala"
						info.full = g_strcmp0 (_tmp34_, "full") == 0;
#line 1232 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp35_ = info;
#line 1232 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp36_ = _tmp35_;
#line 1232 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp37_ = _duplicity_job_date_info_dup0 (&_tmp36_);
#line 1232 "../libdeja/duplicity/DuplicityJob.vala"
						infos = g_list_append (infos, _tmp37_);
#line 1234 "../libdeja/duplicity/DuplicityJob.vala"
						if (!self->priv->detected_encryption) {
#line 6610 "DuplicityJob.c"
							gchar** _tmp39_;
							gint _tmp39__length1;
#line 1234 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp39_ = tokens;
#line 1234 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp39__length1 = tokens_length1;
#line 1234 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp38_ = _tmp39__length1 > 4;
#line 6619 "DuplicityJob.c"
						} else {
#line 1234 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp38_ = FALSE;
#line 6623 "DuplicityJob.c"
						}
#line 1234 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp38_) {
#line 6627 "DuplicityJob.c"
							gchar** _tmp40_;
							gint _tmp40__length1;
							const gchar* _tmp41_;
#line 1237 "../libdeja/duplicity/DuplicityJob.vala"
							self->priv->detected_encryption = TRUE;
#line 1238 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp40_ = tokens;
#line 1238 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp40__length1 = tokens_length1;
#line 1238 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp41_ = _tmp40_[4];
#line 1238 "../libdeja/duplicity/DuplicityJob.vala"
							self->priv->existing_encrypted = g_strcmp0 (_tmp41_, "enc") == 0;
#line 6641 "DuplicityJob.c"
						}
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						duplicity_job_date_info_destroy (&info);
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						_g_date_time_unref0 (datetime);
#line 1214 "../libdeja/duplicity/DuplicityJob.vala"
						tokens = (_vala_array_free (tokens, tokens_length1, (GDestroyNotify) g_free), NULL);
#line 6649 "DuplicityJob.c"
					} else {
#line 1241 "../libdeja/duplicity/DuplicityJob.vala"
						if (in_chain) {
#line 1242 "../libdeja/duplicity/DuplicityJob.vala"
							in_chain = FALSE;
#line 6655 "DuplicityJob.c"
						}
					}
				}
#line 1211 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (line);
#line 6661 "DuplicityJob.c"
			}
		}
	}
#line 1245 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->got_collection_info = TRUE;
#line 1246 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->collection_info == NULL) ? NULL : (self->priv->collection_info = (_g_list_free__duplicity_job_date_info_free0_ (self->priv->collection_info), NULL));
#line 1246 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->collection_info = NULL;
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp42_ = infos;
#line 6673 "DuplicityJob.c"
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = _tmp42_;
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 6681 "DuplicityJob.c"
			DuplicityJobDateInfo _tmp43_;
			DuplicityJobDateInfo _tmp44_ = {0};
			DuplicityJobDateInfo s = {0};
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp43_ = *((DuplicityJobDateInfo*) s_it->data);
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_date_info_copy (&_tmp43_, &_tmp44_);
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp44_;
#line 6691 "DuplicityJob.c"
			{
				DuplicityJobDateInfo _tmp45_;
				DuplicityJobDateInfo _tmp46_;
				DuplicityJobDateInfo* _tmp47_;
#line 1248 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp45_ = s;
#line 1248 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp46_ = _tmp45_;
#line 1248 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp47_ = _duplicity_job_date_info_dup0 (&_tmp46_);
#line 1248 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->collection_info = g_list_append (self->priv->collection_info, _tmp47_);
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_date_info_destroy (&s);
#line 6706 "DuplicityJob.c"
			}
		}
	}
#line 1250 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp48_ = dates;
#line 1250 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "collection-dates", _tmp48_);
#line 1195 "../libdeja/duplicity/DuplicityJob.vala"
	(infos == NULL) ? NULL : (infos = (_g_list_free__duplicity_job_date_info_free0_ (infos), NULL));
#line 1195 "../libdeja/duplicity/DuplicityJob.vala"
	_g_tree_unref0 (dates);
#line 6718 "DuplicityJob.c"
}

static gboolean
duplicity_job_is_file_in_list (DuplicityJob* self,
                               GFile* file,
                               GList* list)
{
	gboolean result;
#line 1253 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1253 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, FALSE);
#line 6731 "DuplicityJob.c"
	{
		GList* f_collection = NULL;
		GList* f_it = NULL;
#line 1255 "../libdeja/duplicity/DuplicityJob.vala"
		f_collection = list;
#line 1255 "../libdeja/duplicity/DuplicityJob.vala"
		for (f_it = f_collection; f_it != NULL; f_it = f_it->next) {
#line 6739 "DuplicityJob.c"
			GFile* _tmp0_;
			GFile* f = NULL;
#line 1255 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp0_ = _g_object_ref0 ((GFile*) f_it->data);
#line 1255 "../libdeja/duplicity/DuplicityJob.vala"
			f = _tmp0_;
#line 6746 "DuplicityJob.c"
			{
				GFile* _tmp1_;
#line 1256 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp1_ = f;
#line 1256 "../libdeja/duplicity/DuplicityJob.vala"
				if (g_file_equal (file, _tmp1_)) {
#line 1257 "../libdeja/duplicity/DuplicityJob.vala"
					result = TRUE;
#line 1257 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (f);
#line 1257 "../libdeja/duplicity/DuplicityJob.vala"
					return result;
#line 6759 "DuplicityJob.c"
				}
#line 1255 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (f);
#line 6763 "DuplicityJob.c"
			}
		}
	}
#line 1259 "../libdeja/duplicity/DuplicityJob.vala"
	result = FALSE;
#line 1259 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 6771 "DuplicityJob.c"
}

static gboolean
duplicity_job_is_file_in_or_under_list (DuplicityJob* self,
                                        GFile* file,
                                        GList* list)
{
	gboolean result;
#line 1262 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1262 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, FALSE);
#line 6784 "DuplicityJob.c"
	{
		GList* f_collection = NULL;
		GList* f_it = NULL;
#line 1264 "../libdeja/duplicity/DuplicityJob.vala"
		f_collection = list;
#line 1264 "../libdeja/duplicity/DuplicityJob.vala"
		for (f_it = f_collection; f_it != NULL; f_it = f_it->next) {
#line 6792 "DuplicityJob.c"
			GFile* _tmp0_;
			GFile* f = NULL;
#line 1264 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp0_ = _g_object_ref0 ((GFile*) f_it->data);
#line 1264 "../libdeja/duplicity/DuplicityJob.vala"
			f = _tmp0_;
#line 6799 "DuplicityJob.c"
			{
				gboolean _tmp1_ = FALSE;
				GFile* _tmp2_;
#line 1265 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = f;
#line 1265 "../libdeja/duplicity/DuplicityJob.vala"
				if (g_file_equal (file, _tmp2_)) {
#line 1265 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = TRUE;
#line 6809 "DuplicityJob.c"
				} else {
					GFile* _tmp3_;
#line 1265 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp3_ = f;
#line 1265 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = g_file_has_prefix (file, _tmp3_);
#line 6816 "DuplicityJob.c"
				}
#line 1265 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp1_) {
#line 1266 "../libdeja/duplicity/DuplicityJob.vala"
					result = TRUE;
#line 1266 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (f);
#line 1266 "../libdeja/duplicity/DuplicityJob.vala"
					return result;
#line 6826 "DuplicityJob.c"
				}
#line 1264 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (f);
#line 6830 "DuplicityJob.c"
			}
		}
	}
#line 1268 "../libdeja/duplicity/DuplicityJob.vala"
	result = FALSE;
#line 1268 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 6838 "DuplicityJob.c"
}

static void
duplicity_job_real_process_warning (DuplicityJob* self,
                                    gchar** firstline,
                                    gint firstline_length1,
                                    GList* data,
                                    const gchar* text)
{
#line 1271 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text != NULL);
#line 1274 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 1) {
#line 6852 "DuplicityJob.c"
		const gchar* _tmp0_;
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = firstline[1];
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
		switch (atoi (_tmp0_)) {
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_ORPHANED_SIG:
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_UNNECESSARY_SIG:
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_UNMATCHED_SIG:
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_INCOMPLETE_BACKUP:
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_ORPHANED_BACKUP:
#line 6868 "DuplicityJob.c"
			{
				gboolean _tmp1_ = FALSE;
				DejaDupToolJobMode _tmp2_;
				DejaDupToolJobMode _tmp3_;
#line 1285 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1285 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = _tmp2_;
#line 1285 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp3_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 1285 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = !self->priv->cleaned_up_once;
#line 6881 "DuplicityJob.c"
				} else {
#line 1285 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = FALSE;
#line 6885 "DuplicityJob.c"
				}
#line 1285 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp1_) {
#line 1286 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_cleanup (self);
#line 6891 "DuplicityJob.c"
				}
#line 1287 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 6895 "DuplicityJob.c"
			}
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_CANNOT_STAT:
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_CANNOT_READ:
#line 6901 "DuplicityJob.c"
			{
#line 1293 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 6905 "DuplicityJob.c"
					GFile* error_file = NULL;
					const gchar* _tmp4_;
					GFile* _tmp5_;
					gboolean _tmp6_ = FALSE;
					GFile* _tmp7_;
					GList* _tmp8_;
#line 1300 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = firstline[2];
#line 1300 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = duplicity_job_make_file_obj (self, _tmp4_);
#line 1300 "../libdeja/duplicity/DuplicityJob.vala"
					error_file = _tmp5_;
#line 1301 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp7_ = error_file;
#line 1301 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp8_ = ((DejaDupToolJob*) self)->includes;
#line 1301 "../libdeja/duplicity/DuplicityJob.vala"
					if (duplicity_job_is_file_in_or_under_list (self, _tmp7_, _tmp8_)) {
#line 6924 "DuplicityJob.c"
						GFile* _tmp9_;
						GList* _tmp10_;
#line 1302 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp9_ = error_file;
#line 1302 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp10_ = ((DejaDupToolJob*) self)->excludes;
#line 1302 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp6_ = !duplicity_job_is_file_in_list (self, _tmp9_, _tmp10_);
#line 6933 "DuplicityJob.c"
					} else {
#line 1301 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp6_ = FALSE;
#line 6937 "DuplicityJob.c"
					}
#line 1301 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp6_) {
#line 6941 "DuplicityJob.c"
						GFile* _tmp11_;
						gchar* _tmp12_;
						gchar* _tmp13_;
#line 1303 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp11_ = error_file;
#line 1303 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp12_ = g_file_get_parse_name (_tmp11_);
#line 1303 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp13_ = _tmp12_;
#line 1303 "../libdeja/duplicity/DuplicityJob.vala"
						g_signal_emit_by_name ((DejaDupToolJob*) self, "local-file-error", _tmp13_);
#line 1303 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (_tmp13_);
#line 6955 "DuplicityJob.c"
					}
#line 1293 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (error_file);
#line 6959 "DuplicityJob.c"
				}
#line 1305 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 6963 "DuplicityJob.c"
			}
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_CANNOT_PROCESS:
#line 6967 "DuplicityJob.c"
			{
#line 1310 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 6971 "DuplicityJob.c"
					GFile* error_file = NULL;
					const gchar* _tmp14_;
					GFile* _tmp15_;
					gboolean _tmp16_ = FALSE;
					GFile* _tmp17_;
					GFile* _tmp18_;
#line 1314 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp14_ = firstline[2];
#line 1314 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp15_ = duplicity_job_make_file_obj (self, _tmp14_);
#line 1314 "../libdeja/duplicity/DuplicityJob.vala"
					error_file = _tmp15_;
#line 1315 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp17_ = error_file;
#line 1315 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp18_ = duplicity_job_slash;
#line 1315 "../libdeja/duplicity/DuplicityJob.vala"
					if (!g_file_equal (_tmp17_, _tmp18_)) {
#line 1316 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp16_ = !string_contains (text, "[Errno 1]");
#line 6992 "DuplicityJob.c"
					} else {
#line 1315 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp16_ = FALSE;
#line 6996 "DuplicityJob.c"
					}
#line 1315 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp16_) {
#line 7000 "DuplicityJob.c"
						GFile* _tmp19_;
						gchar* _tmp20_;
						gchar* _tmp21_;
#line 1317 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp19_ = error_file;
#line 1317 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp20_ = g_file_get_parse_name (_tmp19_);
#line 1317 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp21_ = _tmp20_;
#line 1317 "../libdeja/duplicity/DuplicityJob.vala"
						g_signal_emit_by_name ((DejaDupToolJob*) self, "local-file-error", _tmp21_);
#line 1317 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (_tmp21_);
#line 7014 "DuplicityJob.c"
					}
#line 1310 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (error_file);
#line 7018 "DuplicityJob.c"
				}
#line 1319 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 7022 "DuplicityJob.c"
			}
			default:
#line 1275 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 7027 "DuplicityJob.c"
		}
	}
}

void
duplicity_job_process_warning (DuplicityJob* self,
                               gchar** firstline,
                               gint firstline_length1,
                               GList* data,
                               const gchar* text)
{
	DuplicityJobClass* _klass_;
#line 1271 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1271 "../libdeja/duplicity/DuplicityJob.vala"
	_klass_ = DUPLICITY_JOB_GET_CLASS (self);
#line 1271 "../libdeja/duplicity/DuplicityJob.vala"
	if (_klass_->process_warning) {
#line 1271 "../libdeja/duplicity/DuplicityJob.vala"
		_klass_->process_warning (self, firstline, firstline_length1, data, text);
#line 7048 "DuplicityJob.c"
	}
}

static void
duplicity_job_show_error (DuplicityJob* self,
                          const gchar* errorstr,
                          const gchar* detail)
{
	gboolean _tmp0_;
#line 1324 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1324 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (errorstr != NULL);
#line 1326 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->_error_issued;
#line 1326 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ == FALSE) {
#line 1327 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_error_issued (self, TRUE);
#line 1328 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) self, "raise-error", errorstr, detail);
#line 7070 "DuplicityJob.c"
	}
}

static gint
duplicity_job_get_volsize (DuplicityJob* self)
{
	gint result;
#line 1333 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 1353 "../libdeja/duplicity/DuplicityJob.vala"
	if (deja_dup_in_testing_mode ()) {
#line 1354 "../libdeja/duplicity/DuplicityJob.vala"
		result = 1;
#line 1354 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 7086 "DuplicityJob.c"
	} else {
#line 1356 "../libdeja/duplicity/DuplicityJob.vala"
		result = 200;
#line 1356 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 7092 "DuplicityJob.c"
	}
}

static void
_duplicity_job_handle_done_duplicity_instance_done (DuplicityInstance* _sender,
                                                    gboolean success,
                                                    gboolean cancelled,
                                                    gpointer self)
{
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_handle_done ((DuplicityJob*) self, _sender, success, cancelled);
#line 7104 "DuplicityJob.c"
}

static void
_duplicity_job_handle_message_duplicity_instance_message (DuplicityInstance* _sender,
                                                          gchar** control_line,
                                                          gint control_line_length1,
                                                          GList* data_lines,
                                                          const gchar* user_text,
                                                          gpointer self)
{
#line 1364 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_handle_message ((DuplicityJob*) self, _sender, control_line, control_line_length1, data_lines, user_text);
#line 7117 "DuplicityJob.c"
}

static void
_duplicity_job_handle_exit_duplicity_instance_exited (DuplicityInstance* _sender,
                                                      gint code,
                                                      gpointer self)
{
#line 1365 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_handle_exit ((DuplicityJob*) self, code);
#line 7127 "DuplicityJob.c"
}

static void
duplicity_job_disconnect_inst (DuplicityJob* self)
{
	DuplicityInstance* _tmp0_;
#line 1359 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1362 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->inst;
#line 1362 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ != NULL) {
#line 7140 "DuplicityJob.c"
		DuplicityInstance* _tmp1_;
		guint _tmp2_;
		DuplicityInstance* _tmp3_;
		guint _tmp4_;
		DuplicityInstance* _tmp5_;
		guint _tmp6_;
		DuplicityInstance* _tmp7_;
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->inst;
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_parse_name ("done", TYPE_DUPLICITY_INSTANCE, &_tmp2_, NULL, FALSE);
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_handlers_disconnect_matched (_tmp1_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp2_, 0, NULL, (GCallback) _duplicity_job_handle_done_duplicity_instance_done, self);
#line 1364 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = self->priv->inst;
#line 1364 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_parse_name ("message", TYPE_DUPLICITY_INSTANCE, &_tmp4_, NULL, FALSE);
#line 1364 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_handlers_disconnect_matched (_tmp3_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp4_, 0, NULL, (GCallback) _duplicity_job_handle_message_duplicity_instance_message, self);
#line 1365 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = self->priv->inst;
#line 1365 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_parse_name ("exited", TYPE_DUPLICITY_INSTANCE, &_tmp6_, NULL, FALSE);
#line 1365 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_handlers_disconnect_matched (_tmp5_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp6_, 0, NULL, (GCallback) _duplicity_job_handle_exit_duplicity_instance_exited, self);
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = self->priv->inst;
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_instance_cancel (_tmp7_);
#line 1367 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (self->priv->inst);
#line 1367 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->inst = NULL;
#line 7174 "DuplicityJob.c"
	}
}

static void
duplicity_job_connect_and_start (DuplicityJob* self,
                                 GList* argv_extra,
                                 GList* envp_extra,
                                 GList* argv_entire,
                                 GFile* custom_local)
{
	DuplicityInstance* _tmp0_;
	DuplicityInstance* _tmp1_;
	const gchar* _tmp2_;
	DuplicityInstance* _tmp5_;
	DuplicityInstance* _tmp6_;
	GList* _tmp7_ = NULL;
	GList* base_argv = NULL;
	GFile* _tmp9_ = NULL;
	GFile* local_arg = NULL;
	GList* argv = NULL;
	GList* _tmp12_;
	GList* envp = NULL;
	GList* _tmp59_;
	gboolean use_encryption = FALSE;
	DuplicityInstance* _tmp80_;
	GList* _tmp81_;
	GList* _tmp82_;
#line 1371 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1380 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_disconnect_inst (self);
#line 1383 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = duplicity_instance_new ();
#line 1383 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->inst);
#line 1383 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->inst = _tmp0_;
#line 1384 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = self->priv->inst;
#line 1384 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_connect_object (_tmp1_, "done", (GCallback) _duplicity_job_handle_done_duplicity_instance_done, self, 0);
#line 1386 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = self->priv->forced_cache_dir;
#line 1386 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_ != NULL) {
#line 7220 "DuplicityJob.c"
		DuplicityInstance* _tmp3_;
		const gchar* _tmp4_;
#line 1387 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = self->priv->inst;
#line 1387 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = self->priv->forced_cache_dir;
#line 1387 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_instance_set_forced_cache_dir (_tmp3_, _tmp4_);
#line 7229 "DuplicityJob.c"
	}
#line 1390 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = self->priv->inst;
#line 1390 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_connect_object (_tmp5_, "message", (GCallback) _duplicity_job_handle_message_duplicity_instance_message, self, 0);
#line 1393 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp6_ = self->priv->inst;
#line 1393 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_connect_object (_tmp6_, "exited", (GCallback) _duplicity_job_handle_exit_duplicity_instance_exited, self, 0);
#line 1396 "../libdeja/duplicity/DuplicityJob.vala"
	if (argv_entire == NULL) {
#line 7241 "DuplicityJob.c"
		GList* _tmp8_;
#line 1396 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp8_ = self->priv->saved_argv;
#line 1396 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = _tmp8_;
#line 7247 "DuplicityJob.c"
	} else {
#line 1396 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = argv_entire;
#line 7251 "DuplicityJob.c"
	}
#line 1396 "../libdeja/duplicity/DuplicityJob.vala"
	base_argv = _tmp7_;
#line 1397 "../libdeja/duplicity/DuplicityJob.vala"
	if (custom_local == NULL) {
#line 7257 "DuplicityJob.c"
		GFile* _tmp10_;
		GFile* _tmp11_;
#line 1397 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp10_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 1397 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp11_ = _tmp10_;
#line 1397 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp9_ = _tmp11_;
#line 7266 "DuplicityJob.c"
	} else {
#line 1397 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp9_ = custom_local;
#line 7270 "DuplicityJob.c"
	}
#line 1397 "../libdeja/duplicity/DuplicityJob.vala"
	local_arg = _tmp9_;
#line 1399 "../libdeja/duplicity/DuplicityJob.vala"
	argv = NULL;
#line 1400 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp12_ = base_argv;
#line 7278 "DuplicityJob.c"
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1400 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = _tmp12_;
#line 1400 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 7286 "DuplicityJob.c"
			gchar* _tmp13_;
			gchar* s = NULL;
#line 1400 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp13_ = g_strdup ((const gchar*) s_it->data);
#line 1400 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp13_;
#line 7293 "DuplicityJob.c"
			{
				const gchar* _tmp14_;
				gchar* _tmp15_;
#line 1400 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp14_ = s;
#line 1400 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp15_ = g_strdup (_tmp14_);
#line 1400 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp15_);
#line 1400 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (s);
#line 7305 "DuplicityJob.c"
			}
		}
	}
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1401 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = argv_extra;
#line 1401 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 7316 "DuplicityJob.c"
			gchar* _tmp16_;
			gchar* s = NULL;
#line 1401 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp16_ = g_strdup ((const gchar*) s_it->data);
#line 1401 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp16_;
#line 7323 "DuplicityJob.c"
			{
				const gchar* _tmp17_;
				gchar* _tmp18_;
#line 1401 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp17_ = s;
#line 1401 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp18_ = g_strdup (_tmp17_);
#line 1401 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp18_);
#line 1401 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (s);
#line 7335 "DuplicityJob.c"
			}
		}
	}
#line 1404 "../libdeja/duplicity/DuplicityJob.vala"
	if (argv_entire == NULL) {
#line 7341 "DuplicityJob.c"
		DejaDupToolJobMode _tmp19_;
		DejaDupToolJobMode _tmp20_;
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp19_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp20_ = _tmp19_;
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
		switch (_tmp20_) {
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
			case DEJA_DUP_TOOL_JOB_MODE_BACKUP:
#line 7352 "DuplicityJob.c"
			{
				const gchar* _tmp21_ = NULL;
				gchar* _tmp22_;
				GList* _tmp23_;
				gchar* _tmp27_;
				GFile* _tmp28_;
				gchar* _tmp29_;
				gchar* _tmp30_;
#line 1408 "../libdeja/duplicity/DuplicityJob.vala"
				if (self->priv->is_full_backup) {
#line 1408 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp21_ = "full";
#line 7365 "DuplicityJob.c"
				} else {
#line 1408 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp21_ = "incremental";
#line 7369 "DuplicityJob.c"
				}
#line 1408 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp22_ = g_strdup (_tmp21_);
#line 1408 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_prepend (argv, _tmp22_);
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp23_ = self->priv->includes_argv;
#line 7377 "DuplicityJob.c"
				{
					GList* s_collection = NULL;
					GList* s_it = NULL;
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
					s_collection = _tmp23_;
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
					for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 7385 "DuplicityJob.c"
						gchar* _tmp24_;
						gchar* s = NULL;
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp24_ = g_strdup ((const gchar*) s_it->data);
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
						s = _tmp24_;
#line 7392 "DuplicityJob.c"
						{
							const gchar* _tmp25_;
							gchar* _tmp26_;
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp25_ = s;
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp26_ = g_strdup (_tmp25_);
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
							argv = g_list_append (argv, _tmp26_);
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (s);
#line 7404 "DuplicityJob.c"
						}
					}
				}
#line 1410 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp27_ = g_strdup_printf ("--volsize=%d", duplicity_job_get_volsize (self));
#line 1410 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp27_);
#line 1411 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp28_ = local_arg;
#line 1411 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp29_ = g_file_get_path (_tmp28_);
#line 1411 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp29_);
#line 1412 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp30_ = duplicity_job_get_remote (self);
#line 1412 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp30_);
#line 1413 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 7424 "DuplicityJob.c"
			}
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
			case DEJA_DUP_TOOL_JOB_MODE_RESTORE:
#line 7428 "DuplicityJob.c"
			{
				gchar* _tmp31_;
				gboolean _tmp32_ = FALSE;
				const gchar* _tmp33_;
				const gchar* _tmp34_;
				const gchar* _tmp40_ = NULL;
				gboolean _tmp41_;
				gchar* _tmp42_;
				gchar* _tmp43_;
				gchar* _tmp44_;
				GFile* _tmp45_;
				gchar* _tmp46_;
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp31_ = g_strdup ("restore");
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_prepend (argv, _tmp31_);
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp33_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp34_ = _tmp33_;
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp34_ != NULL) {
#line 7451 "DuplicityJob.c"
					const gchar* _tmp35_;
					const gchar* _tmp36_;
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp35_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp36_ = _tmp35_;
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp32_ = g_strcmp0 (_tmp36_, "now") != 0;
#line 7460 "DuplicityJob.c"
				} else {
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp32_ = FALSE;
#line 7464 "DuplicityJob.c"
				}
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp32_) {
#line 7468 "DuplicityJob.c"
					const gchar* _tmp37_;
					const gchar* _tmp38_;
					gchar* _tmp39_;
#line 1417 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp37_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1417 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp38_ = _tmp37_;
#line 1417 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp39_ = g_strdup_printf ("--time=%s", _tmp38_);
#line 1417 "../libdeja/duplicity/DuplicityJob.vala"
					argv = g_list_append (argv, _tmp39_);
#line 7480 "DuplicityJob.c"
				}
#line 1421 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp41_ = self->priv->_version1_cli;
#line 1421 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp41_) {
#line 1421 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp40_ = "--do-not-restore-ownership";
#line 7488 "DuplicityJob.c"
				} else {
#line 1421 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp40_ = "--no-restore-ownership";
#line 7492 "DuplicityJob.c"
				}
#line 1421 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp42_ = g_strdup (_tmp40_);
#line 1421 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp42_);
#line 1422 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp43_ = g_strdup ("--force");
#line 1422 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp43_);
#line 1423 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp44_ = duplicity_job_get_remote (self);
#line 1423 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp44_);
#line 1424 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp45_ = local_arg;
#line 1424 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp46_ = g_file_get_path (_tmp45_);
#line 1424 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp46_);
#line 1425 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 7514 "DuplicityJob.c"
			}
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
			case DEJA_DUP_TOOL_JOB_MODE_STATUS:
#line 7518 "DuplicityJob.c"
			{
				gchar* _tmp47_;
				gchar* _tmp48_;
#line 1427 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp47_ = g_strdup ("collection-status");
#line 1427 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_prepend (argv, _tmp47_);
#line 1428 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp48_ = duplicity_job_get_remote (self);
#line 1428 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp48_);
#line 1429 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 7532 "DuplicityJob.c"
			}
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
			case DEJA_DUP_TOOL_JOB_MODE_LIST:
#line 7536 "DuplicityJob.c"
			{
				gchar* _tmp49_;
				gboolean _tmp50_ = FALSE;
				const gchar* _tmp51_;
				const gchar* _tmp52_;
				gchar* _tmp58_;
#line 1431 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp49_ = g_strdup ("list-current-files");
#line 1431 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_prepend (argv, _tmp49_);
#line 1432 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp51_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1432 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp52_ = _tmp51_;
#line 1432 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp52_ != NULL) {
#line 7553 "DuplicityJob.c"
					const gchar* _tmp53_;
					const gchar* _tmp54_;
#line 1432 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp53_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1432 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp54_ = _tmp53_;
#line 1432 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp50_ = g_strcmp0 (_tmp54_, "now") != 0;
#line 7562 "DuplicityJob.c"
				} else {
#line 1432 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp50_ = FALSE;
#line 7566 "DuplicityJob.c"
				}
#line 1432 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp50_) {
#line 7570 "DuplicityJob.c"
					const gchar* _tmp55_;
					const gchar* _tmp56_;
					gchar* _tmp57_;
#line 1433 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp55_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1433 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp56_ = _tmp55_;
#line 1433 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp57_ = g_strdup_printf ("--time=%s", _tmp56_);
#line 1433 "../libdeja/duplicity/DuplicityJob.vala"
					argv = g_list_append (argv, _tmp57_);
#line 7582 "DuplicityJob.c"
				}
#line 1434 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp58_ = duplicity_job_get_remote (self);
#line 1434 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp58_);
#line 1435 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 7590 "DuplicityJob.c"
			}
			default:
			{
#line 1437 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 7596 "DuplicityJob.c"
			}
		}
	}
#line 1442 "../libdeja/duplicity/DuplicityJob.vala"
	envp = NULL;
#line 1443 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp59_ = self->priv->saved_envp;
#line 7604 "DuplicityJob.c"
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1443 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = _tmp59_;
#line 1443 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 7612 "DuplicityJob.c"
			gchar* _tmp60_;
			gchar* s = NULL;
#line 1443 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp60_ = g_strdup ((const gchar*) s_it->data);
#line 1443 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp60_;
#line 7619 "DuplicityJob.c"
			{
				const gchar* _tmp61_;
				gchar* _tmp62_;
#line 1443 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp61_ = s;
#line 1443 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp62_ = g_strdup (_tmp61_);
#line 1443 "../libdeja/duplicity/DuplicityJob.vala"
				envp = g_list_append (envp, _tmp62_);
#line 1443 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (s);
#line 7631 "DuplicityJob.c"
			}
		}
	}
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1444 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = envp_extra;
#line 1444 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 7642 "DuplicityJob.c"
			gchar* _tmp63_;
			gchar* s = NULL;
#line 1444 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp63_ = g_strdup ((const gchar*) s_it->data);
#line 1444 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp63_;
#line 7649 "DuplicityJob.c"
			{
				const gchar* _tmp64_;
				gchar* _tmp65_;
#line 1444 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp64_ = s;
#line 1444 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp65_ = g_strdup (_tmp64_);
#line 1444 "../libdeja/duplicity/DuplicityJob.vala"
				envp = g_list_append (envp, _tmp65_);
#line 1444 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (s);
#line 7661 "DuplicityJob.c"
			}
		}
	}
#line 1446 "../libdeja/duplicity/DuplicityJob.vala"
	use_encryption = FALSE;
#line 1447 "../libdeja/duplicity/DuplicityJob.vala"
	if (self->priv->detected_encryption) {
#line 1448 "../libdeja/duplicity/DuplicityJob.vala"
		use_encryption = self->priv->existing_encrypted;
#line 7671 "DuplicityJob.c"
	} else {
		const gchar* _tmp66_;
		const gchar* _tmp67_;
#line 1449 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp66_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1449 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp67_ = _tmp66_;
#line 1449 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp67_ != NULL) {
#line 7681 "DuplicityJob.c"
			const gchar* _tmp68_;
			const gchar* _tmp69_;
#line 1450 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp68_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1450 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp69_ = _tmp68_;
#line 1450 "../libdeja/duplicity/DuplicityJob.vala"
			use_encryption = g_strcmp0 (_tmp69_, "") != 0;
#line 7690 "DuplicityJob.c"
		}
	}
#line 1452 "../libdeja/duplicity/DuplicityJob.vala"
	if (use_encryption) {
#line 7695 "DuplicityJob.c"
		gboolean _tmp70_ = FALSE;
		const gchar* _tmp71_;
		const gchar* _tmp72_;
#line 1453 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp71_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1453 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp72_ = _tmp71_;
#line 1453 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp72_ != NULL) {
#line 7705 "DuplicityJob.c"
			const gchar* _tmp73_;
			const gchar* _tmp74_;
#line 1453 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp73_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1453 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp74_ = _tmp73_;
#line 1453 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp70_ = g_strcmp0 (_tmp74_, "") != 0;
#line 7714 "DuplicityJob.c"
		} else {
#line 1453 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp70_ = FALSE;
#line 7718 "DuplicityJob.c"
		}
#line 1453 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp70_) {
#line 7722 "DuplicityJob.c"
			const gchar* _tmp75_;
			const gchar* _tmp76_;
			gchar* _tmp77_;
#line 1454 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp75_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1454 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp76_ = _tmp75_;
#line 1454 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp77_ = g_strdup_printf ("PASSPHRASE=%s", _tmp76_);
#line 1454 "../libdeja/duplicity/DuplicityJob.vala"
			envp = g_list_append (envp, _tmp77_);
#line 7734 "DuplicityJob.c"
		}
	} else {
		gchar* _tmp78_;
		gchar* _tmp79_;
#line 1461 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp78_ = g_strdup ("--no-encryption");
#line 1461 "../libdeja/duplicity/DuplicityJob.vala"
		argv = g_list_append (argv, _tmp78_);
#line 1462 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp79_ = g_strdup ("PASSPHRASE=");
#line 1462 "../libdeja/duplicity/DuplicityJob.vala"
		envp = g_list_append (envp, _tmp79_);
#line 7747 "DuplicityJob.c"
	}
#line 1466 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp80_ = self->priv->inst;
#line 1466 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp81_ = argv;
#line 1466 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp82_ = envp;
#line 1466 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_instance_start (_tmp80_, _tmp81_, _tmp82_, NULL, NULL);
#line 1371 "../libdeja/duplicity/DuplicityJob.vala"
	(envp == NULL) ? NULL : (envp = (_g_list_free__g_free0_ (envp), NULL));
#line 1371 "../libdeja/duplicity/DuplicityJob.vala"
	(argv == NULL) ? NULL : (argv = (_g_list_free__g_free0_ (argv), NULL));
#line 7761 "DuplicityJob.c"
}

gboolean
duplicity_job_get_version1_cli (DuplicityJob* self)
{
	gboolean result;
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	result = self->priv->_version1_cli;
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 7774 "DuplicityJob.c"
}

static void
duplicity_job_set_version1_cli (DuplicityJob* self,
                                gboolean value)
{
	gboolean old_value;
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	old_value = duplicity_job_get_version1_cli (self);
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	if (old_value != value) {
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->_version1_cli = value;
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_notify_by_pspec ((GObject *) self, duplicity_job_properties[DUPLICITY_JOB_VERSION1_CLI_PROPERTY]);
#line 7792 "DuplicityJob.c"
	}
}

static DejaDupToolJobMode
duplicity_job_get_original_mode (DuplicityJob* self)
{
	DejaDupToolJobMode result;
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	result = self->priv->_original_mode;
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 7806 "DuplicityJob.c"
}

static void
duplicity_job_set_original_mode (DuplicityJob* self,
                                 DejaDupToolJobMode value)
{
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_original_mode = value;
#line 7817 "DuplicityJob.c"
}

static gboolean
duplicity_job_get_error_issued (DuplicityJob* self)
{
	gboolean result;
#line 14 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 14 "../libdeja/duplicity/DuplicityJob.vala"
	result = self->priv->_error_issued;
#line 14 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 7830 "DuplicityJob.c"
}

static void
duplicity_job_set_error_issued (DuplicityJob* self,
                                gboolean value)
{
#line 14 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 14 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_error_issued = value;
#line 7841 "DuplicityJob.c"
}

static gboolean
duplicity_job_get_was_stopped (DuplicityJob* self)
{
	gboolean result;
#line 15 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 15 "../libdeja/duplicity/DuplicityJob.vala"
	result = self->priv->_was_stopped;
#line 15 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 7854 "DuplicityJob.c"
}

static void
duplicity_job_set_was_stopped (DuplicityJob* self,
                               gboolean value)
{
#line 15 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 15 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_was_stopped = value;
#line 7865 "DuplicityJob.c"
}

DuplicityJobState
duplicity_job_get_state (DuplicityJob* self)
{
	DuplicityJobState result;
#line 25 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 25 "../libdeja/duplicity/DuplicityJob.vala"
	result = self->priv->_state;
#line 25 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 7878 "DuplicityJob.c"
}

void
duplicity_job_set_state (DuplicityJob* self,
                         DuplicityJobState value)
{
	DuplicityJobState old_value;
#line 25 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 25 "../libdeja/duplicity/DuplicityJob.vala"
	old_value = duplicity_job_get_state (self);
#line 25 "../libdeja/duplicity/DuplicityJob.vala"
	if (old_value != value) {
#line 25 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->_state = value;
#line 25 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_notify_by_pspec ((GObject *) self, duplicity_job_properties[DUPLICITY_JOB_STATE_PROPERTY]);
#line 7896 "DuplicityJob.c"
	}
}

static void
duplicity_job_date_info_copy (const DuplicityJobDateInfo* self,
                              DuplicityJobDateInfo* dest)
{
	GDateTime* _tmp0_;
	GDateTime* _tmp1_;
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	(*dest).full = (*self).full;
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = (*self).time;
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _g_date_time_ref0 (_tmp0_);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	_g_date_time_unref0 ((*dest).time);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	(*dest).time = _tmp1_;
#line 7916 "DuplicityJob.c"
}

static void
duplicity_job_date_info_destroy (DuplicityJobDateInfo* self)
{
#line 50 "../libdeja/duplicity/DuplicityJob.vala"
	_g_date_time_unref0 ((*self).time);
#line 7924 "DuplicityJob.c"
}

static DuplicityJobDateInfo*
duplicity_job_date_info_dup (const DuplicityJobDateInfo* self)
{
	DuplicityJobDateInfo* dup;
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	dup = g_new0 (DuplicityJobDateInfo, 1);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_date_info_copy (self, dup);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	return dup;
#line 7937 "DuplicityJob.c"
}

static void
duplicity_job_date_info_free (DuplicityJobDateInfo* self)
{
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_date_info_destroy (self);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	g_free (self);
#line 7947 "DuplicityJob.c"
}

 G_GNUC_NO_INLINE static GType
duplicity_job_date_info_get_type_once (void)
{
	GType duplicity_job_date_info_type_id;
	duplicity_job_date_info_type_id = g_boxed_type_register_static ("DuplicityJobDateInfo", (GBoxedCopyFunc) duplicity_job_date_info_dup, (GBoxedFreeFunc) duplicity_job_date_info_free);
	return duplicity_job_date_info_type_id;
}

static GType
duplicity_job_date_info_get_type (void)
{
	static gsize duplicity_job_date_info_type_id__once = 0;
	if (g_once_init_enter (&duplicity_job_date_info_type_id__once)) {
		GType duplicity_job_date_info_type_id;
		duplicity_job_date_info_type_id = duplicity_job_date_info_get_type_once ();
		g_once_init_leave (&duplicity_job_date_info_type_id__once, duplicity_job_date_info_type_id);
	}
	return duplicity_job_date_info_type_id__once;
}

static GObject *
duplicity_job_constructor (GType type,
                           guint n_construct_properties,
                           GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	DuplicityJob * self;
	GFile* _tmp0_;
#line 78 "../libdeja/duplicity/DuplicityJob.vala"
	parent_class = G_OBJECT_CLASS (duplicity_job_parent_class);
#line 78 "../libdeja/duplicity/DuplicityJob.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 78 "../libdeja/duplicity/DuplicityJob.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DUPLICITY_JOB, DuplicityJob);
#line 79 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = duplicity_job_slash;
#line 79 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ == NULL) {
#line 7989 "DuplicityJob.c"
		GFile* _tmp1_;
#line 80 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = g_file_new_for_path ("/");
#line 80 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (duplicity_job_slash);
#line 80 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_slash = _tmp1_;
#line 7997 "DuplicityJob.c"
	}
#line 78 "../libdeja/duplicity/DuplicityJob.vala"
	return obj;
#line 8001 "DuplicityJob.c"
}

static void
duplicity_job_class_init (DuplicityJobClass * klass,
                          gpointer klass_data)
{
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_parent_class = g_type_class_peek_parent (klass);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_type_class_adjust_private_offset (klass, &DuplicityJob_private_offset);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->start = (void (*) (DejaDupToolJob*, GAsyncReadyCallback, gpointer)) duplicity_job_real_start;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->start_finish = (void (*) (DejaDupToolJob*, GAsyncResult*)) duplicity_job_start_finish;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->cancel = (void (*) (DejaDupToolJob*)) duplicity_job_real_cancel;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->stop = (void (*) (DejaDupToolJob*)) duplicity_job_real_stop;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->pause = (void (*) (DejaDupToolJob*, const gchar*)) duplicity_job_real_pause;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->resume = (void (*) (DejaDupToolJob*)) duplicity_job_real_resume;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DuplicityJobClass *) klass)->process_error = (void (*) (DuplicityJob*, gchar**, gint, GList*, const gchar*)) duplicity_job_real_process_error;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DuplicityJobClass *) klass)->process_info = (void (*) (DuplicityJob*, gchar**, gint, GList*, const gchar*)) duplicity_job_real_process_info;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DuplicityJobClass *) klass)->process_warning = (void (*) (DuplicityJob*, gchar**, gint, GList*, const gchar*)) duplicity_job_real_process_warning;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_duplicity_job_get_property;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_duplicity_job_set_property;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (klass)->constructor = duplicity_job_constructor;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (klass)->finalize = duplicity_job_finalize;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DUPLICITY_JOB_VERSION1_CLI_PROPERTY, duplicity_job_properties[DUPLICITY_JOB_VERSION1_CLI_PROPERTY] = g_param_spec_boolean ("version1-cli", "version1-cli", "version1-cli", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DUPLICITY_JOB_STATE_PROPERTY, duplicity_job_properties[DUPLICITY_JOB_STATE_PROPERTY] = g_param_spec_enum ("state", "state", "state", DUPLICITY_JOB_TYPE_STATE, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8042 "DuplicityJob.c"
}

static void
duplicity_job_instance_init (DuplicityJob * self,
                             gpointer klass)
{
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv = duplicity_job_get_instance_private (self);
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_version1_cli = FALSE;
#line 14 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_error_issued = FALSE;
#line 15 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_was_stopped = FALSE;
#line 32 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->is_full_backup = FALSE;
#line 33 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->cleaned_up_once = FALSE;
#line 34 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->detected_encryption = FALSE;
#line 35 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->existing_encrypted = FALSE;
#line 40 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->has_progress_total = FALSE;
#line 46 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->checked_collection_info = FALSE;
#line 47 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->got_collection_info = FALSE;
#line 52 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->collection_info = NULL;
#line 54 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->reported_full_backups = FALSE;
#line 56 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->checked_backup_space = FALSE;
#line 59 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->deleted_files = FALSE;
#line 60 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->delete_age = 0;
#line 62 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->last_touched_file = NULL;
#line 63 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->forced_cache_dir = NULL;
#line 64 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->credentials_dir = NULL;
#line 827 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->restarted_without_cache = FALSE;
#line 8089 "DuplicityJob.c"
}

static void
duplicity_job_finalize (GObject * obj)
{
	DuplicityJob * self;
	DejaDupNetwork* _tmp0_;
	DejaDupNetwork* _tmp1_;
	guint _tmp2_;
	GQuark _tmp3_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DUPLICITY_JOB, DuplicityJob);
#line 85 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_network_get ();
#line 85 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 85 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_parse_name ("notify::connected", G_TYPE_OBJECT, &_tmp2_, &_tmp3_, TRUE);
#line 85 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_handlers_disconnect_matched ((GObject*) _tmp1_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_DETAIL | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp2_, _tmp3_, NULL, (GCallback) _duplicity_job_network_changed_g_object_notify, self);
#line 85 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_tmp1_);
#line 86 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_clean_credentials_dir (self);
#line 27 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->inst);
#line 29 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->includes_argv == NULL) ? NULL : (self->priv->includes_argv = (_g_list_free__g_free0_ (self->priv->includes_argv), NULL));
#line 30 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->saved_argv == NULL) ? NULL : (self->priv->saved_argv = (_g_list_free__g_free0_ (self->priv->saved_argv), NULL));
#line 31 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->saved_envp == NULL) ? NULL : (self->priv->saved_envp = (_g_list_free__g_free0_ (self->priv->saved_envp), NULL));
#line 37 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->last_bad_volume);
#line 52 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->collection_info == NULL) ? NULL : (self->priv->collection_info = (_g_list_free__duplicity_job_date_info_free0_ (self->priv->collection_info), NULL));
#line 62 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->last_touched_file);
#line 63 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->forced_cache_dir);
#line 64 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->credentials_dir);
#line 704 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->saved_status);
#line 705 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->saved_status_file);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (duplicity_job_parent_class)->finalize (obj);
#line 8138 "DuplicityJob.c"
}

 G_GNUC_NO_INLINE static GType
duplicity_job_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (DuplicityJobClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) duplicity_job_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DuplicityJob), 0, (GInstanceInitFunc) duplicity_job_instance_init, NULL };
	GType duplicity_job_type_id;
	duplicity_job_type_id = g_type_register_static (DEJA_DUP_TYPE_TOOL_JOB, "DuplicityJob", &g_define_type_info, 0);
	DuplicityJob_private_offset = g_type_add_instance_private (duplicity_job_type_id, sizeof (DuplicityJobPrivate));
	return duplicity_job_type_id;
}

GType
duplicity_job_get_type (void)
{
	static gsize duplicity_job_type_id__once = 0;
	if (g_once_init_enter (&duplicity_job_type_id__once)) {
		GType duplicity_job_type_id;
		duplicity_job_type_id = duplicity_job_get_type_once ();
		g_once_init_leave (&duplicity_job_type_id__once, duplicity_job_type_id);
	}
	return duplicity_job_type_id__once;
}

static void
_vala_duplicity_job_get_property (GObject * object,
                                  guint property_id,
                                  GValue * value,
                                  GParamSpec * pspec)
{
	DuplicityJob * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_DUPLICITY_JOB, DuplicityJob);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	switch (property_id) {
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		case DUPLICITY_JOB_VERSION1_CLI_PROPERTY:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		g_value_set_boolean (value, duplicity_job_get_version1_cli (self));
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		case DUPLICITY_JOB_STATE_PROPERTY:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		g_value_set_enum (value, duplicity_job_get_state (self));
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 8185 "DuplicityJob.c"
		default:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 8191 "DuplicityJob.c"
	}
}

static void
_vala_duplicity_job_set_property (GObject * object,
                                  guint property_id,
                                  const GValue * value,
                                  GParamSpec * pspec)
{
	DuplicityJob * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_DUPLICITY_JOB, DuplicityJob);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	switch (property_id) {
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		case DUPLICITY_JOB_VERSION1_CLI_PROPERTY:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_version1_cli (self, g_value_get_boolean (value));
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		case DUPLICITY_JOB_STATE_PROPERTY:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_state (self, g_value_get_enum (value));
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 8217 "DuplicityJob.c"
		default:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 8223 "DuplicityJob.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gssize
_vala_array_length (gpointer array)
{
	gssize length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

